
package org.nrf_arts.unifiedpos.belt;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.belt package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "PowerNotification");
    private final static QName _BeltEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "BeltEventResponse");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "DirectIOEventResponse");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "UposVersion");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "PowerReporting");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "CompareFirmwareResult");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "ControlState");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "UposException");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "StatusUpdateEvent");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "StatisticList");
    private final static QName _BeltAICDirection_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "BeltAICDirection");
    private final static QName _BeltRICDirection_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "BeltRICDirection");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "ErrorCode");
    private final static QName _BeltMotionStatus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "BeltMotionStatus");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "DirectIOData");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "PowerState");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "StatusUpdateEventResponse");
    private final static QName _BeltEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "BeltEvent");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "DirectIOEvent");
    private final static QName _SetAutoStopBackwardConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "ConsumerID");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetDeviceControlDescriptionResult");
    private final static QName _UpdateFirmwareFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "FirmwareFileName");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "Value");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "Name");
    private final static QName _SetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "consumerID");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetDeviceServiceDescriptionResult");
    private final static QName _RetrieveStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "StatisticsBuffer");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "EndpointAddress");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetDeviceControlVersionResult");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetPhysicalDeviceNameResult");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "EventResponse");
    private final static QName _DirectIOEventObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "Obj");
    private final static QName _DirectIOEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "Source");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "RetrieveStatisticsResult");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetDeviceServiceVersionResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GenerateConsumerIDResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetCheckHealthTextResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "GetWSPOSVersionResult");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "PollForUPOSEventResult");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Belt/", "DirectIOResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.belt
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link MoveBackwardResponse }
     * 
     */
    public MoveBackwardResponse createMoveBackwardResponse() {
        return new MoveBackwardResponse();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link SetAutoStopForwardDelayTimeResponse }
     * 
     */
    public SetAutoStopForwardDelayTimeResponse createSetAutoStopForwardDelayTimeResponse() {
        return new SetAutoStopForwardDelayTimeResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link SetAutoStopForwardResponse }
     * 
     */
    public SetAutoStopForwardResponse createSetAutoStopForwardResponse() {
        return new SetAutoStopForwardResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link SetAutoStopBackward }
     * 
     */
    public SetAutoStopBackward createSetAutoStopBackward() {
        return new SetAutoStopBackward();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetCapAutoStopForward }
     * 
     */
    public GetCapAutoStopForward createGetCapAutoStopForward() {
        return new GetCapAutoStopForward();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link GetAutoStopBackwardItemCount }
     * 
     */
    public GetAutoStopBackwardItemCount createGetAutoStopBackwardItemCount() {
        return new GetAutoStopBackwardItemCount();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopBackward }
     * 
     */
    public GetAutoStopBackward createGetAutoStopBackward() {
        return new GetAutoStopBackward();
    }

    /**
     * Create an instance of {@link ResetItemCountResponse }
     * 
     */
    public ResetItemCountResponse createResetItemCountResponse() {
        return new ResetItemCountResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopForwardItemCount }
     * 
     */
    public GetAutoStopForwardItemCount createGetAutoStopForwardItemCount() {
        return new GetAutoStopForwardItemCount();
    }

    /**
     * Create an instance of {@link ResetItemCount }
     * 
     */
    public ResetItemCount createResetItemCount() {
        return new ResetItemCount();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetCapAutoStopBackwardResponse }
     * 
     */
    public GetCapAutoStopBackwardResponse createGetCapAutoStopBackwardResponse() {
        return new GetCapAutoStopBackwardResponse();
    }

    /**
     * Create an instance of {@link GetCapAutoStopForwardItemCount }
     * 
     */
    public GetCapAutoStopForwardItemCount createGetCapAutoStopForwardItemCount() {
        return new GetCapAutoStopForwardItemCount();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetLightBarrierBackwardInterrupted }
     * 
     */
    public GetLightBarrierBackwardInterrupted createGetLightBarrierBackwardInterrupted() {
        return new GetLightBarrierBackwardInterrupted();
    }

    /**
     * Create an instance of {@link GetCapLightBarrierForwardResponse }
     * 
     */
    public GetCapLightBarrierForwardResponse createGetCapLightBarrierForwardResponse() {
        return new GetCapLightBarrierForwardResponse();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopForwardDelayTime }
     * 
     */
    public GetAutoStopForwardDelayTime createGetAutoStopForwardDelayTime() {
        return new GetAutoStopForwardDelayTime();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapSpeedStepsForwardResponse }
     * 
     */
    public GetCapSpeedStepsForwardResponse createGetCapSpeedStepsForwardResponse() {
        return new GetCapSpeedStepsForwardResponse();
    }

    /**
     * Create an instance of {@link GetLightBarrierForwardInterrupted }
     * 
     */
    public GetLightBarrierForwardInterrupted createGetLightBarrierForwardInterrupted() {
        return new GetLightBarrierForwardInterrupted();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link GetAutoStopBackwardDelayTime }
     * 
     */
    public GetAutoStopBackwardDelayTime createGetAutoStopBackwardDelayTime() {
        return new GetAutoStopBackwardDelayTime();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link BeltEventResponse }
     * 
     */
    public BeltEventResponse createBeltEventResponse() {
        return new BeltEventResponse();
    }

    /**
     * Create an instance of {@link MoveBackward }
     * 
     */
    public MoveBackward createMoveBackward() {
        return new MoveBackward();
    }

    /**
     * Create an instance of {@link GetCapSecurityFlapBackwardResponse }
     * 
     */
    public GetCapSecurityFlapBackwardResponse createGetCapSecurityFlapBackwardResponse() {
        return new GetCapSecurityFlapBackwardResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopBackwardDelayTimeResponse }
     * 
     */
    public GetAutoStopBackwardDelayTimeResponse createGetAutoStopBackwardDelayTimeResponse() {
        return new GetAutoStopBackwardDelayTimeResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link GetMotionStatusResponse }
     * 
     */
    public GetMotionStatusResponse createGetMotionStatusResponse() {
        return new GetMotionStatusResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link StopBelt }
     * 
     */
    public StopBelt createStopBelt() {
        return new StopBelt();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link MoveForward }
     * 
     */
    public MoveForward createMoveForward() {
        return new MoveForward();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link GetCapSecurityFlapForwardResponse }
     * 
     */
    public GetCapSecurityFlapForwardResponse createGetCapSecurityFlapForwardResponse() {
        return new GetCapSecurityFlapForwardResponse();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetCapSecurityFlapBackward }
     * 
     */
    public GetCapSecurityFlapBackward createGetCapSecurityFlapBackward() {
        return new GetCapSecurityFlapBackward();
    }

    /**
     * Create an instance of {@link SetAutoStopForwardDelayTime }
     * 
     */
    public SetAutoStopForwardDelayTime createSetAutoStopForwardDelayTime() {
        return new SetAutoStopForwardDelayTime();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetCapLightBarrierBackward }
     * 
     */
    public GetCapLightBarrierBackward createGetCapLightBarrierBackward() {
        return new GetCapLightBarrierBackward();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link BeltEvent }
     * 
     */
    public BeltEvent createBeltEvent() {
        return new BeltEvent();
    }

    /**
     * Create an instance of {@link StopBeltResponse }
     * 
     */
    public StopBeltResponse createStopBeltResponse() {
        return new StopBeltResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetCapLightBarrierBackwardResponse }
     * 
     */
    public GetCapLightBarrierBackwardResponse createGetCapLightBarrierBackwardResponse() {
        return new GetCapLightBarrierBackwardResponse();
    }

    /**
     * Create an instance of {@link AdjustItemCountResponse }
     * 
     */
    public AdjustItemCountResponse createAdjustItemCountResponse() {
        return new AdjustItemCountResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapAutoStopBackwardItemCount }
     * 
     */
    public GetCapAutoStopBackwardItemCount createGetCapAutoStopBackwardItemCount() {
        return new GetCapAutoStopBackwardItemCount();
    }

    /**
     * Create an instance of {@link GetLightBarrierBackwardInterruptedResponse }
     * 
     */
    public GetLightBarrierBackwardInterruptedResponse createGetLightBarrierBackwardInterruptedResponse() {
        return new GetLightBarrierBackwardInterruptedResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link GetAutoStopForwardDelayTimeResponse }
     * 
     */
    public GetAutoStopForwardDelayTimeResponse createGetAutoStopForwardDelayTimeResponse() {
        return new GetAutoStopForwardDelayTimeResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link GetLightBarrierForwardInterruptedResponse }
     * 
     */
    public GetLightBarrierForwardInterruptedResponse createGetLightBarrierForwardInterruptedResponse() {
        return new GetLightBarrierForwardInterruptedResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopForwardItemCountResponse }
     * 
     */
    public GetAutoStopForwardItemCountResponse createGetAutoStopForwardItemCountResponse() {
        return new GetAutoStopForwardItemCountResponse();
    }

    /**
     * Create an instance of {@link GetCapMoveBackward }
     * 
     */
    public GetCapMoveBackward createGetCapMoveBackward() {
        return new GetCapMoveBackward();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopForward }
     * 
     */
    public GetAutoStopForward createGetAutoStopForward() {
        return new GetAutoStopForward();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetSecurityFlapBackwardOpened }
     * 
     */
    public GetSecurityFlapBackwardOpened createGetSecurityFlapBackwardOpened() {
        return new GetSecurityFlapBackwardOpened();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapAutoStopBackwardItemCountResponse }
     * 
     */
    public GetCapAutoStopBackwardItemCountResponse createGetCapAutoStopBackwardItemCountResponse() {
        return new GetCapAutoStopBackwardItemCountResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link SetAutoStopBackwardResponse }
     * 
     */
    public SetAutoStopBackwardResponse createSetAutoStopBackwardResponse() {
        return new SetAutoStopBackwardResponse();
    }

    /**
     * Create an instance of {@link GetCapAutoStopForwardItemCountResponse }
     * 
     */
    public GetCapAutoStopForwardItemCountResponse createGetCapAutoStopForwardItemCountResponse() {
        return new GetCapAutoStopForwardItemCountResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopForwardResponse }
     * 
     */
    public GetAutoStopForwardResponse createGetAutoStopForwardResponse() {
        return new GetAutoStopForwardResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetCapSpeedStepsBackwardResponse }
     * 
     */
    public GetCapSpeedStepsBackwardResponse createGetCapSpeedStepsBackwardResponse() {
        return new GetCapSpeedStepsBackwardResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetCapSpeedStepsBackward }
     * 
     */
    public GetCapSpeedStepsBackward createGetCapSpeedStepsBackward() {
        return new GetCapSpeedStepsBackward();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GetCapAutoStopForwardResponse }
     * 
     */
    public GetCapAutoStopForwardResponse createGetCapAutoStopForwardResponse() {
        return new GetCapAutoStopForwardResponse();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link ResetBeltResponse }
     * 
     */
    public ResetBeltResponse createResetBeltResponse() {
        return new ResetBeltResponse();
    }

    /**
     * Create an instance of {@link SetAutoStopForward }
     * 
     */
    public SetAutoStopForward createSetAutoStopForward() {
        return new SetAutoStopForward();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetAutoStopBackwardItemCountResponse }
     * 
     */
    public GetAutoStopBackwardItemCountResponse createGetAutoStopBackwardItemCountResponse() {
        return new GetAutoStopBackwardItemCountResponse();
    }

    /**
     * Create an instance of {@link SetAutoStopBackwardDelayTimeResponse }
     * 
     */
    public SetAutoStopBackwardDelayTimeResponse createSetAutoStopBackwardDelayTimeResponse() {
        return new SetAutoStopBackwardDelayTimeResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCapLightBarrierForward }
     * 
     */
    public GetCapLightBarrierForward createGetCapLightBarrierForward() {
        return new GetCapLightBarrierForward();
    }

    /**
     * Create an instance of {@link ResetBelt }
     * 
     */
    public ResetBelt createResetBelt() {
        return new ResetBelt();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetAutoStopBackwardResponse }
     * 
     */
    public GetAutoStopBackwardResponse createGetAutoStopBackwardResponse() {
        return new GetAutoStopBackwardResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link GetSecurityFlapForwardOpened }
     * 
     */
    public GetSecurityFlapForwardOpened createGetSecurityFlapForwardOpened() {
        return new GetSecurityFlapForwardOpened();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapAutoStopBackward }
     * 
     */
    public GetCapAutoStopBackward createGetCapAutoStopBackward() {
        return new GetCapAutoStopBackward();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link AdjustItemCount }
     * 
     */
    public AdjustItemCount createAdjustItemCount() {
        return new AdjustItemCount();
    }

    /**
     * Create an instance of {@link GetCapMoveBackwardResponse }
     * 
     */
    public GetCapMoveBackwardResponse createGetCapMoveBackwardResponse() {
        return new GetCapMoveBackwardResponse();
    }

    /**
     * Create an instance of {@link GetSecurityFlapForwardOpenedResponse }
     * 
     */
    public GetSecurityFlapForwardOpenedResponse createGetSecurityFlapForwardOpenedResponse() {
        return new GetSecurityFlapForwardOpenedResponse();
    }

    /**
     * Create an instance of {@link MoveForwardResponse }
     * 
     */
    public MoveForwardResponse createMoveForwardResponse() {
        return new MoveForwardResponse();
    }

    /**
     * Create an instance of {@link GetCapSecurityFlapForward }
     * 
     */
    public GetCapSecurityFlapForward createGetCapSecurityFlapForward() {
        return new GetCapSecurityFlapForward();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapSpeedStepsForward }
     * 
     */
    public GetCapSpeedStepsForward createGetCapSpeedStepsForward() {
        return new GetCapSpeedStepsForward();
    }

    /**
     * Create an instance of {@link GetMotionStatus }
     * 
     */
    public GetMotionStatus createGetMotionStatus() {
        return new GetMotionStatus();
    }

    /**
     * Create an instance of {@link GetSecurityFlapBackwardOpenedResponse }
     * 
     */
    public GetSecurityFlapBackwardOpenedResponse createGetSecurityFlapBackwardOpenedResponse() {
        return new GetSecurityFlapBackwardOpenedResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link SetAutoStopBackwardDelayTime }
     * 
     */
    public SetAutoStopBackwardDelayTime createSetAutoStopBackwardDelayTime() {
        return new SetAutoStopBackwardDelayTime();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "BeltEventResponse")
    public JAXBElement<BeltEventResponse> createBeltEventResponse(BeltEventResponse value) {
        return new JAXBElement<BeltEventResponse>(_BeltEventResponse_QNAME, BeltEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltAICDirection }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "BeltAICDirection")
    public JAXBElement<BeltAICDirection> createBeltAICDirection(BeltAICDirection value) {
        return new JAXBElement<BeltAICDirection>(_BeltAICDirection_QNAME, BeltAICDirection.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltRICDirection }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "BeltRICDirection")
    public JAXBElement<BeltRICDirection> createBeltRICDirection(BeltRICDirection value) {
        return new JAXBElement<BeltRICDirection>(_BeltRICDirection_QNAME, BeltRICDirection.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltMotionStatus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "BeltMotionStatus")
    public JAXBElement<BeltMotionStatus> createBeltMotionStatus(BeltMotionStatus value) {
        return new JAXBElement<BeltMotionStatus>(_BeltMotionStatus_QNAME, BeltMotionStatus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "BeltEvent")
    public JAXBElement<BeltEvent> createBeltEvent(BeltEvent value) {
        return new JAXBElement<BeltEvent>(_BeltEvent_QNAME, BeltEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetAutoStopBackward.class)
    public JAXBElement<String> createSetAutoStopBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetAutoStopBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = ResetBelt.class)
    public JAXBElement<String> createResetBeltConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, ResetBelt.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetSecurityFlapForwardOpened.class)
    public JAXBElement<String> createGetSecurityFlapForwardOpenedConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetSecurityFlapForwardOpened.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapLightBarrierForward.class)
    public JAXBElement<String> createGetCapLightBarrierForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapLightBarrierForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = MoveForward.class)
    public JAXBElement<String> createMoveForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, MoveForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatusUpdateEvent", scope = BeltEvent.class)
    public JAXBElement<StatusUpdateEvent> createBeltEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, BeltEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOEvent", scope = BeltEvent.class)
    public JAXBElement<DirectIOEvent> createBeltEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, BeltEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapAutoStopForwardItemCount.class)
    public JAXBElement<String> createGetCapAutoStopForwardItemCountConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapAutoStopForwardItemCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetAutoStopForwardDelayTime.class)
    public JAXBElement<String> createSetAutoStopForwardDelayTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetAutoStopForwardDelayTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetAutoStopForwardItemCount.class)
    public JAXBElement<String> createGetAutoStopForwardItemCountConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetAutoStopForwardItemCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapLightBarrierBackward.class)
    public JAXBElement<String> createGetCapLightBarrierBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapLightBarrierBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapAutoStopBackward.class)
    public JAXBElement<String> createGetCapAutoStopBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapAutoStopBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapAutoStopForward.class)
    public JAXBElement<String> createGetCapAutoStopForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapAutoStopForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<BeltEventResponse> createSetEventResponseEventResponse(BeltEventResponse value) {
        return new JAXBElement<BeltEventResponse>(_SetEventResponseEventResponse_QNAME, BeltEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapSpeedStepsForward.class)
    public JAXBElement<String> createGetCapSpeedStepsForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapSpeedStepsForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetAutoStopBackwardItemCount.class)
    public JAXBElement<String> createGetAutoStopBackwardItemCountConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetAutoStopBackwardItemCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetLightBarrierBackwardInterrupted.class)
    public JAXBElement<String> createGetLightBarrierBackwardInterruptedConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetLightBarrierBackwardInterrupted.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapSpeedStepsBackward.class)
    public JAXBElement<String> createGetCapSpeedStepsBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapSpeedStepsBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetAutoStopBackward.class)
    public JAXBElement<String> createGetAutoStopBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetAutoStopBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetAutoStopForward.class)
    public JAXBElement<String> createSetAutoStopForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetAutoStopForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetAutoStopBackwardDelayTime.class)
    public JAXBElement<String> createGetAutoStopBackwardDelayTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetAutoStopBackwardDelayTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = StopBelt.class)
    public JAXBElement<String> createStopBeltConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, StopBelt.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetAutoStopForwardDelayTime.class)
    public JAXBElement<String> createGetAutoStopForwardDelayTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetAutoStopForwardDelayTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetAutoStopForward.class)
    public JAXBElement<String> createGetAutoStopForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetAutoStopForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = ResetItemCount.class)
    public JAXBElement<String> createResetItemCountConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, ResetItemCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = SetAutoStopBackwardDelayTime.class)
    public JAXBElement<String> createSetAutoStopBackwardDelayTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, SetAutoStopBackwardDelayTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BeltEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<BeltEvent> createPollForUPOSEventResponsePollForUPOSEventResult(BeltEvent value) {
        return new JAXBElement<BeltEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, BeltEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapAutoStopBackwardItemCount.class)
    public JAXBElement<String> createGetCapAutoStopBackwardItemCountConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapAutoStopBackwardItemCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetSecurityFlapBackwardOpened.class)
    public JAXBElement<String> createGetSecurityFlapBackwardOpenedConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetSecurityFlapBackwardOpened.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapSecurityFlapForward.class)
    public JAXBElement<String> createGetCapSecurityFlapForwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapSecurityFlapForward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = AdjustItemCount.class)
    public JAXBElement<String> createAdjustItemCountConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, AdjustItemCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetLightBarrierForwardInterrupted.class)
    public JAXBElement<String> createGetLightBarrierForwardInterruptedConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetLightBarrierForwardInterrupted.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapMoveBackward.class)
    public JAXBElement<String> createGetCapMoveBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapMoveBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOEventResponse", scope = BeltEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createBeltEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, BeltEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatusUpdateEventResponse", scope = BeltEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createBeltEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, BeltEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = MoveBackward.class)
    public JAXBElement<String> createMoveBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, MoveBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetMotionStatus.class)
    public JAXBElement<String> createGetMotionStatusConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetMotionStatus.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetCapSecurityFlapBackward.class)
    public JAXBElement<String> createGetCapSecurityFlapBackwardConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetCapSecurityFlapBackward.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Belt/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetAutoStopBackwardConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

}
