
package org.nrf_arts.unifiedpos.biometrics;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.biometrics package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "PropertyNameList");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ParameterList");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ErrorEvent");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ErrorCode");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ControlState");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ErrorResponse");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "CompareFirmwareResult");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "UposVersion");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DataEvent");
    private final static QName _BiometricsInformationRecordList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BiometricsInformationRecordList");
    private final static QName _BiometricsInformationRecord_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BiometricsInformationRecord");
    private final static QName _SensorType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "SensorType");
    private final static QName _BiometricsEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BiometricsEvent");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DirectIOData");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ErrorLocus");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DirectIOEvent");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DataContainedEvent");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "StatusUpdateEventResponse");
    private final static QName _AlgorithmList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "AlgorithmList");
    private final static QName _IdentifyList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "IdentifyList");
    private final static QName _BiometricsEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BiometricsEventResponse");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Statistic");
    private final static QName _BIRPurpose_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BIRPurpose");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "StatusUpdateEvent");
    private final static QName _IdentifyMatchList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "IdentifyMatchList");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "StatisticList");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "UposException");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "PowerReporting");
    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DataContainedEventResponse");
    private final static QName _BiometricsVerifyResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BiometricsVerifyResult");
    private final static QName _SensorColor_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "SensorColor");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DirectIOEventResponse");
    private final static QName _SensorOrientation_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "SensorOrientation");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "PowerNotification");
    private final static QName _IdentifyResponseIdentifyResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "IdentifyResult");
    private final static QName _GetPowerStateConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ConsumerID");
    private final static QName _DirectIOObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Obj");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetWSPOSVersionResult");
    private final static QName _VerifyReferenceBIR_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ReferenceBIR");
    private final static QName _GetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "consumerID");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _DataEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Source");
    private final static QName _VerifyMatchSampleBIR_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "SampleBIR");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetDeviceServiceVersionResult");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "DirectIOResult");
    private final static QName _RetrieveStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "StatisticsBuffer");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GenerateConsumerIDResult");
    private final static QName _GetBIRResponseGetBIRResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetBIRResult");
    private final static QName _UpdateFirmwareFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "FirmwareFileName");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "EventResponse");
    private final static QName _ProcessPrematchDataResponseProcessPrematchDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ProcessPrematchDataResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Parameters");
    private final static QName _IdentifyMatchReferenceBIRPopulation_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "ReferenceBIRPopulation");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetCheckHealthTextResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetPhysicalDeviceNameResult");
    private final static QName _GetAlgorithmListResponseGetAlgorithmListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetAlgorithmListResult");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetDeviceServiceDescriptionResult");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetDeviceControlVersionResult");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetDeviceControlDescriptionResult");
    private final static QName _ProcessPrematchDataPrematchDataBIR_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "PrematchDataBIR");
    private final static QName _GetRawSensorDataResponseGetRawSensorDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "GetRawSensorDataResult");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "list");
    private final static QName _BiometricsInformationRecordBiometricDataBlock_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "BiometricDataBlock");
    private final static QName _BiometricsInformationRecordVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Version");
    private final static QName _BiometricsVerifyResultPayload_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Payload");
    private final static QName _BiometricsVerifyResultAdaptedBIR_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "AdaptedBIR");
    private final static QName _VerifyMatchResponseVerifyMatchResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "VerifyMatchResult");
    private final static QName _IdentifyMatchResponseIdentifyMatchResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "IdentifyMatchResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "Value");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "PollForUPOSEventResult");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "RetrieveStatisticsResult");
    private final static QName _VerifyResponseVerifyResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "VerifyResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/Biometrics/", "EndpointAddress");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.biometrics
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetCapSensorOrientationResponse }
     * 
     */
    public GetCapSensorOrientationResponse createGetCapSensorOrientationResponse() {
        return new GetCapSensorOrientationResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link GetSensorType }
     * 
     */
    public GetSensorType createGetSensorType() {
        return new GetSensorType();
    }

    /**
     * Create an instance of {@link BeginVerifyCapture }
     * 
     */
    public BeginVerifyCapture createBeginVerifyCapture() {
        return new BeginVerifyCapture();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link GetSensorBPPResponse }
     * 
     */
    public GetSensorBPPResponse createGetSensorBPPResponse() {
        return new GetSensorBPPResponse();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link Verify }
     * 
     */
    public Verify createVerify() {
        return new Verify();
    }

    /**
     * Create an instance of {@link BiometricsInformationRecord }
     * 
     */
    public BiometricsInformationRecord createBiometricsInformationRecord() {
        return new BiometricsInformationRecord();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link SetSensorColor }
     * 
     */
    public SetSensorColor createSetSensorColor() {
        return new SetSensorColor();
    }

    /**
     * Create an instance of {@link GetSensorWidthResponse }
     * 
     */
    public GetSensorWidthResponse createGetSensorWidthResponse() {
        return new GetSensorWidthResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link ClearInputPropertiesResponse }
     * 
     */
    public ClearInputPropertiesResponse createClearInputPropertiesResponse() {
        return new ClearInputPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link BiometricsEventResponse }
     * 
     */
    public BiometricsEventResponse createBiometricsEventResponse() {
        return new BiometricsEventResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link BeginEnrollCapture }
     * 
     */
    public BeginEnrollCapture createBeginEnrollCapture() {
        return new BeginEnrollCapture();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link GetRealTimeDataEnabled }
     * 
     */
    public GetRealTimeDataEnabled createGetRealTimeDataEnabled() {
        return new GetRealTimeDataEnabled();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link SetSensorOrientation }
     * 
     */
    public SetSensorOrientation createSetSensorOrientation() {
        return new SetSensorOrientation();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetSensorOrientationResponse }
     * 
     */
    public GetSensorOrientationResponse createGetSensorOrientationResponse() {
        return new GetSensorOrientationResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link SetAutoDisableResponse }
     * 
     */
    public SetAutoDisableResponse createSetAutoDisableResponse() {
        return new SetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link AlgorithmList }
     * 
     */
    public AlgorithmList createAlgorithmList() {
        return new AlgorithmList();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCapTemplateAdaptation }
     * 
     */
    public GetCapTemplateAdaptation createGetCapTemplateAdaptation() {
        return new GetCapTemplateAdaptation();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link BiometricsEvent }
     * 
     */
    public BiometricsEvent createBiometricsEvent() {
        return new BiometricsEvent();
    }

    /**
     * Create an instance of {@link SetSensorOrientationResponse }
     * 
     */
    public SetSensorOrientationResponse createSetSensorOrientationResponse() {
        return new SetSensorOrientationResponse();
    }

    /**
     * Create an instance of {@link BiometricsInformationRecordList }
     * 
     */
    public BiometricsInformationRecordList createBiometricsInformationRecordList() {
        return new BiometricsInformationRecordList();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link IdentifyMatch }
     * 
     */
    public IdentifyMatch createIdentifyMatch() {
        return new IdentifyMatch();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link GetRealTimeDataEnabledResponse }
     * 
     */
    public GetRealTimeDataEnabledResponse createGetRealTimeDataEnabledResponse() {
        return new GetRealTimeDataEnabledResponse();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link SetSensorColorResponse }
     * 
     */
    public SetSensorColorResponse createSetSensorColorResponse() {
        return new SetSensorColorResponse();
    }

    /**
     * Create an instance of {@link GetSensorBPP }
     * 
     */
    public GetSensorBPP createGetSensorBPP() {
        return new GetSensorBPP();
    }

    /**
     * Create an instance of {@link GetCapRealTimeData }
     * 
     */
    public GetCapRealTimeData createGetCapRealTimeData() {
        return new GetCapRealTimeData();
    }

    /**
     * Create an instance of {@link ProcessPrematchData }
     * 
     */
    public ProcessPrematchData createProcessPrematchData() {
        return new ProcessPrematchData();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link BiometricsVerifyResult }
     * 
     */
    public BiometricsVerifyResult createBiometricsVerifyResult() {
        return new BiometricsVerifyResult();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link GetAlgorithmResponse }
     * 
     */
    public GetAlgorithmResponse createGetAlgorithmResponse() {
        return new GetAlgorithmResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link SetSensorTypeResponse }
     * 
     */
    public SetSensorTypeResponse createSetSensorTypeResponse() {
        return new SetSensorTypeResponse();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link VerifyMatchResponse }
     * 
     */
    public VerifyMatchResponse createVerifyMatchResponse() {
        return new VerifyMatchResponse();
    }

    /**
     * Create an instance of {@link SetAlgorithm }
     * 
     */
    public SetAlgorithm createSetAlgorithm() {
        return new SetAlgorithm();
    }

    /**
     * Create an instance of {@link IdentifyMatchResponse }
     * 
     */
    public IdentifyMatchResponse createIdentifyMatchResponse() {
        return new IdentifyMatchResponse();
    }

    /**
     * Create an instance of {@link IdentifyMatchList }
     * 
     */
    public IdentifyMatchList createIdentifyMatchList() {
        return new IdentifyMatchList();
    }

    /**
     * Create an instance of {@link BeginEnrollCaptureResponse }
     * 
     */
    public BeginEnrollCaptureResponse createBeginEnrollCaptureResponse() {
        return new BeginEnrollCaptureResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link BeginVerifyCaptureResponse }
     * 
     */
    public BeginVerifyCaptureResponse createBeginVerifyCaptureResponse() {
        return new BeginVerifyCaptureResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link SetAlgorithmResponse }
     * 
     */
    public SetAlgorithmResponse createSetAlgorithmResponse() {
        return new SetAlgorithmResponse();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link Identify }
     * 
     */
    public Identify createIdentify() {
        return new Identify();
    }

    /**
     * Create an instance of {@link VerifyMatch }
     * 
     */
    public VerifyMatch createVerifyMatch() {
        return new VerifyMatch();
    }

    /**
     * Create an instance of {@link SetRealTimeDataEnabledResponse }
     * 
     */
    public SetRealTimeDataEnabledResponse createSetRealTimeDataEnabledResponse() {
        return new SetRealTimeDataEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCapSensorType }
     * 
     */
    public GetCapSensorType createGetCapSensorType() {
        return new GetCapSensorType();
    }

    /**
     * Create an instance of {@link GetCapSensorTypeResponse }
     * 
     */
    public GetCapSensorTypeResponse createGetCapSensorTypeResponse() {
        return new GetCapSensorTypeResponse();
    }

    /**
     * Create an instance of {@link GetCapSensorOrientation }
     * 
     */
    public GetCapSensorOrientation createGetCapSensorOrientation() {
        return new GetCapSensorOrientation();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link GetCapSensorColor }
     * 
     */
    public GetCapSensorColor createGetCapSensorColor() {
        return new GetCapSensorColor();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link ClearInputProperties }
     * 
     */
    public ClearInputProperties createClearInputProperties() {
        return new ClearInputProperties();
    }

    /**
     * Create an instance of {@link GetAlgorithmListResponse }
     * 
     */
    public GetAlgorithmListResponse createGetAlgorithmListResponse() {
        return new GetAlgorithmListResponse();
    }

    /**
     * Create an instance of {@link GetSensorColor }
     * 
     */
    public GetSensorColor createGetSensorColor() {
        return new GetSensorColor();
    }

    /**
     * Create an instance of {@link SetRealTimeDataEnabled }
     * 
     */
    public SetRealTimeDataEnabled createSetRealTimeDataEnabled() {
        return new SetRealTimeDataEnabled();
    }

    /**
     * Create an instance of {@link GetBIR }
     * 
     */
    public GetBIR createGetBIR() {
        return new GetBIR();
    }

    /**
     * Create an instance of {@link IdentifyResponse }
     * 
     */
    public IdentifyResponse createIdentifyResponse() {
        return new IdentifyResponse();
    }

    /**
     * Create an instance of {@link IdentifyList }
     * 
     */
    public IdentifyList createIdentifyList() {
        return new IdentifyList();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapRealTimeDataResponse }
     * 
     */
    public GetCapRealTimeDataResponse createGetCapRealTimeDataResponse() {
        return new GetCapRealTimeDataResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link EndCaptureResponse }
     * 
     */
    public EndCaptureResponse createEndCaptureResponse() {
        return new EndCaptureResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetCapPrematchDataResponse }
     * 
     */
    public GetCapPrematchDataResponse createGetCapPrematchDataResponse() {
        return new GetCapPrematchDataResponse();
    }

    /**
     * Create an instance of {@link GetBIRResponse }
     * 
     */
    public GetBIRResponse createGetBIRResponse() {
        return new GetBIRResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetSensorHeight }
     * 
     */
    public GetSensorHeight createGetSensorHeight() {
        return new GetSensorHeight();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link GetAlgorithmList }
     * 
     */
    public GetAlgorithmList createGetAlgorithmList() {
        return new GetAlgorithmList();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link GetRawSensorDataResponse }
     * 
     */
    public GetRawSensorDataResponse createGetRawSensorDataResponse() {
        return new GetRawSensorDataResponse();
    }

    /**
     * Create an instance of {@link EndCapture }
     * 
     */
    public EndCapture createEndCapture() {
        return new EndCapture();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetSensorOrientation }
     * 
     */
    public GetSensorOrientation createGetSensorOrientation() {
        return new GetSensorOrientation();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetAlgorithm }
     * 
     */
    public GetAlgorithm createGetAlgorithm() {
        return new GetAlgorithm();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link SetAutoDisable }
     * 
     */
    public SetAutoDisable createSetAutoDisable() {
        return new SetAutoDisable();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link GetSensorWidth }
     * 
     */
    public GetSensorWidth createGetSensorWidth() {
        return new GetSensorWidth();
    }

    /**
     * Create an instance of {@link VerifyResponse }
     * 
     */
    public VerifyResponse createVerifyResponse() {
        return new VerifyResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link ProcessPrematchDataResponse }
     * 
     */
    public ProcessPrematchDataResponse createProcessPrematchDataResponse() {
        return new ProcessPrematchDataResponse();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetSensorColorResponse }
     * 
     */
    public GetSensorColorResponse createGetSensorColorResponse() {
        return new GetSensorColorResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapRawSensorDataResponse }
     * 
     */
    public GetCapRawSensorDataResponse createGetCapRawSensorDataResponse() {
        return new GetCapRawSensorDataResponse();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link GetRawSensorData }
     * 
     */
    public GetRawSensorData createGetRawSensorData() {
        return new GetRawSensorData();
    }

    /**
     * Create an instance of {@link GetCapPrematchData }
     * 
     */
    public GetCapPrematchData createGetCapPrematchData() {
        return new GetCapPrematchData();
    }

    /**
     * Create an instance of {@link GetSensorTypeResponse }
     * 
     */
    public GetSensorTypeResponse createGetSensorTypeResponse() {
        return new GetSensorTypeResponse();
    }

    /**
     * Create an instance of {@link GetCapSensorColorResponse }
     * 
     */
    public GetCapSensorColorResponse createGetCapSensorColorResponse() {
        return new GetCapSensorColorResponse();
    }

    /**
     * Create an instance of {@link GetSensorHeightResponse }
     * 
     */
    public GetSensorHeightResponse createGetSensorHeightResponse() {
        return new GetSensorHeightResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetAutoDisable }
     * 
     */
    public GetAutoDisable createGetAutoDisable() {
        return new GetAutoDisable();
    }

    /**
     * Create an instance of {@link GetAutoDisableResponse }
     * 
     */
    public GetAutoDisableResponse createGetAutoDisableResponse() {
        return new GetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link GetCapRawSensorData }
     * 
     */
    public GetCapRawSensorData createGetCapRawSensorData() {
        return new GetCapRawSensorData();
    }

    /**
     * Create an instance of {@link GetCapTemplateAdaptationResponse }
     * 
     */
    public GetCapTemplateAdaptationResponse createGetCapTemplateAdaptationResponse() {
        return new GetCapTemplateAdaptationResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link SetSensorType }
     * 
     */
    public SetSensorType createSetSensorType() {
        return new SetSensorType();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecordList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BiometricsInformationRecordList")
    public JAXBElement<BiometricsInformationRecordList> createBiometricsInformationRecordList(BiometricsInformationRecordList value) {
        return new JAXBElement<BiometricsInformationRecordList>(_BiometricsInformationRecordList_QNAME, BiometricsInformationRecordList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BiometricsInformationRecord")
    public JAXBElement<BiometricsInformationRecord> createBiometricsInformationRecord(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_BiometricsInformationRecord_QNAME, BiometricsInformationRecord.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SensorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "SensorType")
    public JAXBElement<SensorType> createSensorType(SensorType value) {
        return new JAXBElement<SensorType>(_SensorType_QNAME, SensorType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BiometricsEvent")
    public JAXBElement<BiometricsEvent> createBiometricsEvent(BiometricsEvent value) {
        return new JAXBElement<BiometricsEvent>(_BiometricsEvent_QNAME, BiometricsEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AlgorithmList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "AlgorithmList")
    public JAXBElement<AlgorithmList> createAlgorithmList(AlgorithmList value) {
        return new JAXBElement<AlgorithmList>(_AlgorithmList_QNAME, AlgorithmList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "IdentifyList")
    public JAXBElement<IdentifyList> createIdentifyList(IdentifyList value) {
        return new JAXBElement<IdentifyList>(_IdentifyList_QNAME, IdentifyList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BiometricsEventResponse")
    public JAXBElement<BiometricsEventResponse> createBiometricsEventResponse(BiometricsEventResponse value) {
        return new JAXBElement<BiometricsEventResponse>(_BiometricsEventResponse_QNAME, BiometricsEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BIRPurpose }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BIRPurpose")
    public JAXBElement<BIRPurpose> createBIRPurpose(BIRPurpose value) {
        return new JAXBElement<BIRPurpose>(_BIRPurpose_QNAME, BIRPurpose.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyMatchList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "IdentifyMatchList")
    public JAXBElement<IdentifyMatchList> createIdentifyMatchList(IdentifyMatchList value) {
        return new JAXBElement<IdentifyMatchList>(_IdentifyMatchList_QNAME, IdentifyMatchList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsVerifyResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BiometricsVerifyResult")
    public JAXBElement<BiometricsVerifyResult> createBiometricsVerifyResult(BiometricsVerifyResult value) {
        return new JAXBElement<BiometricsVerifyResult>(_BiometricsVerifyResult_QNAME, BiometricsVerifyResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SensorColor }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "SensorColor")
    public JAXBElement<SensorColor> createSensorColor(SensorColor value) {
        return new JAXBElement<SensorColor>(_SensorColor_QNAME, SensorColor.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SensorOrientation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "SensorOrientation")
    public JAXBElement<SensorOrientation> createSensorOrientation(SensorOrientation value) {
        return new JAXBElement<SensorOrientation>(_SensorOrientation_QNAME, SensorOrientation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "IdentifyResult", scope = IdentifyResponse.class)
    public JAXBElement<IdentifyList> createIdentifyResponseIdentifyResult(IdentifyList value) {
        return new JAXBElement<IdentifyList>(_IdentifyResponseIdentifyResult_QNAME, IdentifyList.class, IdentifyResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = Verify.class)
    public JAXBElement<String> createVerifyConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, Verify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ReferenceBIR", scope = Verify.class)
    public JAXBElement<BiometricsInformationRecord> createVerifyReferenceBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_VerifyReferenceBIR_QNAME, BiometricsInformationRecord.class, Verify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetRealTimeDataEnabled.class)
    public JAXBElement<String> createGetRealTimeDataEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetRealTimeDataEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "SampleBIR", scope = VerifyMatch.class)
    public JAXBElement<BiometricsInformationRecord> createVerifyMatchSampleBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_VerifyMatchSampleBIR_QNAME, BiometricsInformationRecord.class, VerifyMatch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = VerifyMatch.class)
    public JAXBElement<String> createVerifyMatchConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, VerifyMatch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ReferenceBIR", scope = VerifyMatch.class)
    public JAXBElement<BiometricsInformationRecord> createVerifyMatchReferenceBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_VerifyReferenceBIR_QNAME, BiometricsInformationRecord.class, VerifyMatch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetAlgorithmList.class)
    public JAXBElement<String> createGetAlgorithmListConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetAlgorithmList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = ClearInputProperties.class)
    public JAXBElement<String> createClearInputPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ClearInputProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetSensorOrientation.class)
    public JAXBElement<String> createSetSensorOrientationConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetSensorOrientation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapSensorOrientation.class)
    public JAXBElement<String> createGetCapSensorOrientationConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapSensorOrientation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetAlgorithm.class)
    public JAXBElement<String> createGetAlgorithmConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetAlgorithm.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapTemplateAdaptation.class)
    public JAXBElement<String> createGetCapTemplateAdaptationConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapTemplateAdaptation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetAutoDisable.class)
    public JAXBElement<String> createSetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatusUpdateEventResponse", scope = BiometricsEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createBiometricsEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, BiometricsEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataContainedEventResponse", scope = BiometricsEventResponse.class)
    public JAXBElement<DataContainedEventResponse> createBiometricsEventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, BiometricsEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataEventResponse", scope = BiometricsEventResponse.class)
    public JAXBElement<DataEventResponse> createBiometricsEventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, BiometricsEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOEventResponse", scope = BiometricsEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createBiometricsEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, BiometricsEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorEventResponse", scope = BiometricsEventResponse.class)
    public JAXBElement<ErrorEventResponse> createBiometricsEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, BiometricsEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetBIRResult", scope = GetBIRResponse.class)
    public JAXBElement<BiometricsInformationRecord> createGetBIRResponseGetBIRResult(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_GetBIRResponseGetBIRResult_QNAME, BiometricsInformationRecord.class, GetBIRResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetBIR.class)
    public JAXBElement<String> createGetBIRConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetBIR.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetSensorType.class)
    public JAXBElement<String> createSetSensorTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetSensorType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapPrematchData.class)
    public JAXBElement<String> createGetCapPrematchDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapPrematchData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<BiometricsEventResponse> createSetEventResponseEventResponse(BiometricsEventResponse value) {
        return new JAXBElement<BiometricsEventResponse>(_SetEventResponseEventResponse_QNAME, BiometricsEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetSensorHeight.class)
    public JAXBElement<String> createGetSensorHeightConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetSensorHeight.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ProcessPrematchDataResult", scope = ProcessPrematchDataResponse.class)
    public JAXBElement<BiometricsInformationRecord> createProcessPrematchDataResponseProcessPrematchDataResult(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_ProcessPrematchDataResponseProcessPrematchDataResult_QNAME, BiometricsInformationRecord.class, ProcessPrematchDataResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetSensorColor.class)
    public JAXBElement<String> createSetSensorColorConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetSensorColor.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetSensorColor.class)
    public JAXBElement<String> createGetSensorColorConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetSensorColor.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "SampleBIR", scope = IdentifyMatch.class)
    public JAXBElement<BiometricsInformationRecord> createIdentifyMatchSampleBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_VerifyMatchSampleBIR_QNAME, BiometricsInformationRecord.class, IdentifyMatch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = IdentifyMatch.class)
    public JAXBElement<String> createIdentifyMatchConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, IdentifyMatch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecordList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ReferenceBIRPopulation", scope = IdentifyMatch.class)
    public JAXBElement<BiometricsInformationRecordList> createIdentifyMatchReferenceBIRPopulation(BiometricsInformationRecordList value) {
        return new JAXBElement<BiometricsInformationRecordList>(_IdentifyMatchReferenceBIRPopulation_QNAME, BiometricsInformationRecordList.class, IdentifyMatch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AlgorithmList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetAlgorithmListResult", scope = GetAlgorithmListResponse.class)
    public JAXBElement<AlgorithmList> createGetAlgorithmListResponseGetAlgorithmListResult(AlgorithmList value) {
        return new JAXBElement<AlgorithmList>(_GetAlgorithmListResponseGetAlgorithmListResult_QNAME, AlgorithmList.class, GetAlgorithmListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapSensorType.class)
    public JAXBElement<String> createGetCapSensorTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapSensorType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetSensorType.class)
    public JAXBElement<String> createGetSensorTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetSensorType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = Identify.class)
    public JAXBElement<String> createIdentifyConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, Identify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecordList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ReferenceBIRPopulation", scope = Identify.class)
    public JAXBElement<BiometricsInformationRecordList> createIdentifyReferenceBIRPopulation(BiometricsInformationRecordList value) {
        return new JAXBElement<BiometricsInformationRecordList>(_IdentifyMatchReferenceBIRPopulation_QNAME, BiometricsInformationRecordList.class, Identify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetAlgorithm.class)
    public JAXBElement<String> createSetAlgorithmConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetAlgorithm.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "SampleBIR", scope = ProcessPrematchData.class)
    public JAXBElement<BiometricsInformationRecord> createProcessPrematchDataSampleBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_VerifyMatchSampleBIR_QNAME, BiometricsInformationRecord.class, ProcessPrematchData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = ProcessPrematchData.class)
    public JAXBElement<String> createProcessPrematchDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ProcessPrematchData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "PrematchDataBIR", scope = ProcessPrematchData.class)
    public JAXBElement<BiometricsInformationRecord> createProcessPrematchDataPrematchDataBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_ProcessPrematchDataPrematchDataBIR_QNAME, BiometricsInformationRecord.class, ProcessPrematchData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetRawSensorData.class)
    public JAXBElement<String> createGetRawSensorDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetRawSensorData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataContainedEvent", scope = BiometricsEvent.class)
    public JAXBElement<DataContainedEvent> createBiometricsEventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, BiometricsEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DirectIOEvent", scope = BiometricsEvent.class)
    public JAXBElement<DirectIOEvent> createBiometricsEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, BiometricsEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ErrorEvent", scope = BiometricsEvent.class)
    public JAXBElement<ErrorEvent> createBiometricsEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, BiometricsEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "DataEvent", scope = BiometricsEvent.class)
    public JAXBElement<DataEvent> createBiometricsEventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, BiometricsEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "StatusUpdateEvent", scope = BiometricsEvent.class)
    public JAXBElement<StatusUpdateEvent> createBiometricsEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, BiometricsEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "GetRawSensorDataResult", scope = GetRawSensorDataResponse.class)
    public JAXBElement<byte[]> createGetRawSensorDataResponseGetRawSensorDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetRawSensorDataResponseGetRawSensorDataResult_QNAME, byte[].class, GetRawSensorDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetSensorBPP.class)
    public JAXBElement<String> createGetSensorBPPConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetSensorBPP.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "BiometricDataBlock", scope = BiometricsInformationRecord.class)
    public JAXBElement<byte[]> createBiometricsInformationRecordBiometricDataBlock(byte[] value) {
        return new JAXBElement<byte[]>(_BiometricsInformationRecordBiometricDataBlock_QNAME, byte[].class, BiometricsInformationRecord.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Version", scope = BiometricsInformationRecord.class)
    public JAXBElement<UposVersion> createBiometricsInformationRecordVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_BiometricsInformationRecordVersion_QNAME, UposVersion.class, BiometricsInformationRecord.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Payload", scope = BiometricsVerifyResult.class)
    public JAXBElement<byte[]> createBiometricsVerifyResultPayload(byte[] value) {
        return new JAXBElement<byte[]>(_BiometricsVerifyResultPayload_QNAME, byte[].class, BiometricsVerifyResult.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "AdaptedBIR", scope = BiometricsVerifyResult.class)
    public JAXBElement<BiometricsInformationRecord> createBiometricsVerifyResultAdaptedBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_BiometricsVerifyResultAdaptedBIR_QNAME, BiometricsInformationRecord.class, BiometricsVerifyResult.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = EndCapture.class)
    public JAXBElement<String> createEndCaptureConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, EndCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsVerifyResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "VerifyMatchResult", scope = VerifyMatchResponse.class)
    public JAXBElement<BiometricsVerifyResult> createVerifyMatchResponseVerifyMatchResult(BiometricsVerifyResult value) {
        return new JAXBElement<BiometricsVerifyResult>(_VerifyMatchResponseVerifyMatchResult_QNAME, BiometricsVerifyResult.class, VerifyMatchResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapRawSensorData.class)
    public JAXBElement<String> createGetCapRawSensorDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapRawSensorData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapRealTimeData.class)
    public JAXBElement<String> createGetCapRealTimeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapRealTimeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IdentifyMatchList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "IdentifyMatchResult", scope = IdentifyMatchResponse.class)
    public JAXBElement<IdentifyMatchList> createIdentifyMatchResponseIdentifyMatchResult(IdentifyMatchList value) {
        return new JAXBElement<IdentifyMatchList>(_IdentifyMatchResponseIdentifyMatchResult_QNAME, IdentifyMatchList.class, IdentifyMatchResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = SetRealTimeDataEnabled.class)
    public JAXBElement<String> createSetRealTimeDataEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetRealTimeDataEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = BeginEnrollCapture.class)
    public JAXBElement<String> createBeginEnrollCaptureConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, BeginEnrollCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Payload", scope = BeginEnrollCapture.class)
    public JAXBElement<byte[]> createBeginEnrollCapturePayload(byte[] value) {
        return new JAXBElement<byte[]>(_BiometricsVerifyResultPayload_QNAME, byte[].class, BeginEnrollCapture.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsInformationRecord }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ReferenceBIR", scope = BeginEnrollCapture.class)
    public JAXBElement<BiometricsInformationRecord> createBeginEnrollCaptureReferenceBIR(BiometricsInformationRecord value) {
        return new JAXBElement<BiometricsInformationRecord>(_VerifyReferenceBIR_QNAME, BiometricsInformationRecord.class, BeginEnrollCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<BiometricsEvent> createPollForUPOSEventResponsePollForUPOSEventResult(BiometricsEvent value) {
        return new JAXBElement<BiometricsEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, BiometricsEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetCapSensorColor.class)
    public JAXBElement<String> createGetCapSensorColorConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapSensorColor.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = BeginVerifyCapture.class)
    public JAXBElement<String> createBeginVerifyCaptureConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, BeginVerifyCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetSensorOrientation.class)
    public JAXBElement<String> createGetSensorOrientationConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetSensorOrientation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BiometricsVerifyResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "VerifyResult", scope = VerifyResponse.class)
    public JAXBElement<BiometricsVerifyResult> createVerifyResponseVerifyResult(BiometricsVerifyResult value) {
        return new JAXBElement<BiometricsVerifyResult>(_VerifyResponseVerifyResult_QNAME, BiometricsVerifyResult.class, VerifyResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetAutoDisable.class)
    public JAXBElement<String> createGetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetSensorWidth.class)
    public JAXBElement<String> createGetSensorWidthConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetSensorWidth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

}
