
package org.nrf_arts.unifiedpos.electronicjournal;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.electronicjournal package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DirectIOEvent");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DataContainedEvent");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "StatusUpdateEventResponse");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DirectIOData");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ErrorLocus");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "StatisticList");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "StatusUpdateEvent");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "UposException");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "HealthCheckLevel");
    private final static QName _OutputCompleteEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "OutputCompleteEventResponse");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "PowerReporting");
    private final static QName _ElectronicJournalEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ElectronicJournalEvent");
    private final static QName _OutputCompleteEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "OutputCompleteEvent");
    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DataContainedEventResponse");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DirectIOEventResponse");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "PowerNotification");
    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "PropertyNameList");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ErrorCode");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ParameterList");
    private final static QName _MarkerType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "MarkerType");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ErrorEvent");
    private final static QName _ElectronicJournalEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ElectronicJournalEventResponse");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ControlState");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ErrorResponse");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "CompareFirmwareResult");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DataEvent");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "UposVersion");
    private final static QName _SetFreezeEventsConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ConsumerID");
    private final static QName _RetrieveCurrentMarkerResponseRetrieveCurrentMarkerResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "RetrieveCurrentMarkerResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _UpdateStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "StatisticsBuffer");
    private final static QName _SetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "consumerID");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "RetrieveStatisticsResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "EndpointAddress");
    private final static QName _UpdateFirmwareFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "FirmwareFileName");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "PollForUPOSEventResult");
    private final static QName _DirectIOEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Source");
    private final static QName _DirectIOEventObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Obj");
    private final static QName _RetrieveMarkerByDateTimeResponseRetrieveMarkerByDateTimeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "RetrieveMarkerByDateTimeResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetWSPOSVersionResult");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetDeviceControlVersionResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetCheckHealthTextResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Value");
    private final static QName _RetrieveMarkerByDateTimeDateTime_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DateTime");
    private final static QName _RetrieveMarkerByDateTimeMarkerNumber_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "MarkerNumber");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetDeviceServiceDescriptionResult");
    private final static QName _AddMarkerMarker_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Marker");
    private final static QName _GetMediumIDResponseGetMediumIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetMediumIDResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetPhysicalDeviceNameResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GenerateConsumerIDResult");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "EventResponse");
    private final static QName _PrintContentFromMarker_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "FromMarker");
    private final static QName _PrintContentToMarker_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "ToMarker");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetDeviceServiceVersionResult");
    private final static QName _RetrieveMarkersDateTimeResponseRetrieveMarkersDateTimeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "RetrieveMarkersDateTimeResult");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "list");
    private final static QName _QueryContentFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "FileName");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetDeviceControlDescriptionResult");
    private final static QName _RetrieveMarkerResponseRetrieveMarkerResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "RetrieveMarkerResult");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "Parameters");
    private final static QName _InitializeMediumMediumID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "MediumID");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "DirectIOResult");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", "GetPhysicalDeviceDescriptionResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.electronicjournal
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetCapStation }
     * 
     */
    public GetCapStation createGetCapStation() {
        return new GetCapStation();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GetCapErasableMediumResponse }
     * 
     */
    public GetCapErasableMediumResponse createGetCapErasableMediumResponse() {
        return new GetCapErasableMediumResponse();
    }

    /**
     * Create an instance of {@link ResumePrintContentResponse }
     * 
     */
    public ResumePrintContentResponse createResumePrintContentResponse() {
        return new ResumePrintContentResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link AddMarker }
     * 
     */
    public AddMarker createAddMarker() {
        return new AddMarker();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link ElectronicJournalEventResponse }
     * 
     */
    public ElectronicJournalEventResponse createElectronicJournalEventResponse() {
        return new ElectronicJournalEventResponse();
    }

    /**
     * Create an instance of {@link GetCapErasableMedium }
     * 
     */
    public GetCapErasableMedium createGetCapErasableMedium() {
        return new GetCapErasableMedium();
    }

    /**
     * Create an instance of {@link RetrieveMarkersDateTimeResponse }
     * 
     */
    public RetrieveMarkersDateTimeResponse createRetrieveMarkersDateTimeResponse() {
        return new RetrieveMarkersDateTimeResponse();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetMediumSizeResponse }
     * 
     */
    public GetMediumSizeResponse createGetMediumSizeResponse() {
        return new GetMediumSizeResponse();
    }

    /**
     * Create an instance of {@link QueryContent }
     * 
     */
    public QueryContent createQueryContent() {
        return new QueryContent();
    }

    /**
     * Create an instance of {@link GetWaterMarkResponse }
     * 
     */
    public GetWaterMarkResponse createGetWaterMarkResponse() {
        return new GetWaterMarkResponse();
    }

    /**
     * Create an instance of {@link GetOutputID }
     * 
     */
    public GetOutputID createGetOutputID() {
        return new GetOutputID();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link ResumeQueryContent }
     * 
     */
    public ResumeQueryContent createResumeQueryContent() {
        return new ResumeQueryContent();
    }

    /**
     * Create an instance of {@link CancelPrintContentResponse }
     * 
     */
    public CancelPrintContentResponse createCancelPrintContentResponse() {
        return new CancelPrintContentResponse();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetStorageEnabledResponse }
     * 
     */
    public GetStorageEnabledResponse createGetStorageEnabledResponse() {
        return new GetStorageEnabledResponse();
    }

    /**
     * Create an instance of {@link ElectronicJournalEvent }
     * 
     */
    public ElectronicJournalEvent createElectronicJournalEvent() {
        return new ElectronicJournalEvent();
    }

    /**
     * Create an instance of {@link SetAutoDisableResponse }
     * 
     */
    public SetAutoDisableResponse createSetAutoDisableResponse() {
        return new SetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link InitializeMedium }
     * 
     */
    public InitializeMedium createInitializeMedium() {
        return new InitializeMedium();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetAsyncModeResponse }
     * 
     */
    public GetAsyncModeResponse createGetAsyncModeResponse() {
        return new GetAsyncModeResponse();
    }

    /**
     * Create an instance of {@link SetStation }
     * 
     */
    public SetStation createSetStation() {
        return new SetStation();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link ResumePrintContent }
     * 
     */
    public ResumePrintContent createResumePrintContent() {
        return new ResumePrintContent();
    }

    /**
     * Create an instance of {@link RetrieveMarker }
     * 
     */
    public RetrieveMarker createRetrieveMarker() {
        return new RetrieveMarker();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link GetMediumIsAvailable }
     * 
     */
    public GetMediumIsAvailable createGetMediumIsAvailable() {
        return new GetMediumIsAvailable();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link SetStorageEnabled }
     * 
     */
    public SetStorageEnabled createSetStorageEnabled() {
        return new SetStorageEnabled();
    }

    /**
     * Create an instance of {@link GetSuspendedResponse }
     * 
     */
    public GetSuspendedResponse createGetSuspendedResponse() {
        return new GetSuspendedResponse();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetStation }
     * 
     */
    public GetStation createGetStation() {
        return new GetStation();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link InitializeMediumResponse }
     * 
     */
    public InitializeMediumResponse createInitializeMediumResponse() {
        return new InitializeMediumResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link SetWaterMark }
     * 
     */
    public SetWaterMark createSetWaterMark() {
        return new SetWaterMark();
    }

    /**
     * Create an instance of {@link RetrieveMarkerByDateTimeResponse }
     * 
     */
    public RetrieveMarkerByDateTimeResponse createRetrieveMarkerByDateTimeResponse() {
        return new RetrieveMarkerByDateTimeResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link GetCapRetrieveMarkerResponse }
     * 
     */
    public GetCapRetrieveMarkerResponse createGetCapRetrieveMarkerResponse() {
        return new GetCapRetrieveMarkerResponse();
    }

    /**
     * Create an instance of {@link GetStorageEnabled }
     * 
     */
    public GetStorageEnabled createGetStorageEnabled() {
        return new GetStorageEnabled();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetCapInitializeMediumResponse }
     * 
     */
    public GetCapInitializeMediumResponse createGetCapInitializeMediumResponse() {
        return new GetCapInitializeMediumResponse();
    }

    /**
     * Create an instance of {@link SuspendPrintContent }
     * 
     */
    public SuspendPrintContent createSuspendPrintContent() {
        return new SuspendPrintContent();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetMediumSize }
     * 
     */
    public GetMediumSize createGetMediumSize() {
        return new GetMediumSize();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link SetWaterMarkResponse }
     * 
     */
    public SetWaterMarkResponse createSetWaterMarkResponse() {
        return new SetWaterMarkResponse();
    }

    /**
     * Create an instance of {@link GetAsyncMode }
     * 
     */
    public GetAsyncMode createGetAsyncMode() {
        return new GetAsyncMode();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCapRetrieveMarkersDateTimeResponse }
     * 
     */
    public GetCapRetrieveMarkersDateTimeResponse createGetCapRetrieveMarkersDateTimeResponse() {
        return new GetCapRetrieveMarkersDateTimeResponse();
    }

    /**
     * Create an instance of {@link GetFlagWhenIdleResponse }
     * 
     */
    public GetFlagWhenIdleResponse createGetFlagWhenIdleResponse() {
        return new GetFlagWhenIdleResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapMediumIsAvailableResponse }
     * 
     */
    public GetCapMediumIsAvailableResponse createGetCapMediumIsAvailableResponse() {
        return new GetCapMediumIsAvailableResponse();
    }

    /**
     * Create an instance of {@link RetrieveCurrentMarkerResponse }
     * 
     */
    public RetrieveCurrentMarkerResponse createRetrieveCurrentMarkerResponse() {
        return new RetrieveCurrentMarkerResponse();
    }

    /**
     * Create an instance of {@link GetCapPrintContent }
     * 
     */
    public GetCapPrintContent createGetCapPrintContent() {
        return new GetCapPrintContent();
    }

    /**
     * Create an instance of {@link GetMediumIDResponse }
     * 
     */
    public GetMediumIDResponse createGetMediumIDResponse() {
        return new GetMediumIDResponse();
    }

    /**
     * Create an instance of {@link GetCapMediumIsAvailable }
     * 
     */
    public GetCapMediumIsAvailable createGetCapMediumIsAvailable() {
        return new GetCapMediumIsAvailable();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link GetCapAddMarker }
     * 
     */
    public GetCapAddMarker createGetCapAddMarker() {
        return new GetCapAddMarker();
    }

    /**
     * Create an instance of {@link QueryContentResponse }
     * 
     */
    public QueryContentResponse createQueryContentResponse() {
        return new QueryContentResponse();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link SetStorageEnabledResponse }
     * 
     */
    public SetStorageEnabledResponse createSetStorageEnabledResponse() {
        return new SetStorageEnabledResponse();
    }

    /**
     * Create an instance of {@link PrintContentFile }
     * 
     */
    public PrintContentFile createPrintContentFile() {
        return new PrintContentFile();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetCapInitializeMedium }
     * 
     */
    public GetCapInitializeMedium createGetCapInitializeMedium() {
        return new GetCapInitializeMedium();
    }

    /**
     * Create an instance of {@link GetCapStationResponse }
     * 
     */
    public GetCapStationResponse createGetCapStationResponse() {
        return new GetCapStationResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link RetrieveMarkerResponse }
     * 
     */
    public RetrieveMarkerResponse createRetrieveMarkerResponse() {
        return new RetrieveMarkerResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link GetCapSuspendQueryContentResponse }
     * 
     */
    public GetCapSuspendQueryContentResponse createGetCapSuspendQueryContentResponse() {
        return new GetCapSuspendQueryContentResponse();
    }

    /**
     * Create an instance of {@link SetFlagWhenIdle }
     * 
     */
    public SetFlagWhenIdle createSetFlagWhenIdle() {
        return new SetFlagWhenIdle();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link GetCapSuspendPrintContent }
     * 
     */
    public GetCapSuspendPrintContent createGetCapSuspendPrintContent() {
        return new GetCapSuspendPrintContent();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link CancelQueryContent }
     * 
     */
    public CancelQueryContent createCancelQueryContent() {
        return new CancelQueryContent();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetCapAddMarkerResponse }
     * 
     */
    public GetCapAddMarkerResponse createGetCapAddMarkerResponse() {
        return new GetCapAddMarkerResponse();
    }

    /**
     * Create an instance of {@link GetMediumFreeSpace }
     * 
     */
    public GetMediumFreeSpace createGetMediumFreeSpace() {
        return new GetMediumFreeSpace();
    }

    /**
     * Create an instance of {@link GetMediumIsAvailableResponse }
     * 
     */
    public GetMediumIsAvailableResponse createGetMediumIsAvailableResponse() {
        return new GetMediumIsAvailableResponse();
    }

    /**
     * Create an instance of {@link GetMediumID }
     * 
     */
    public GetMediumID createGetMediumID() {
        return new GetMediumID();
    }

    /**
     * Create an instance of {@link SetStationResponse }
     * 
     */
    public SetStationResponse createSetStationResponse() {
        return new SetStationResponse();
    }

    /**
     * Create an instance of {@link GetCapWaterMarkResponse }
     * 
     */
    public GetCapWaterMarkResponse createGetCapWaterMarkResponse() {
        return new GetCapWaterMarkResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link OutputCompleteEvent }
     * 
     */
    public OutputCompleteEvent createOutputCompleteEvent() {
        return new OutputCompleteEvent();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetCapSuspendPrintContentResponse }
     * 
     */
    public GetCapSuspendPrintContentResponse createGetCapSuspendPrintContentResponse() {
        return new GetCapSuspendPrintContentResponse();
    }

    /**
     * Create an instance of {@link SuspendPrintContentResponse }
     * 
     */
    public SuspendPrintContentResponse createSuspendPrintContentResponse() {
        return new SuspendPrintContentResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link GetMediumFreeSpaceResponse }
     * 
     */
    public GetMediumFreeSpaceResponse createGetMediumFreeSpaceResponse() {
        return new GetMediumFreeSpaceResponse();
    }

    /**
     * Create an instance of {@link GetCapRetrieveCurrentMarkerResponse }
     * 
     */
    public GetCapRetrieveCurrentMarkerResponse createGetCapRetrieveCurrentMarkerResponse() {
        return new GetCapRetrieveCurrentMarkerResponse();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetCapRetrieveCurrentMarker }
     * 
     */
    public GetCapRetrieveCurrentMarker createGetCapRetrieveCurrentMarker() {
        return new GetCapRetrieveCurrentMarker();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetSuspended }
     * 
     */
    public GetSuspended createGetSuspended() {
        return new GetSuspended();
    }

    /**
     * Create an instance of {@link RetrieveMarkersDateTime }
     * 
     */
    public RetrieveMarkersDateTime createRetrieveMarkersDateTime() {
        return new RetrieveMarkersDateTime();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link SuspendQueryContent }
     * 
     */
    public SuspendQueryContent createSuspendQueryContent() {
        return new SuspendQueryContent();
    }

    /**
     * Create an instance of {@link RetrieveMarkerByDateTime }
     * 
     */
    public RetrieveMarkerByDateTime createRetrieveMarkerByDateTime() {
        return new RetrieveMarkerByDateTime();
    }

    /**
     * Create an instance of {@link GetCapSuspendQueryContent }
     * 
     */
    public GetCapSuspendQueryContent createGetCapSuspendQueryContent() {
        return new GetCapSuspendQueryContent();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link CancelPrintContent }
     * 
     */
    public CancelPrintContent createCancelPrintContent() {
        return new CancelPrintContent();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link GetCapRetrieveMarkersDateTime }
     * 
     */
    public GetCapRetrieveMarkersDateTime createGetCapRetrieveMarkersDateTime() {
        return new GetCapRetrieveMarkersDateTime();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link GetCapPrintContentFileResponse }
     * 
     */
    public GetCapPrintContentFileResponse createGetCapPrintContentFileResponse() {
        return new GetCapPrintContentFileResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link SetAsyncModeResponse }
     * 
     */
    public SetAsyncModeResponse createSetAsyncModeResponse() {
        return new SetAsyncModeResponse();
    }

    /**
     * Create an instance of {@link GetCapWaterMark }
     * 
     */
    public GetCapWaterMark createGetCapWaterMark() {
        return new GetCapWaterMark();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link GetStationResponse }
     * 
     */
    public GetStationResponse createGetStationResponse() {
        return new GetStationResponse();
    }

    /**
     * Create an instance of {@link SetFlagWhenIdleResponse }
     * 
     */
    public SetFlagWhenIdleResponse createSetFlagWhenIdleResponse() {
        return new SetFlagWhenIdleResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link SuspendQueryContentResponse }
     * 
     */
    public SuspendQueryContentResponse createSuspendQueryContentResponse() {
        return new SuspendQueryContentResponse();
    }

    /**
     * Create an instance of {@link PrintContentResponse }
     * 
     */
    public PrintContentResponse createPrintContentResponse() {
        return new PrintContentResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetCapStorageEnabledResponse }
     * 
     */
    public GetCapStorageEnabledResponse createGetCapStorageEnabledResponse() {
        return new GetCapStorageEnabledResponse();
    }

    /**
     * Create an instance of {@link ResumeQueryContentResponse }
     * 
     */
    public ResumeQueryContentResponse createResumeQueryContentResponse() {
        return new ResumeQueryContentResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetWaterMark }
     * 
     */
    public GetWaterMark createGetWaterMark() {
        return new GetWaterMark();
    }

    /**
     * Create an instance of {@link AddMarkerResponse }
     * 
     */
    public AddMarkerResponse createAddMarkerResponse() {
        return new AddMarkerResponse();
    }

    /**
     * Create an instance of {@link SetAutoDisable }
     * 
     */
    public SetAutoDisable createSetAutoDisable() {
        return new SetAutoDisable();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link ClearOutput }
     * 
     */
    public ClearOutput createClearOutput() {
        return new ClearOutput();
    }

    /**
     * Create an instance of {@link GetCapStorageEnabled }
     * 
     */
    public GetCapStorageEnabled createGetCapStorageEnabled() {
        return new GetCapStorageEnabled();
    }

    /**
     * Create an instance of {@link GetFlagWhenIdle }
     * 
     */
    public GetFlagWhenIdle createGetFlagWhenIdle() {
        return new GetFlagWhenIdle();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetCapPrintContentFile }
     * 
     */
    public GetCapPrintContentFile createGetCapPrintContentFile() {
        return new GetCapPrintContentFile();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link PrintContentFileResponse }
     * 
     */
    public PrintContentFileResponse createPrintContentFileResponse() {
        return new PrintContentFileResponse();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapRetrieveMarker }
     * 
     */
    public GetCapRetrieveMarker createGetCapRetrieveMarker() {
        return new GetCapRetrieveMarker();
    }

    /**
     * Create an instance of {@link ClearOutputResponse }
     * 
     */
    public ClearOutputResponse createClearOutputResponse() {
        return new ClearOutputResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link EraseMediumResponse }
     * 
     */
    public EraseMediumResponse createEraseMediumResponse() {
        return new EraseMediumResponse();
    }

    /**
     * Create an instance of {@link GetCapRetrieveMarkerByDateTime }
     * 
     */
    public GetCapRetrieveMarkerByDateTime createGetCapRetrieveMarkerByDateTime() {
        return new GetCapRetrieveMarkerByDateTime();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link OutputCompleteEventResponse }
     * 
     */
    public OutputCompleteEventResponse createOutputCompleteEventResponse() {
        return new OutputCompleteEventResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapRetrieveMarkerByDateTimeResponse }
     * 
     */
    public GetCapRetrieveMarkerByDateTimeResponse createGetCapRetrieveMarkerByDateTimeResponse() {
        return new GetCapRetrieveMarkerByDateTimeResponse();
    }

    /**
     * Create an instance of {@link SetAsyncMode }
     * 
     */
    public SetAsyncMode createSetAsyncMode() {
        return new SetAsyncMode();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link CancelQueryContentResponse }
     * 
     */
    public CancelQueryContentResponse createCancelQueryContentResponse() {
        return new CancelQueryContentResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetCapPrintContentResponse }
     * 
     */
    public GetCapPrintContentResponse createGetCapPrintContentResponse() {
        return new GetCapPrintContentResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetAutoDisable }
     * 
     */
    public GetAutoDisable createGetAutoDisable() {
        return new GetAutoDisable();
    }

    /**
     * Create an instance of {@link GetAutoDisableResponse }
     * 
     */
    public GetAutoDisableResponse createGetAutoDisableResponse() {
        return new GetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link GetOutputIDResponse }
     * 
     */
    public GetOutputIDResponse createGetOutputIDResponse() {
        return new GetOutputIDResponse();
    }

    /**
     * Create an instance of {@link PrintContent }
     * 
     */
    public PrintContent createPrintContent() {
        return new PrintContent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link RetrieveCurrentMarker }
     * 
     */
    public RetrieveCurrentMarker createRetrieveCurrentMarker() {
        return new RetrieveCurrentMarker();
    }

    /**
     * Create an instance of {@link EraseMedium }
     * 
     */
    public EraseMedium createEraseMedium() {
        return new EraseMedium();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "OutputCompleteEventResponse")
    public JAXBElement<OutputCompleteEventResponse> createOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ElectronicJournalEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ElectronicJournalEvent")
    public JAXBElement<ElectronicJournalEvent> createElectronicJournalEvent(ElectronicJournalEvent value) {
        return new JAXBElement<ElectronicJournalEvent>(_ElectronicJournalEvent_QNAME, ElectronicJournalEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "OutputCompleteEvent")
    public JAXBElement<OutputCompleteEvent> createOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MarkerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "MarkerType")
    public JAXBElement<MarkerType> createMarkerType(MarkerType value) {
        return new JAXBElement<MarkerType>(_MarkerType_QNAME, MarkerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ElectronicJournalEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ElectronicJournalEventResponse")
    public JAXBElement<ElectronicJournalEventResponse> createElectronicJournalEventResponse(ElectronicJournalEventResponse value) {
        return new JAXBElement<ElectronicJournalEventResponse>(_ElectronicJournalEventResponse_QNAME, ElectronicJournalEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "RetrieveCurrentMarkerResult", scope = RetrieveCurrentMarkerResponse.class)
    public JAXBElement<String> createRetrieveCurrentMarkerResponseRetrieveCurrentMarkerResult(String value) {
        return new JAXBElement<String>(_RetrieveCurrentMarkerResponseRetrieveCurrentMarkerResult_QNAME, String.class, RetrieveCurrentMarkerResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetAutoDisable.class)
    public JAXBElement<String> createGetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SuspendQueryContent.class)
    public JAXBElement<String> createSuspendQueryContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SuspendQueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ElectronicJournalEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<ElectronicJournalEvent> createPollForUPOSEventResponsePollForUPOSEventResult(ElectronicJournalEvent value) {
        return new JAXBElement<ElectronicJournalEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, ElectronicJournalEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapRetrieveMarkerByDateTime.class)
    public JAXBElement<String> createGetCapRetrieveMarkerByDateTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapRetrieveMarkerByDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "RetrieveMarkerByDateTimeResult", scope = RetrieveMarkerByDateTimeResponse.class)
    public JAXBElement<String> createRetrieveMarkerByDateTimeResponseRetrieveMarkerByDateTimeResult(String value) {
        return new JAXBElement<String>(_RetrieveMarkerByDateTimeResponseRetrieveMarkerByDateTimeResult_QNAME, String.class, RetrieveMarkerByDateTimeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Source", scope = OutputCompleteEvent.class)
    public JAXBElement<String> createOutputCompleteEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, OutputCompleteEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapWaterMark.class)
    public JAXBElement<String> createGetCapWaterMarkConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapWaterMark.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetStation.class)
    public JAXBElement<String> createSetStationConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetStation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = ClearOutput.class)
    public JAXBElement<String> createClearOutputConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, ClearOutput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatusUpdateEventResponse", scope = ElectronicJournalEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createElectronicJournalEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, ElectronicJournalEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataContainedEventResponse", scope = ElectronicJournalEventResponse.class)
    public JAXBElement<DataContainedEventResponse> createElectronicJournalEventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, ElectronicJournalEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataEventResponse", scope = ElectronicJournalEventResponse.class)
    public JAXBElement<DataEventResponse> createElectronicJournalEventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, ElectronicJournalEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOEventResponse", scope = ElectronicJournalEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createElectronicJournalEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, ElectronicJournalEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorEventResponse", scope = ElectronicJournalEventResponse.class)
    public JAXBElement<ErrorEventResponse> createElectronicJournalEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, ElectronicJournalEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "OutputCompleteEventResponse", scope = ElectronicJournalEventResponse.class)
    public JAXBElement<OutputCompleteEventResponse> createElectronicJournalEventResponseOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, ElectronicJournalEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataContainedEvent", scope = ElectronicJournalEvent.class)
    public JAXBElement<DataContainedEvent> createElectronicJournalEventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, ElectronicJournalEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOEvent", scope = ElectronicJournalEvent.class)
    public JAXBElement<DirectIOEvent> createElectronicJournalEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, ElectronicJournalEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DataEvent", scope = ElectronicJournalEvent.class)
    public JAXBElement<DataEvent> createElectronicJournalEventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, ElectronicJournalEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "OutputCompleteEvent", scope = ElectronicJournalEvent.class)
    public JAXBElement<OutputCompleteEvent> createElectronicJournalEventOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, ElectronicJournalEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ErrorEvent", scope = ElectronicJournalEvent.class)
    public JAXBElement<ErrorEvent> createElectronicJournalEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, ElectronicJournalEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatusUpdateEvent", scope = ElectronicJournalEvent.class)
    public JAXBElement<StatusUpdateEvent> createElectronicJournalEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, ElectronicJournalEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapRetrieveCurrentMarker.class)
    public JAXBElement<String> createGetCapRetrieveCurrentMarkerConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapRetrieveCurrentMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DateTime", scope = RetrieveMarkerByDateTime.class)
    public JAXBElement<String> createRetrieveMarkerByDateTimeDateTime(String value) {
        return new JAXBElement<String>(_RetrieveMarkerByDateTimeDateTime_QNAME, String.class, RetrieveMarkerByDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = RetrieveMarkerByDateTime.class)
    public JAXBElement<String> createRetrieveMarkerByDateTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, RetrieveMarkerByDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "MarkerNumber", scope = RetrieveMarkerByDateTime.class)
    public JAXBElement<String> createRetrieveMarkerByDateTimeMarkerNumber(String value) {
        return new JAXBElement<String>(_RetrieveMarkerByDateTimeMarkerNumber_QNAME, String.class, RetrieveMarkerByDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = ResumePrintContent.class)
    public JAXBElement<String> createResumePrintContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, ResumePrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SuspendPrintContent.class)
    public JAXBElement<String> createSuspendPrintContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SuspendPrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapRetrieveMarker.class)
    public JAXBElement<String> createGetCapRetrieveMarkerConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapRetrieveMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetOutputID.class)
    public JAXBElement<String> createGetOutputIDConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetOutputID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapStation.class)
    public JAXBElement<String> createGetCapStationConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapStation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetMediumFreeSpace.class)
    public JAXBElement<String> createGetMediumFreeSpaceConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetMediumFreeSpace.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = CancelPrintContent.class)
    public JAXBElement<String> createCancelPrintContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, CancelPrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Marker", scope = AddMarker.class)
    public JAXBElement<String> createAddMarkerMarker(String value) {
        return new JAXBElement<String>(_AddMarkerMarker_QNAME, String.class, AddMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = AddMarker.class)
    public JAXBElement<String> createAddMarkerConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, AddMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetMediumIDResult", scope = GetMediumIDResponse.class)
    public JAXBElement<String> createGetMediumIDResponseGetMediumIDResult(String value) {
        return new JAXBElement<String>(_GetMediumIDResponseGetMediumIDResult_QNAME, String.class, GetMediumIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapStorageEnabled.class)
    public JAXBElement<String> createGetCapStorageEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapStorageEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapSuspendQueryContent.class)
    public JAXBElement<String> createGetCapSuspendQueryContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapSuspendQueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetMediumID.class)
    public JAXBElement<String> createGetMediumIDConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetMediumID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapPrintContentFile.class)
    public JAXBElement<String> createGetCapPrintContentFileConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapPrintContentFile.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = RetrieveCurrentMarker.class)
    public JAXBElement<String> createRetrieveCurrentMarkerConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, RetrieveCurrentMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapPrintContent.class)
    public JAXBElement<String> createGetCapPrintContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapPrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ElectronicJournalEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<ElectronicJournalEventResponse> createSetEventResponseEventResponse(ElectronicJournalEventResponse value) {
        return new JAXBElement<ElectronicJournalEventResponse>(_SetEventResponseEventResponse_QNAME, ElectronicJournalEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetAsyncMode.class)
    public JAXBElement<String> createGetAsyncModeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetAsyncMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetFlagWhenIdle.class)
    public JAXBElement<String> createGetFlagWhenIdleConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetFlagWhenIdle.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "FromMarker", scope = PrintContent.class)
    public JAXBElement<String> createPrintContentFromMarker(String value) {
        return new JAXBElement<String>(_PrintContentFromMarker_QNAME, String.class, PrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = PrintContent.class)
    public JAXBElement<String> createPrintContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, PrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ToMarker", scope = PrintContent.class)
    public JAXBElement<String> createPrintContentToMarker(String value) {
        return new JAXBElement<String>(_PrintContentToMarker_QNAME, String.class, PrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapSuspendPrintContent.class)
    public JAXBElement<String> createGetCapSuspendPrintContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapSuspendPrintContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetMediumIsAvailable.class)
    public JAXBElement<String> createGetMediumIsAvailableConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetMediumIsAvailable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetSuspended.class)
    public JAXBElement<String> createGetSuspendedConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetSuspended.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetFlagWhenIdle.class)
    public JAXBElement<String> createSetFlagWhenIdleConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetFlagWhenIdle.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "RetrieveMarkersDateTimeResult", scope = RetrieveMarkersDateTimeResponse.class)
    public JAXBElement<String> createRetrieveMarkersDateTimeResponseRetrieveMarkersDateTimeResult(String value) {
        return new JAXBElement<String>(_RetrieveMarkersDateTimeResponseRetrieveMarkersDateTimeResult_QNAME, String.class, RetrieveMarkersDateTimeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = EraseMedium.class)
    public JAXBElement<String> createEraseMediumConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, EraseMedium.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetWaterMark.class)
    public JAXBElement<String> createGetWaterMarkConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetWaterMark.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetAsyncMode.class)
    public JAXBElement<String> createSetAsyncModeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetAsyncMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetStorageEnabled.class)
    public JAXBElement<String> createSetStorageEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetStorageEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapRetrieveMarkersDateTime.class)
    public JAXBElement<String> createGetCapRetrieveMarkersDateTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapRetrieveMarkersDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Marker", scope = RetrieveMarkersDateTime.class)
    public JAXBElement<String> createRetrieveMarkersDateTimeMarker(String value) {
        return new JAXBElement<String>(_AddMarkerMarker_QNAME, String.class, RetrieveMarkersDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = RetrieveMarkersDateTime.class)
    public JAXBElement<String> createRetrieveMarkersDateTimeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, RetrieveMarkersDateTime.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "FromMarker", scope = QueryContent.class)
    public JAXBElement<String> createQueryContentFromMarker(String value) {
        return new JAXBElement<String>(_PrintContentFromMarker_QNAME, String.class, QueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = QueryContent.class)
    public JAXBElement<String> createQueryContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, QueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "FileName", scope = QueryContent.class)
    public JAXBElement<String> createQueryContentFileName(String value) {
        return new JAXBElement<String>(_QueryContentFileName_QNAME, String.class, QueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ToMarker", scope = QueryContent.class)
    public JAXBElement<String> createQueryContentToMarker(String value) {
        return new JAXBElement<String>(_PrintContentToMarker_QNAME, String.class, QueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "RetrieveMarkerResult", scope = RetrieveMarkerResponse.class)
    public JAXBElement<String> createRetrieveMarkerResponseRetrieveMarkerResult(String value) {
        return new JAXBElement<String>(_RetrieveMarkerResponseRetrieveMarkerResult_QNAME, String.class, RetrieveMarkerResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetWaterMark.class)
    public JAXBElement<String> createSetWaterMarkConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetWaterMark.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapErasableMedium.class)
    public JAXBElement<String> createGetCapErasableMediumConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapErasableMedium.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = RetrieveMarker.class)
    public JAXBElement<String> createRetrieveMarkerConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, RetrieveMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetStorageEnabled.class)
    public JAXBElement<String> createGetStorageEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetStorageEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapMediumIsAvailable.class)
    public JAXBElement<String> createGetCapMediumIsAvailableConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapMediumIsAvailable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = ResumeQueryContent.class)
    public JAXBElement<String> createResumeQueryContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, ResumeQueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetMediumSize.class)
    public JAXBElement<String> createGetMediumSizeConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetMediumSize.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = InitializeMedium.class)
    public JAXBElement<String> createInitializeMediumConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, InitializeMedium.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "MediumID", scope = InitializeMedium.class)
    public JAXBElement<String> createInitializeMediumMediumID(String value) {
        return new JAXBElement<String>(_InitializeMediumMediumID_QNAME, String.class, InitializeMedium.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapInitializeMedium.class)
    public JAXBElement<String> createGetCapInitializeMediumConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapInitializeMedium.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetStation.class)
    public JAXBElement<String> createGetStationConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetStation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = PrintContentFile.class)
    public JAXBElement<String> createPrintContentFileConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, PrintContentFile.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "FileName", scope = PrintContentFile.class)
    public JAXBElement<String> createPrintContentFileFileName(String value) {
        return new JAXBElement<String>(_QueryContentFileName_QNAME, String.class, PrintContentFile.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = CancelQueryContent.class)
    public JAXBElement<String> createCancelQueryContentConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, CancelQueryContent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetCapAddMarker.class)
    public JAXBElement<String> createGetCapAddMarkerConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetCapAddMarker.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ElectronicJournal/", name = "ConsumerID", scope = SetAutoDisable.class)
    public JAXBElement<String> createSetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_SetFreezeEventsConsumerID_QNAME, String.class, SetAutoDisable.class, value);
    }

}
