
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalMessageTypeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalMessageType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_MT_ADVANCE"/>
 *     &lt;enumeration value="FPTR_MT_ADVANCE_PAID"/>
 *     &lt;enumeration value="FPTR_MT_AMOUNT_TO_BE_PAID"/>
 *     &lt;enumeration value="FPTR_MT_AMOUNT_TO_BE_PAID_BACK"/>
 *     &lt;enumeration value="FPTR_MT_CARD"/>
 *     &lt;enumeration value="FPTR_MT_CARD_NUMBER"/>
 *     &lt;enumeration value="FPTR_MT_CARD_TYPE"/>
 *     &lt;enumeration value="FPTR_MT_CASH"/>
 *     &lt;enumeration value="FPTR_MT_CASHIER"/>
 *     &lt;enumeration value="FPTR_MT_CASH_REGISTER_NUMBER"/>
 *     &lt;enumeration value="FPTR_MT_CHANGE"/>
 *     &lt;enumeration value="FPTR_MT_CHEQUE"/>
 *     &lt;enumeration value="FPTR_MT_CLIENT_NUMBER"/>
 *     &lt;enumeration value="FPTR_MT_CLIENT_SIGNATURE"/>
 *     &lt;enumeration value="FPTR_MT_COUNTER_STATE"/>
 *     &lt;enumeration value="FPTR_MT_CREDIT_CARD"/>
 *     &lt;enumeration value="FPTR_MT_CURRENCY"/>
 *     &lt;enumeration value="FPTR_MT_CURRENCY_VALUE"/>
 *     &lt;enumeration value="FPTR_MT_DEPOSIT"/>
 *     &lt;enumeration value="FPTR_MT_DEPOSIT_RETURNED"/>
 *     &lt;enumeration value="FPTR_MT_DOT_LINE"/>
 *     &lt;enumeration value="FPTR_MT_DRIVER_NUMB"/>
 *     &lt;enumeration value="FPTR_MT_EMPTY_LINE"/>
 *     &lt;enumeration value="FPTR_MT_FREE_TEXT"/>
 *     &lt;enumeration value="FPTR_MT_FREE_TEXT_WITH_DAY_LIMIT"/>
 *     &lt;enumeration value="FPTR_MT_GIVEN_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_MT_LOCAL_CREDIT"/>
 *     &lt;enumeration value="FPTR_MT_MILEAGE_KM"/>
 *     &lt;enumeration value="FPTR_MT_NOTE"/>
 *     &lt;enumeration value="FPTR_MT_PAID"/>
 *     &lt;enumeration value="FPTR_MT_PAY_IN"/>
 *     &lt;enumeration value="FPTR_MT_POINT_GRANTED"/>
 *     &lt;enumeration value="FPTR_MT_POINTS_BONUS"/>
 *     &lt;enumeration value="FPTR_MT_POINTS_RECEIPT"/>
 *     &lt;enumeration value="FPTR_MT_POINTS_TOTAL"/>
 *     &lt;enumeration value="FPTR_MT_PROFITED"/>
 *     &lt;enumeration value="FPTR_MT_RATE"/>
 *     &lt;enumeration value="FPTR_MT_REGISTER_NUMB"/>
 *     &lt;enumeration value="FPTR_MT_SHIFT_NUMBER"/>
 *     &lt;enumeration value="FPTR_MT_STATE_OF_AN_ACCOUNT"/>
 *     &lt;enumeration value="FPTR_MT_SUBSCRIPTION"/>
 *     &lt;enumeration value="FPTR_MT_TABLE"/>
 *     &lt;enumeration value="FPTR_MT_THANK_YOU_FOR_LOYALTY"/>
 *     &lt;enumeration value="FPTR_MT_TRANSACTION_NUMB"/>
 *     &lt;enumeration value="FPTR_MT_VALID_TO"/>
 *     &lt;enumeration value="FPTR_MT_VOUCHER"/>
 *     &lt;enumeration value="FPTR_MT_VOUCHER_PAID"/>
 *     &lt;enumeration value="FPTR_MT_VOUCHER_VALUE"/>
 *     &lt;enumeration value="FPTR_MT_WITH_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_MT_WITHOUT_UPLIFT"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalMessageType")
@XmlEnum
public enum FiscalMessageType {

    FPTR_MT_ADVANCE,
    FPTR_MT_ADVANCE_PAID,
    FPTR_MT_AMOUNT_TO_BE_PAID,
    FPTR_MT_AMOUNT_TO_BE_PAID_BACK,
    FPTR_MT_CARD,
    FPTR_MT_CARD_NUMBER,
    FPTR_MT_CARD_TYPE,
    FPTR_MT_CASH,
    FPTR_MT_CASHIER,
    FPTR_MT_CASH_REGISTER_NUMBER,
    FPTR_MT_CHANGE,
    FPTR_MT_CHEQUE,
    FPTR_MT_CLIENT_NUMBER,
    FPTR_MT_CLIENT_SIGNATURE,
    FPTR_MT_COUNTER_STATE,
    FPTR_MT_CREDIT_CARD,
    FPTR_MT_CURRENCY,
    FPTR_MT_CURRENCY_VALUE,
    FPTR_MT_DEPOSIT,
    FPTR_MT_DEPOSIT_RETURNED,
    FPTR_MT_DOT_LINE,
    FPTR_MT_DRIVER_NUMB,
    FPTR_MT_EMPTY_LINE,
    FPTR_MT_FREE_TEXT,
    FPTR_MT_FREE_TEXT_WITH_DAY_LIMIT,
    FPTR_MT_GIVEN_DISCOUNT,
    FPTR_MT_LOCAL_CREDIT,
    FPTR_MT_MILEAGE_KM,
    FPTR_MT_NOTE,
    FPTR_MT_PAID,
    FPTR_MT_PAY_IN,
    FPTR_MT_POINT_GRANTED,
    FPTR_MT_POINTS_BONUS,
    FPTR_MT_POINTS_RECEIPT,
    FPTR_MT_POINTS_TOTAL,
    FPTR_MT_PROFITED,
    FPTR_MT_RATE,
    FPTR_MT_REGISTER_NUMB,
    FPTR_MT_SHIFT_NUMBER,
    FPTR_MT_STATE_OF_AN_ACCOUNT,
    FPTR_MT_SUBSCRIPTION,
    FPTR_MT_TABLE,
    FPTR_MT_THANK_YOU_FOR_LOYALTY,
    FPTR_MT_TRANSACTION_NUMB,
    FPTR_MT_VALID_TO,
    FPTR_MT_VOUCHER,
    FPTR_MT_VOUCHER_PAID,
    FPTR_MT_VOUCHER_VALUE,
    FPTR_MT_WITH_DISCOUNT,
    FPTR_MT_WITHOUT_UPLIFT;

    public String value() {
        return name();
    }

    public static FiscalMessageType fromValue(String v) {
        return valueOf(v);
    }

}
