
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalReceiptStationJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalReceiptStation">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_RS_RECEIPT"/>
 *     &lt;enumeration value="FPTR_RS_SLIP"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalReceiptStation")
@XmlEnum
public enum FiscalReceiptStation {

    FPTR_RS_RECEIPT,
    FPTR_RS_SLIP;

    public String value() {
        return name();
    }

    public static FiscalReceiptStation fromValue(String v) {
        return valueOf(v);
    }

}
