
package org.nrf_arts.unifiedpos.imagescanner;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>ImageTypeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="ImageType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="IMG_TYP_BMP"/>
 *     &lt;enumeration value="IMG_TYP_JPEG"/>
 *     &lt;enumeration value="IMG_TYP_GIF"/>
 *     &lt;enumeration value="IMG_TYP_PNG"/>
 *     &lt;enumeration value="IMG_TYP_TIFF"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ImageType")
@XmlEnum
public enum ImageType {

    IMG_TYP_BMP,
    IMG_TYP_JPEG,
    IMG_TYP_GIF,
    IMG_TYP_PNG,
    IMG_TYP_TIFF;

    public String value() {
        return name();
    }

    public static ImageType fromValue(String v) {
        return valueOf(v);
    }

}
