
package org.nrf_arts.unifiedpos.pinpad;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.pinpad package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _EFTTransactionCompletion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "EFTTransactionCompletion");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ErrorResponse");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "CompareFirmwareResult");
    private final static QName _LanguageList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "LanguageList");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DataEvent");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "UposVersion");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ControlState");
    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PropertyNameList");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ErrorCode");
    private final static QName _PINPadMessageList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PINPadMessageList");
    private final static QName _PINPadEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PINPadEventResponse");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ParameterList");
    private final static QName _PINPadDisplay_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PINPadDisplay");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ErrorEvent");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DirectIOEventResponse");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PowerNotification");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PowerReporting");
    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DataContainedEventResponse");
    private final static QName _PINPadLanguage_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PINPadLanguage");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "StatisticList");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "StatusUpdateEvent");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "UposException");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "HealthCheckLevel");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DirectIOEvent");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DataContainedEvent");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "StatusUpdateEventResponse");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DirectIOData");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ErrorLocus");
    private final static QName _EFTTransactionType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "EFTTransactionType");
    private final static QName _PINPadEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PINPadEvent");
    private final static QName _UpdateStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "StatisticsBuffer");
    private final static QName _UpdateStatisticsConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ConsumerID");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _VerifyMACMessage_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Message");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetDeviceServiceDescriptionResult");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "RetrieveStatisticsResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetCheckHealthTextResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetWSPOSVersionResult");
    private final static QName _SetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "consumerID");
    private final static QName _SetTerminalIDTerminalID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "TerminalID");
    private final static QName _BeginEFTTransactionPINPadSystem_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PINPadSystem");
    private final static QName _GetTerminalIDResponseGetTerminalIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetTerminalIDResult");
    private final static QName _SetTrack1DataTrack1Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Track1Data");
    private final static QName _DirectIOObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Obj");
    private final static QName _GetMerchantIDResponseGetMerchantIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetMerchantIDResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _ErrorEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Source");
    private final static QName _SetTrack3DataTrack3Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Track3Data");
    private final static QName _CompareFirmwareVersionFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "FirmwareFileName");
    private final static QName _SetTrack4DataTrack4Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Track4Data");
    private final static QName _UpdateKeyKey_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Key");
    private final static QName _ComputeMACResponseComputeMACResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "ComputeMACResult");
    private final static QName _GetAccountNumberResponseGetAccountNumberResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetAccountNumberResult");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetDeviceControlVersionResult");
    private final static QName _ComputeMACInMsg_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "InMsg");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "DirectIOResult");
    private final static QName _GetPromptLanguageResponseGetPromptLanguageResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetPromptLanguageResult");
    private final static QName _SetTrack2DataTrack2Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Track2Data");
    private final static QName _GetTrack4DataResponseGetTrack4DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetTrack4DataResult");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "list");
    private final static QName _GetAvailableLanguagesListResponseGetAvailableLanguagesListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetAvailableLanguagesListResult");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "EventResponse");
    private final static QName _GetEncryptedPINResponseGetEncryptedPINResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetEncryptedPINResult");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetDeviceControlDescriptionResult");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Parameters");
    private final static QName _GetTrack3DataResponseGetTrack3DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetTrack3DataResult");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PollForUPOSEventResult");
    private final static QName _SetPromptLanguagePromptLanguage_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "PromptLanguage");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GenerateConsumerIDResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetPhysicalDeviceNameResult");
    private final static QName _SetMerchantIDMerchantID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "MerchantID");
    private final static QName _GetTrack1DataResponseGetTrack1DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetTrack1DataResult");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetDeviceServiceVersionResult");
    private final static QName _GetAvailablePromptsListResponseGetAvailablePromptsListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetAvailablePromptsListResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "EndpointAddress");
    private final static QName _GetTrack2DataResponseGetTrack2DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetTrack2DataResult");
    private final static QName _GetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "GetAdditionalSecurityInformationResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "Value");
    private final static QName _SetAccountNumberAccountNumber_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PINPad/", "AccountNumber");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.pinpad
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link GetAvailablePromptsListResponse }
     * 
     */
    public GetAvailablePromptsListResponse createGetAvailablePromptsListResponse() {
        return new GetAvailablePromptsListResponse();
    }

    /**
     * Create an instance of {@link PINPadMessageList }
     * 
     */
    public PINPadMessageList createPINPadMessageList() {
        return new PINPadMessageList();
    }

    /**
     * Create an instance of {@link GetTrack2Data }
     * 
     */
    public GetTrack2Data createGetTrack2Data() {
        return new GetTrack2Data();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetPrompt }
     * 
     */
    public GetPrompt createGetPrompt() {
        return new GetPrompt();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedPIN }
     * 
     */
    public GetEncryptedPIN createGetEncryptedPIN() {
        return new GetEncryptedPIN();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link ClearInputPropertiesResponse }
     * 
     */
    public ClearInputPropertiesResponse createClearInputPropertiesResponse() {
        return new ClearInputPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link PINPadEventResponse }
     * 
     */
    public PINPadEventResponse createPINPadEventResponse() {
        return new PINPadEventResponse();
    }

    /**
     * Create an instance of {@link GetMinimumPINLengthResponse }
     * 
     */
    public GetMinimumPINLengthResponse createGetMinimumPINLengthResponse() {
        return new GetMinimumPINLengthResponse();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetAvailableLanguagesListResponse }
     * 
     */
    public GetAvailableLanguagesListResponse createGetAvailableLanguagesListResponse() {
        return new GetAvailableLanguagesListResponse();
    }

    /**
     * Create an instance of {@link LanguageList }
     * 
     */
    public LanguageList createLanguageList() {
        return new LanguageList();
    }

    /**
     * Create an instance of {@link GetPromptLanguageResponse }
     * 
     */
    public GetPromptLanguageResponse createGetPromptLanguageResponse() {
        return new GetPromptLanguageResponse();
    }

    /**
     * Create an instance of {@link SetAmount }
     * 
     */
    public SetAmount createSetAmount() {
        return new SetAmount();
    }

    /**
     * Create an instance of {@link GetPromptResponse }
     * 
     */
    public GetPromptResponse createGetPromptResponse() {
        return new GetPromptResponse();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link SetTransactionTypeResponse }
     * 
     */
    public SetTransactionTypeResponse createSetTransactionTypeResponse() {
        return new SetTransactionTypeResponse();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link GetTransactionType }
     * 
     */
    public GetTransactionType createGetTransactionType() {
        return new GetTransactionType();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link UpdateKeyResponse }
     * 
     */
    public UpdateKeyResponse createUpdateKeyResponse() {
        return new UpdateKeyResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link SetMerchantID }
     * 
     */
    public SetMerchantID createSetMerchantID() {
        return new SetMerchantID();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link PINPadEvent }
     * 
     */
    public PINPadEvent createPINPadEvent() {
        return new PINPadEvent();
    }

    /**
     * Create an instance of {@link GetCapMACCalculationResponse }
     * 
     */
    public GetCapMACCalculationResponse createGetCapMACCalculationResponse() {
        return new GetCapMACCalculationResponse();
    }

    /**
     * Create an instance of {@link SetPromptResponse }
     * 
     */
    public SetPromptResponse createSetPromptResponse() {
        return new SetPromptResponse();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link SetTerminalIDResponse }
     * 
     */
    public SetTerminalIDResponse createSetTerminalIDResponse() {
        return new SetTerminalIDResponse();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link SetTerminalID }
     * 
     */
    public SetTerminalID createSetTerminalID() {
        return new SetTerminalID();
    }

    /**
     * Create an instance of {@link SetTrack1Data }
     * 
     */
    public SetTrack1Data createSetTrack1Data() {
        return new SetTrack1Data();
    }

    /**
     * Create an instance of {@link BeginEFTTransactionResponse }
     * 
     */
    public BeginEFTTransactionResponse createBeginEFTTransactionResponse() {
        return new BeginEFTTransactionResponse();
    }

    /**
     * Create an instance of {@link SetMinimumPINLength }
     * 
     */
    public SetMinimumPINLength createSetMinimumPINLength() {
        return new SetMinimumPINLength();
    }

    /**
     * Create an instance of {@link GetTrack1Data }
     * 
     */
    public GetTrack1Data createGetTrack1Data() {
        return new GetTrack1Data();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link SetPromptLanguageResponse }
     * 
     */
    public SetPromptLanguageResponse createSetPromptLanguageResponse() {
        return new SetPromptLanguageResponse();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link GetMerchantIDResponse }
     * 
     */
    public GetMerchantIDResponse createGetMerchantIDResponse() {
        return new GetMerchantIDResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link EndEFTTransaction }
     * 
     */
    public EndEFTTransaction createEndEFTTransaction() {
        return new EndEFTTransaction();
    }

    /**
     * Create an instance of {@link GetAccountNumber }
     * 
     */
    public GetAccountNumber createGetAccountNumber() {
        return new GetAccountNumber();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link EnablePINEntry }
     * 
     */
    public EnablePINEntry createEnablePINEntry() {
        return new EnablePINEntry();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetAvailablePromptsList }
     * 
     */
    public GetAvailablePromptsList createGetAvailablePromptsList() {
        return new GetAvailablePromptsList();
    }

    /**
     * Create an instance of {@link ComputeMACResponse }
     * 
     */
    public ComputeMACResponse createComputeMACResponse() {
        return new ComputeMACResponse();
    }

    /**
     * Create an instance of {@link EndEFTTransactionResponse }
     * 
     */
    public EndEFTTransactionResponse createEndEFTTransactionResponse() {
        return new EndEFTTransactionResponse();
    }

    /**
     * Create an instance of {@link SetAccountNumberResponse }
     * 
     */
    public SetAccountNumberResponse createSetAccountNumberResponse() {
        return new SetAccountNumberResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GetTrack3DataResponse }
     * 
     */
    public GetTrack3DataResponse createGetTrack3DataResponse() {
        return new GetTrack3DataResponse();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link GetTrack1DataResponse }
     * 
     */
    public GetTrack1DataResponse createGetTrack1DataResponse() {
        return new GetTrack1DataResponse();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link GetCapKeyboardResponse }
     * 
     */
    public GetCapKeyboardResponse createGetCapKeyboardResponse() {
        return new GetCapKeyboardResponse();
    }

    /**
     * Create an instance of {@link GetCapLanguageResponse }
     * 
     */
    public GetCapLanguageResponse createGetCapLanguageResponse() {
        return new GetCapLanguageResponse();
    }

    /**
     * Create an instance of {@link GetCapMACCalculation }
     * 
     */
    public GetCapMACCalculation createGetCapMACCalculation() {
        return new GetCapMACCalculation();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetMerchantID }
     * 
     */
    public GetMerchantID createGetMerchantID() {
        return new GetMerchantID();
    }

    /**
     * Create an instance of {@link SetMinimumPINLengthResponse }
     * 
     */
    public SetMinimumPINLengthResponse createSetMinimumPINLengthResponse() {
        return new SetMinimumPINLengthResponse();
    }

    /**
     * Create an instance of {@link SetMaximumPINLengthResponse }
     * 
     */
    public SetMaximumPINLengthResponse createSetMaximumPINLengthResponse() {
        return new SetMaximumPINLengthResponse();
    }

    /**
     * Create an instance of {@link SetTransactionType }
     * 
     */
    public SetTransactionType createSetTransactionType() {
        return new SetTransactionType();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link SetTrack4DataResponse }
     * 
     */
    public SetTrack4DataResponse createSetTrack4DataResponse() {
        return new SetTrack4DataResponse();
    }

    /**
     * Create an instance of {@link SetTrack2Data }
     * 
     */
    public SetTrack2Data createSetTrack2Data() {
        return new SetTrack2Data();
    }

    /**
     * Create an instance of {@link SetTrack2DataResponse }
     * 
     */
    public SetTrack2DataResponse createSetTrack2DataResponse() {
        return new SetTrack2DataResponse();
    }

    /**
     * Create an instance of {@link SetMaximumPINLength }
     * 
     */
    public SetMaximumPINLength createSetMaximumPINLength() {
        return new SetMaximumPINLength();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link GetAvailableLanguagesList }
     * 
     */
    public GetAvailableLanguagesList createGetAvailableLanguagesList() {
        return new GetAvailableLanguagesList();
    }

    /**
     * Create an instance of {@link GetCapKeyboard }
     * 
     */
    public GetCapKeyboard createGetCapKeyboard() {
        return new GetCapKeyboard();
    }

    /**
     * Create an instance of {@link GetEncryptedPINResponse }
     * 
     */
    public GetEncryptedPINResponse createGetEncryptedPINResponse() {
        return new GetEncryptedPINResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link SetAccountNumber }
     * 
     */
    public SetAccountNumber createSetAccountNumber() {
        return new SetAccountNumber();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetTransactionTypeResponse }
     * 
     */
    public GetTransactionTypeResponse createGetTransactionTypeResponse() {
        return new GetTransactionTypeResponse();
    }

    /**
     * Create an instance of {@link VerifyMACResponse }
     * 
     */
    public VerifyMACResponse createVerifyMACResponse() {
        return new VerifyMACResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link BeginEFTTransaction }
     * 
     */
    public BeginEFTTransaction createBeginEFTTransaction() {
        return new BeginEFTTransaction();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link ClearInputProperties }
     * 
     */
    public ClearInputProperties createClearInputProperties() {
        return new ClearInputProperties();
    }

    /**
     * Create an instance of {@link ComputeMAC }
     * 
     */
    public ComputeMAC createComputeMAC() {
        return new ComputeMAC();
    }

    /**
     * Create an instance of {@link SetPrompt }
     * 
     */
    public SetPrompt createSetPrompt() {
        return new SetPrompt();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link GetCapDisplayResponse }
     * 
     */
    public GetCapDisplayResponse createGetCapDisplayResponse() {
        return new GetCapDisplayResponse();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link GetAccountNumberResponse }
     * 
     */
    public GetAccountNumberResponse createGetAccountNumberResponse() {
        return new GetAccountNumberResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetCapToneResponse }
     * 
     */
    public GetCapToneResponse createGetCapToneResponse() {
        return new GetCapToneResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetPromptLanguage }
     * 
     */
    public GetPromptLanguage createGetPromptLanguage() {
        return new GetPromptLanguage();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetPINEntryEnabledResponse }
     * 
     */
    public GetPINEntryEnabledResponse createGetPINEntryEnabledResponse() {
        return new GetPINEntryEnabledResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link SetAmountResponse }
     * 
     */
    public SetAmountResponse createSetAmountResponse() {
        return new SetAmountResponse();
    }

    /**
     * Create an instance of {@link SetTrack3Data }
     * 
     */
    public SetTrack3Data createSetTrack3Data() {
        return new SetTrack3Data();
    }

    /**
     * Create an instance of {@link GetAmountResponse }
     * 
     */
    public GetAmountResponse createGetAmountResponse() {
        return new GetAmountResponse();
    }

    /**
     * Create an instance of {@link SetPromptLanguage }
     * 
     */
    public SetPromptLanguage createSetPromptLanguage() {
        return new SetPromptLanguage();
    }

    /**
     * Create an instance of {@link GetAdditionalSecurityInformation }
     * 
     */
    public GetAdditionalSecurityInformation createGetAdditionalSecurityInformation() {
        return new GetAdditionalSecurityInformation();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetPINEntryEnabled }
     * 
     */
    public GetPINEntryEnabled createGetPINEntryEnabled() {
        return new GetPINEntryEnabled();
    }

    /**
     * Create an instance of {@link GetTrack3Data }
     * 
     */
    public GetTrack3Data createGetTrack3Data() {
        return new GetTrack3Data();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetAmount }
     * 
     */
    public GetAmount createGetAmount() {
        return new GetAmount();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetAdditionalSecurityInformationResponse }
     * 
     */
    public GetAdditionalSecurityInformationResponse createGetAdditionalSecurityInformationResponse() {
        return new GetAdditionalSecurityInformationResponse();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link EnablePINEntryResponse }
     * 
     */
    public EnablePINEntryResponse createEnablePINEntryResponse() {
        return new EnablePINEntryResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link GetMaximumPINLengthResponse }
     * 
     */
    public GetMaximumPINLengthResponse createGetMaximumPINLengthResponse() {
        return new GetMaximumPINLengthResponse();
    }

    /**
     * Create an instance of {@link GetMinimumPINLength }
     * 
     */
    public GetMinimumPINLength createGetMinimumPINLength() {
        return new GetMinimumPINLength();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link SetMerchantIDResponse }
     * 
     */
    public SetMerchantIDResponse createSetMerchantIDResponse() {
        return new SetMerchantIDResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link VerifyMAC }
     * 
     */
    public VerifyMAC createVerifyMAC() {
        return new VerifyMAC();
    }

    /**
     * Create an instance of {@link GetTerminalID }
     * 
     */
    public GetTerminalID createGetTerminalID() {
        return new GetTerminalID();
    }

    /**
     * Create an instance of {@link GetTerminalIDResponse }
     * 
     */
    public GetTerminalIDResponse createGetTerminalIDResponse() {
        return new GetTerminalIDResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetTrack4DataResponse }
     * 
     */
    public GetTrack4DataResponse createGetTrack4DataResponse() {
        return new GetTrack4DataResponse();
    }

    /**
     * Create an instance of {@link SetTrack4Data }
     * 
     */
    public SetTrack4Data createSetTrack4Data() {
        return new SetTrack4Data();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetCapLanguage }
     * 
     */
    public GetCapLanguage createGetCapLanguage() {
        return new GetCapLanguage();
    }

    /**
     * Create an instance of {@link GetTrack2DataResponse }
     * 
     */
    public GetTrack2DataResponse createGetTrack2DataResponse() {
        return new GetTrack2DataResponse();
    }

    /**
     * Create an instance of {@link GetCapTone }
     * 
     */
    public GetCapTone createGetCapTone() {
        return new GetCapTone();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link SetTrack3DataResponse }
     * 
     */
    public SetTrack3DataResponse createSetTrack3DataResponse() {
        return new SetTrack3DataResponse();
    }

    /**
     * Create an instance of {@link GetTrack4Data }
     * 
     */
    public GetTrack4Data createGetTrack4Data() {
        return new GetTrack4Data();
    }

    /**
     * Create an instance of {@link GetMaximumPINLength }
     * 
     */
    public GetMaximumPINLength createGetMaximumPINLength() {
        return new GetMaximumPINLength();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetCapDisplay }
     * 
     */
    public GetCapDisplay createGetCapDisplay() {
        return new GetCapDisplay();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link UpdateKey }
     * 
     */
    public UpdateKey createUpdateKey() {
        return new UpdateKey();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link SetTrack1DataResponse }
     * 
     */
    public SetTrack1DataResponse createSetTrack1DataResponse() {
        return new SetTrack1DataResponse();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EFTTransactionCompletion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "EFTTransactionCompletion")
    public JAXBElement<EFTTransactionCompletion> createEFTTransactionCompletion(EFTTransactionCompletion value) {
        return new JAXBElement<EFTTransactionCompletion>(_EFTTransactionCompletion_QNAME, EFTTransactionCompletion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LanguageList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "LanguageList")
    public JAXBElement<LanguageList> createLanguageList(LanguageList value) {
        return new JAXBElement<LanguageList>(_LanguageList_QNAME, LanguageList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadMessageList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PINPadMessageList")
    public JAXBElement<PINPadMessageList> createPINPadMessageList(PINPadMessageList value) {
        return new JAXBElement<PINPadMessageList>(_PINPadMessageList_QNAME, PINPadMessageList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PINPadEventResponse")
    public JAXBElement<PINPadEventResponse> createPINPadEventResponse(PINPadEventResponse value) {
        return new JAXBElement<PINPadEventResponse>(_PINPadEventResponse_QNAME, PINPadEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadDisplay }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PINPadDisplay")
    public JAXBElement<PINPadDisplay> createPINPadDisplay(PINPadDisplay value) {
        return new JAXBElement<PINPadDisplay>(_PINPadDisplay_QNAME, PINPadDisplay.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadLanguage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PINPadLanguage")
    public JAXBElement<PINPadLanguage> createPINPadLanguage(PINPadLanguage value) {
        return new JAXBElement<PINPadLanguage>(_PINPadLanguage_QNAME, PINPadLanguage.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EFTTransactionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "EFTTransactionType")
    public JAXBElement<EFTTransactionType> createEFTTransactionType(EFTTransactionType value) {
        return new JAXBElement<EFTTransactionType>(_EFTTransactionType_QNAME, EFTTransactionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PINPadEvent")
    public JAXBElement<PINPadEvent> createPINPadEvent(PINPadEvent value) {
        return new JAXBElement<PINPadEvent>(_PINPadEvent_QNAME, PINPadEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetAccountNumber.class)
    public JAXBElement<String> createGetAccountNumberConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetAccountNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Message", scope = VerifyMAC.class)
    public JAXBElement<String> createVerifyMACMessage(String value) {
        return new JAXBElement<String>(_VerifyMACMessage_QNAME, String.class, VerifyMAC.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = VerifyMAC.class)
    public JAXBElement<String> createVerifyMACConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, VerifyMAC.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "TerminalID", scope = SetTerminalID.class)
    public JAXBElement<String> createSetTerminalIDTerminalID(String value) {
        return new JAXBElement<String>(_SetTerminalIDTerminalID_QNAME, String.class, SetTerminalID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetTerminalID.class)
    public JAXBElement<String> createSetTerminalIDConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetTerminalID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PINPadSystem", scope = BeginEFTTransaction.class)
    public JAXBElement<String> createBeginEFTTransactionPINPadSystem(String value) {
        return new JAXBElement<String>(_BeginEFTTransactionPINPadSystem_QNAME, String.class, BeginEFTTransaction.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = BeginEFTTransaction.class)
    public JAXBElement<String> createBeginEFTTransactionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, BeginEFTTransaction.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetTerminalIDResult", scope = GetTerminalIDResponse.class)
    public JAXBElement<String> createGetTerminalIDResponseGetTerminalIDResult(String value) {
        return new JAXBElement<String>(_GetTerminalIDResponseGetTerminalIDResult_QNAME, String.class, GetTerminalIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Track1Data", scope = SetTrack1Data.class)
    public JAXBElement<byte[]> createSetTrack1DataTrack1Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetTrack1DataTrack1Data_QNAME, byte[].class, SetTrack1Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetTrack1Data.class)
    public JAXBElement<String> createSetTrack1DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetTrack1Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapDisplay.class)
    public JAXBElement<String> createGetCapDisplayConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapDisplay.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatusUpdateEvent", scope = PINPadEvent.class)
    public JAXBElement<StatusUpdateEvent> createPINPadEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, PINPadEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataContainedEvent", scope = PINPadEvent.class)
    public JAXBElement<DataContainedEvent> createPINPadEventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, PINPadEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOEvent", scope = PINPadEvent.class)
    public JAXBElement<DirectIOEvent> createPINPadEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, PINPadEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataEvent", scope = PINPadEvent.class)
    public JAXBElement<DataEvent> createPINPadEventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, PINPadEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorEvent", scope = PINPadEvent.class)
    public JAXBElement<ErrorEvent> createPINPadEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, PINPadEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetAmount.class)
    public JAXBElement<String> createSetAmountConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetAmount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetTrack4Data.class)
    public JAXBElement<String> createGetTrack4DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetTrack4Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = EndEFTTransaction.class)
    public JAXBElement<String> createEndEFTTransactionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, EndEFTTransaction.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetMerchantIDResult", scope = GetMerchantIDResponse.class)
    public JAXBElement<String> createGetMerchantIDResponseGetMerchantIDResult(String value) {
        return new JAXBElement<String>(_GetMerchantIDResponseGetMerchantIDResult_QNAME, String.class, GetMerchantIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Track3Data", scope = SetTrack3Data.class)
    public JAXBElement<byte[]> createSetTrack3DataTrack3Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetTrack3DataTrack3Data_QNAME, byte[].class, SetTrack3Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetTrack3Data.class)
    public JAXBElement<String> createSetTrack3DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetTrack3Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetEncryptedPIN.class)
    public JAXBElement<String> createGetEncryptedPINConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetEncryptedPIN.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetAvailablePromptsList.class)
    public JAXBElement<String> createGetAvailablePromptsListConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetAvailablePromptsList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Track4Data", scope = SetTrack4Data.class)
    public JAXBElement<byte[]> createSetTrack4DataTrack4Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetTrack4DataTrack4Data_QNAME, byte[].class, SetTrack4Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetTrack4Data.class)
    public JAXBElement<String> createSetTrack4DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetTrack4Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Key", scope = UpdateKey.class)
    public JAXBElement<String> createUpdateKeyKey(String value) {
        return new JAXBElement<String>(_UpdateKeyKey_QNAME, String.class, UpdateKey.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = UpdateKey.class)
    public JAXBElement<String> createUpdateKeyConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, UpdateKey.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ComputeMACResult", scope = ComputeMACResponse.class)
    public JAXBElement<String> createComputeMACResponseComputeMACResult(String value) {
        return new JAXBElement<String>(_ComputeMACResponseComputeMACResult_QNAME, String.class, ComputeMACResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetAccountNumberResult", scope = GetAccountNumberResponse.class)
    public JAXBElement<String> createGetAccountNumberResponseGetAccountNumberResult(String value) {
        return new JAXBElement<String>(_GetAccountNumberResponseGetAccountNumberResult_QNAME, String.class, GetAccountNumberResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = ClearInputProperties.class)
    public JAXBElement<String> createClearInputPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, ClearInputProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "InMsg", scope = ComputeMAC.class)
    public JAXBElement<String> createComputeMACInMsg(String value) {
        return new JAXBElement<String>(_ComputeMACInMsg_QNAME, String.class, ComputeMAC.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = ComputeMAC.class)
    public JAXBElement<String> createComputeMACConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, ComputeMAC.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetPromptLanguageResult", scope = GetPromptLanguageResponse.class)
    public JAXBElement<String> createGetPromptLanguageResponseGetPromptLanguageResult(String value) {
        return new JAXBElement<String>(_GetPromptLanguageResponseGetPromptLanguageResult_QNAME, String.class, GetPromptLanguageResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Track2Data", scope = SetTrack2Data.class)
    public JAXBElement<byte[]> createSetTrack2DataTrack2Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetTrack2DataTrack2Data_QNAME, byte[].class, SetTrack2Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetTrack2Data.class)
    public JAXBElement<String> createSetTrack2DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetTrack2Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapKeyboard.class)
    public JAXBElement<String> createGetCapKeyboardConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapKeyboard.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapLanguage.class)
    public JAXBElement<String> createGetCapLanguageConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapLanguage.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetTrack4DataResult", scope = GetTrack4DataResponse.class)
    public JAXBElement<byte[]> createGetTrack4DataResponseGetTrack4DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack4DataResponseGetTrack4DataResult_QNAME, byte[].class, GetTrack4DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LanguageList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetAvailableLanguagesListResult", scope = GetAvailableLanguagesListResponse.class)
    public JAXBElement<LanguageList> createGetAvailableLanguagesListResponseGetAvailableLanguagesListResult(LanguageList value) {
        return new JAXBElement<LanguageList>(_GetAvailableLanguagesListResponseGetAvailableLanguagesListResult_QNAME, LanguageList.class, GetAvailableLanguagesListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetTerminalID.class)
    public JAXBElement<String> createGetTerminalIDConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetTerminalID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetTransactionType.class)
    public JAXBElement<String> createGetTransactionTypeConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetTransactionType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<PINPadEventResponse> createSetEventResponseEventResponse(PINPadEventResponse value) {
        return new JAXBElement<PINPadEventResponse>(_SetEventResponseEventResponse_QNAME, PINPadEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPromptLanguage.class)
    public JAXBElement<String> createGetPromptLanguageConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPromptLanguage.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetTrack1Data.class)
    public JAXBElement<String> createGetTrack1DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetTrack1Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetMaximumPINLength.class)
    public JAXBElement<String> createGetMaximumPINLengthConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetMaximumPINLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetEncryptedPINResult", scope = GetEncryptedPINResponse.class)
    public JAXBElement<String> createGetEncryptedPINResponseGetEncryptedPINResult(String value) {
        return new JAXBElement<String>(_GetEncryptedPINResponseGetEncryptedPINResult_QNAME, String.class, GetEncryptedPINResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetTrack2Data.class)
    public JAXBElement<String> createGetTrack2DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetTrack2Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapTone.class)
    public JAXBElement<String> createGetCapToneConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapTone.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetTrack3DataResult", scope = GetTrack3DataResponse.class)
    public JAXBElement<byte[]> createGetTrack3DataResponseGetTrack3DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack3DataResponseGetTrack3DataResult_QNAME, byte[].class, GetTrack3DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetMinimumPINLength.class)
    public JAXBElement<String> createGetMinimumPINLengthConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetMinimumPINLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPINEntryEnabled.class)
    public JAXBElement<String> createGetPINEntryEnabledConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPINEntryEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<PINPadEvent> createPollForUPOSEventResponsePollForUPOSEventResult(PINPadEvent value) {
        return new JAXBElement<PINPadEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, PINPadEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetAdditionalSecurityInformation.class)
    public JAXBElement<String> createGetAdditionalSecurityInformationConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetAdditionalSecurityInformation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "PromptLanguage", scope = SetPromptLanguage.class)
    public JAXBElement<String> createSetPromptLanguagePromptLanguage(String value) {
        return new JAXBElement<String>(_SetPromptLanguagePromptLanguage_QNAME, String.class, SetPromptLanguage.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetPromptLanguage.class)
    public JAXBElement<String> createSetPromptLanguageConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetPromptLanguage.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetAmount.class)
    public JAXBElement<String> createGetAmountConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetAmount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetAvailableLanguagesList.class)
    public JAXBElement<String> createGetAvailableLanguagesListConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetAvailableLanguagesList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "MerchantID", scope = SetMerchantID.class)
    public JAXBElement<String> createSetMerchantIDMerchantID(String value) {
        return new JAXBElement<String>(_SetMerchantIDMerchantID_QNAME, String.class, SetMerchantID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetMerchantID.class)
    public JAXBElement<String> createSetMerchantIDConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetMerchantID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetTrack1DataResult", scope = GetTrack1DataResponse.class)
    public JAXBElement<byte[]> createGetTrack1DataResponseGetTrack1DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack1DataResponseGetTrack1DataResult_QNAME, byte[].class, GetTrack1DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetMaximumPINLength.class)
    public JAXBElement<String> createSetMaximumPINLengthConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetMaximumPINLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DirectIOEventResponse", scope = PINPadEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createPINPadEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, PINPadEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ErrorEventResponse", scope = PINPadEventResponse.class)
    public JAXBElement<ErrorEventResponse> createPINPadEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, PINPadEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "StatusUpdateEventResponse", scope = PINPadEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createPINPadEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, PINPadEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataContainedEventResponse", scope = PINPadEventResponse.class)
    public JAXBElement<DataContainedEventResponse> createPINPadEventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, PINPadEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "DataEventResponse", scope = PINPadEventResponse.class)
    public JAXBElement<DataEventResponse> createPINPadEventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, PINPadEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetTrack3Data.class)
    public JAXBElement<String> createGetTrack3DataConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetTrack3Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PINPadMessageList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetAvailablePromptsListResult", scope = GetAvailablePromptsListResponse.class)
    public JAXBElement<PINPadMessageList> createGetAvailablePromptsListResponseGetAvailablePromptsListResult(PINPadMessageList value) {
        return new JAXBElement<PINPadMessageList>(_GetAvailablePromptsListResponseGetAvailablePromptsListResult_QNAME, PINPadMessageList.class, GetAvailablePromptsListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = EnablePINEntry.class)
    public JAXBElement<String> createEnablePINEntryConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, EnablePINEntry.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetTrack2DataResult", scope = GetTrack2DataResponse.class)
    public JAXBElement<byte[]> createGetTrack2DataResponseGetTrack2DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack2DataResponseGetTrack2DataResult_QNAME, byte[].class, GetTrack2DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "GetAdditionalSecurityInformationResult", scope = GetAdditionalSecurityInformationResponse.class)
    public JAXBElement<String> createGetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult(String value) {
        return new JAXBElement<String>(_GetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult_QNAME, String.class, GetAdditionalSecurityInformationResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetMinimumPINLength.class)
    public JAXBElement<String> createSetMinimumPINLengthConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetMinimumPINLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetPrompt.class)
    public JAXBElement<String> createSetPromptConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetPrompt.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetPrompt.class)
    public JAXBElement<String> createGetPromptConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetPrompt.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapMACCalculation.class)
    public JAXBElement<String> createGetCapMACCalculationConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapMACCalculation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetMerchantID.class)
    public JAXBElement<String> createGetMerchantIDConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetMerchantID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetTransactionType.class)
    public JAXBElement<String> createSetTransactionTypeConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetTransactionType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "AccountNumber", scope = SetAccountNumber.class)
    public JAXBElement<String> createSetAccountNumberAccountNumber(String value) {
        return new JAXBElement<String>(_SetAccountNumberAccountNumber_QNAME, String.class, SetAccountNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = SetAccountNumber.class)
    public JAXBElement<String> createSetAccountNumberConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, SetAccountNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PINPad/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_UpdateStatisticsConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

}
