
package org.nrf_arts.unifiedpos.posprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PrinterLineStyleJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PrinterLineStyle">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PTR_LS_SINGLE_SOLID_LINE"/>
 *     &lt;enumeration value="PTR_LS_DOUBLE_SOLID_LINE"/>
 *     &lt;enumeration value="PTR_LS_BROKEN_LINE"/>
 *     &lt;enumeration value="PTR_LS_CHAIN_LINE"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PrinterLineStyle")
@XmlEnum
public enum PrinterLineStyle {

    PTR_LS_SINGLE_SOLID_LINE,
    PTR_LS_DOUBLE_SOLID_LINE,
    PTR_LS_BROKEN_LINE,
    PTR_LS_CHAIN_LINE;

    public String value() {
        return name();
    }

    public static PrinterLineStyle fromValue(String v) {
        return valueOf(v);
    }

}
