
package org.nrf_arts.unifiedpos.signaturecapture;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.signaturecapture package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "PropertyNameList");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ErrorEvent");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ParameterList");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ErrorCode");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ControlState");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "CompareFirmwareResult");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ErrorResponse");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "UposVersion");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DataEvent");
    private final static QName _Point_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Point");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ErrorLocus");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DirectIOData");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "PowerState");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "StatusUpdateEventResponse");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DataContainedEvent");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DirectIOEvent");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "StatusUpdateEvent");
    private final static QName _SignatureCaptureEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "SignatureCaptureEventResponse");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "StatisticList");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "UposException");
    private final static QName _SignatureCaptureEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "SignatureCaptureEvent");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "PowerReporting");
    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DataContainedEventResponse");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DirectIOEventResponse");
    private final static QName _PointList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "PointList");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "PowerNotification");
    private final static QName _GetPowerStateConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "ConsumerID");
    private final static QName _DirectIODataObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Obj");
    private final static QName _CompareFirmwareVersionFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "FirmwareFileName");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetDeviceServiceDescriptionResult");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "list");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetDeviceControlDescriptionResult");
    private final static QName _DirectIOEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Source");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _UpdateStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "StatisticsBuffer");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetCheckHealthTextResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Value");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "RetrieveStatisticsResult");
    private final static QName _GetRawDataResponseGetRawDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetRawDataResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "EndpointAddress");
    private final static QName _SetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "consumerID");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GenerateConsumerIDResult");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetDeviceControlVersionResult");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "EventResponse");
    private final static QName _BeginCaptureFormName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "FormName");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetWSPOSVersionResult");
    private final static QName _GetPointArrayResponseGetPointArrayResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetPointArrayResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "Parameters");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetPhysicalDeviceNameResult");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "GetDeviceServiceVersionResult");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "PollForUPOSEventResult");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", "DirectIOResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.signaturecapture
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link GetCapUserTerminated }
     * 
     */
    public GetCapUserTerminated createGetCapUserTerminated() {
        return new GetCapUserTerminated();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link ClearInputProperties }
     * 
     */
    public ClearInputProperties createClearInputProperties() {
        return new ClearInputProperties();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link SetRealTimeDataEnabled }
     * 
     */
    public SetRealTimeDataEnabled createSetRealTimeDataEnabled() {
        return new SetRealTimeDataEnabled();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link GetCapDisplayResponse }
     * 
     */
    public GetCapDisplayResponse createGetCapDisplayResponse() {
        return new GetCapDisplayResponse();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapRealTimeDataResponse }
     * 
     */
    public GetCapRealTimeDataResponse createGetCapRealTimeDataResponse() {
        return new GetCapRealTimeDataResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link ClearInputPropertiesResponse }
     * 
     */
    public ClearInputPropertiesResponse createClearInputPropertiesResponse() {
        return new ClearInputPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link EndCaptureResponse }
     * 
     */
    public EndCaptureResponse createEndCaptureResponse() {
        return new EndCaptureResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link SignatureCaptureEventResponse }
     * 
     */
    public SignatureCaptureEventResponse createSignatureCaptureEventResponse() {
        return new SignatureCaptureEventResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link GetRealTimeDataEnabled }
     * 
     */
    public GetRealTimeDataEnabled createGetRealTimeDataEnabled() {
        return new GetRealTimeDataEnabled();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetAutoDisableResponse }
     * 
     */
    public SetAutoDisableResponse createSetAutoDisableResponse() {
        return new SetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetRawDataResponse }
     * 
     */
    public GetRawDataResponse createGetRawDataResponse() {
        return new GetRawDataResponse();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link EndCapture }
     * 
     */
    public EndCapture createEndCapture() {
        return new EndCapture();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link SignatureCaptureEvent }
     * 
     */
    public SignatureCaptureEvent createSignatureCaptureEvent() {
        return new SignatureCaptureEvent();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link GetRealTimeDataEnabledResponse }
     * 
     */
    public GetRealTimeDataEnabledResponse createGetRealTimeDataEnabledResponse() {
        return new GetRealTimeDataEnabledResponse();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapUserTerminatedResponse }
     * 
     */
    public GetCapUserTerminatedResponse createGetCapUserTerminatedResponse() {
        return new GetCapUserTerminatedResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link GetCapRealTimeData }
     * 
     */
    public GetCapRealTimeData createGetCapRealTimeData() {
        return new GetCapRealTimeData();
    }

    /**
     * Create an instance of {@link PointList }
     * 
     */
    public PointList createPointList() {
        return new PointList();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetRawData }
     * 
     */
    public GetRawData createGetRawData() {
        return new GetRawData();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link SetAutoDisable }
     * 
     */
    public SetAutoDisable createSetAutoDisable() {
        return new SetAutoDisable();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetPointArrayResponse }
     * 
     */
    public GetPointArrayResponse createGetPointArrayResponse() {
        return new GetPointArrayResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetMaximumX }
     * 
     */
    public GetMaximumX createGetMaximumX() {
        return new GetMaximumX();
    }

    /**
     * Create an instance of {@link GetMaximumY }
     * 
     */
    public GetMaximumY createGetMaximumY() {
        return new GetMaximumY();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetMaximumYResponse }
     * 
     */
    public GetMaximumYResponse createGetMaximumYResponse() {
        return new GetMaximumYResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetPointArray }
     * 
     */
    public GetPointArray createGetPointArray() {
        return new GetPointArray();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link BeginCaptureResponse }
     * 
     */
    public BeginCaptureResponse createBeginCaptureResponse() {
        return new BeginCaptureResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link GetMaximumXResponse }
     * 
     */
    public GetMaximumXResponse createGetMaximumXResponse() {
        return new GetMaximumXResponse();
    }

    /**
     * Create an instance of {@link Point }
     * 
     */
    public Point createPoint() {
        return new Point();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetCapDisplay }
     * 
     */
    public GetCapDisplay createGetCapDisplay() {
        return new GetCapDisplay();
    }

    /**
     * Create an instance of {@link SetRealTimeDataEnabledResponse }
     * 
     */
    public SetRealTimeDataEnabledResponse createSetRealTimeDataEnabledResponse() {
        return new SetRealTimeDataEnabledResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetAutoDisable }
     * 
     */
    public GetAutoDisable createGetAutoDisable() {
        return new GetAutoDisable();
    }

    /**
     * Create an instance of {@link BeginCapture }
     * 
     */
    public BeginCapture createBeginCapture() {
        return new BeginCapture();
    }

    /**
     * Create an instance of {@link GetAutoDisableResponse }
     * 
     */
    public GetAutoDisableResponse createGetAutoDisableResponse() {
        return new GetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Point }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Point")
    public JAXBElement<Point> createPoint(Point value) {
        return new JAXBElement<Point>(_Point_QNAME, Point.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SignatureCaptureEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "SignatureCaptureEventResponse")
    public JAXBElement<SignatureCaptureEventResponse> createSignatureCaptureEventResponse(SignatureCaptureEventResponse value) {
        return new JAXBElement<SignatureCaptureEventResponse>(_SignatureCaptureEventResponse_QNAME, SignatureCaptureEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SignatureCaptureEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "SignatureCaptureEvent")
    public JAXBElement<SignatureCaptureEvent> createSignatureCaptureEvent(SignatureCaptureEvent value) {
        return new JAXBElement<SignatureCaptureEvent>(_SignatureCaptureEvent_QNAME, SignatureCaptureEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "PointList")
    public JAXBElement<PointList> createPointList(PointList value) {
        return new JAXBElement<PointList>(_PointList_QNAME, PointList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatusUpdateEventResponse", scope = SignatureCaptureEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createSignatureCaptureEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, SignatureCaptureEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataEventResponse", scope = SignatureCaptureEventResponse.class)
    public JAXBElement<DataEventResponse> createSignatureCaptureEventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, SignatureCaptureEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataContainedEventResponse", scope = SignatureCaptureEventResponse.class)
    public JAXBElement<DataContainedEventResponse> createSignatureCaptureEventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, SignatureCaptureEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOEventResponse", scope = SignatureCaptureEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createSignatureCaptureEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, SignatureCaptureEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorEventResponse", scope = SignatureCaptureEventResponse.class)
    public JAXBElement<ErrorEventResponse> createSignatureCaptureEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, SignatureCaptureEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetRealTimeDataEnabled.class)
    public JAXBElement<String> createGetRealTimeDataEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetRealTimeDataEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapDisplay.class)
    public JAXBElement<String> createGetCapDisplayConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapDisplay.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetRawData.class)
    public JAXBElement<String> createGetRawDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetRawData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetAutoDisable.class)
    public JAXBElement<String> createSetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = EndCapture.class)
    public JAXBElement<String> createEndCaptureConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, EndCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapUserTerminated.class)
    public JAXBElement<String> createGetCapUserTerminatedConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapUserTerminated.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetRawDataResult", scope = GetRawDataResponse.class)
    public JAXBElement<byte[]> createGetRawDataResponseGetRawDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetRawDataResponseGetRawDataResult_QNAME, byte[].class, GetRawDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetMaximumX.class)
    public JAXBElement<String> createGetMaximumXConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetMaximumX.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetMaximumY.class)
    public JAXBElement<String> createGetMaximumYConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetMaximumY.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SignatureCaptureEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<SignatureCaptureEventResponse> createSetEventResponseEventResponse(SignatureCaptureEventResponse value) {
        return new JAXBElement<SignatureCaptureEventResponse>(_SetEventResponseEventResponse_QNAME, SignatureCaptureEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "FormName", scope = BeginCapture.class)
    public JAXBElement<String> createBeginCaptureFormName(String value) {
        return new JAXBElement<String>(_BeginCaptureFormName_QNAME, String.class, BeginCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = BeginCapture.class)
    public JAXBElement<String> createBeginCaptureConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, BeginCapture.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = ClearInputProperties.class)
    public JAXBElement<String> createClearInputPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ClearInputProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetPointArrayResult", scope = GetPointArrayResponse.class)
    public JAXBElement<PointList> createGetPointArrayResponseGetPointArrayResult(PointList value) {
        return new JAXBElement<PointList>(_GetPointArrayResponseGetPointArrayResult_QNAME, PointList.class, GetPointArrayResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetCapRealTimeData.class)
    public JAXBElement<String> createGetCapRealTimeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetCapRealTimeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = SetRealTimeDataEnabled.class)
    public JAXBElement<String> createSetRealTimeDataEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, SetRealTimeDataEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SignatureCaptureEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<SignatureCaptureEvent> createPollForUPOSEventResponsePollForUPOSEventResult(SignatureCaptureEvent value) {
        return new JAXBElement<SignatureCaptureEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, SignatureCaptureEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetPointArray.class)
    public JAXBElement<String> createGetPointArrayConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetPointArray.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ConsumerID", scope = GetAutoDisable.class)
    public JAXBElement<String> createGetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetPowerStateConsumerID_QNAME, String.class, GetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataContainedEvent", scope = SignatureCaptureEvent.class)
    public JAXBElement<DataContainedEvent> createSignatureCaptureEventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, SignatureCaptureEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DirectIOEvent", scope = SignatureCaptureEvent.class)
    public JAXBElement<DirectIOEvent> createSignatureCaptureEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, SignatureCaptureEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "ErrorEvent", scope = SignatureCaptureEvent.class)
    public JAXBElement<ErrorEvent> createSignatureCaptureEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, SignatureCaptureEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "DataEvent", scope = SignatureCaptureEvent.class)
    public JAXBElement<DataEvent> createSignatureCaptureEventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, SignatureCaptureEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/SignatureCapture/", name = "StatusUpdateEvent", scope = SignatureCaptureEvent.class)
    public JAXBElement<StatusUpdateEvent> createSignatureCaptureEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, SignatureCaptureEvent.class, value);
    }

}
