
package org.nrf_arts.unifiedpos.cat;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PaymentConditionJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PaymentCondition">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="CAT_PAYMENT_LUMP"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_1"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_2"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_3"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_4"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_5"/>
 *     &lt;enumeration value="CAT_PAYMENT_INSTALLMENT_1"/>
 *     &lt;enumeration value="CAT_PAYMENT_INSTALLMENT_2"/>
 *     &lt;enumeration value="CAT_PAYMENT_INSTALLMENT_3"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_COMBINATION_1"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_COMBINATION_2"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_COMBINATION_3"/>
 *     &lt;enumeration value="CAT_PAYMENT_BONUS_COMBINATION_4"/>
 *     &lt;enumeration value="CAT_PAYMENT_REVOLVING"/>
 *     &lt;enumeration value="CAT_PAYMENT_DEBIT"/>
 *     &lt;enumeration value="CAT_PAYMENT_ELECTRONIC_MONEY"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PaymentCondition")
@XmlEnum
public enum PaymentCondition {

    CAT_PAYMENT_LUMP,
    CAT_PAYMENT_BONUS_1,
    CAT_PAYMENT_BONUS_2,
    CAT_PAYMENT_BONUS_3,
    CAT_PAYMENT_BONUS_4,
    CAT_PAYMENT_BONUS_5,
    CAT_PAYMENT_INSTALLMENT_1,
    CAT_PAYMENT_INSTALLMENT_2,
    CAT_PAYMENT_INSTALLMENT_3,
    CAT_PAYMENT_BONUS_COMBINATION_1,
    CAT_PAYMENT_BONUS_COMBINATION_2,
    CAT_PAYMENT_BONUS_COMBINATION_3,
    CAT_PAYMENT_BONUS_COMBINATION_4,
    CAT_PAYMENT_REVOLVING,
    CAT_PAYMENT_DEBIT,
    CAT_PAYMENT_ELECTRONIC_MONEY;

    public String value() {
        return name();
    }

    public static PaymentCondition fromValue(String v) {
        return valueOf(v);
    }

}
