
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalCurrencyJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalCurrency">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BrazilianCruceiro"/>
 *     &lt;enumeration value="BulgarianLev"/>
 *     &lt;enumeration value="CzechianKoruna"/>
 *     &lt;enumeration value="Euro"/>
 *     &lt;enumeration value="GreekDrachma"/>
 *     &lt;enumeration value="HungarianForint"/>
 *     &lt;enumeration value="ItalianLira"/>
 *     &lt;enumeration value="Other"/>
 *     &lt;enumeration value="PolishZloty"/>
 *     &lt;enumeration value="RomanianLeu"/>
 *     &lt;enumeration value="RussianRouble"/>
 *     &lt;enumeration value="SwedishKrona"/>
 *     &lt;enumeration value="TurkishLira"/>
 *     &lt;enumeration value="UkrainianHryvnia"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalCurrency")
@XmlEnum
public enum FiscalCurrency {

    @XmlEnumValue("BrazilianCruceiro")
    BRAZILIAN_CRUCEIRO("BrazilianCruceiro"),
    @XmlEnumValue("BulgarianLev")
    BULGARIAN_LEV("BulgarianLev"),
    @XmlEnumValue("CzechianKoruna")
    CZECHIAN_KORUNA("CzechianKoruna"),
    @XmlEnumValue("Euro")
    EURO("Euro"),
    @XmlEnumValue("GreekDrachma")
    GREEK_DRACHMA("GreekDrachma"),
    @XmlEnumValue("HungarianForint")
    HUNGARIAN_FORINT("HungarianForint"),
    @XmlEnumValue("ItalianLira")
    ITALIAN_LIRA("ItalianLira"),
    @XmlEnumValue("Other")
    OTHER("Other"),
    @XmlEnumValue("PolishZloty")
    POLISH_ZLOTY("PolishZloty"),
    @XmlEnumValue("RomanianLeu")
    ROMANIAN_LEU("RomanianLeu"),
    @XmlEnumValue("RussianRouble")
    RUSSIAN_ROUBLE("RussianRouble"),
    @XmlEnumValue("SwedishKrona")
    SWEDISH_KRONA("SwedishKrona"),
    @XmlEnumValue("TurkishLira")
    TURKISH_LIRA("TurkishLira"),
    @XmlEnumValue("UkrainianHryvnia")
    UKRAINIAN_HRYVNIA("UkrainianHryvnia");
    private final String value;

    FiscalCurrency(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FiscalCurrency fromValue(String v) {
        for (FiscalCurrency c: FiscalCurrency.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
