
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalReceiptTypeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalReceiptType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_RT_CASH_IN"/>
 *     &lt;enumeration value="FPTR_RT_CASH_OUT"/>
 *     &lt;enumeration value="FPTR_RT_GENERIC"/>
 *     &lt;enumeration value="FPTR_RT_SALES"/>
 *     &lt;enumeration value="FPTR_RT_SERVICE"/>
 *     &lt;enumeration value="FPTR_RT_SIMPLE_INVOICE"/>
 *     &lt;enumeration value="FPTR_RT_REFUND"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalReceiptType")
@XmlEnum
public enum FiscalReceiptType {

    FPTR_RT_CASH_IN,
    FPTR_RT_CASH_OUT,
    FPTR_RT_GENERIC,
    FPTR_RT_SALES,
    FPTR_RT_SERVICE,
    FPTR_RT_SIMPLE_INVOICE,
    FPTR_RT_REFUND;

    public String value() {
        return name();
    }

    public static FiscalReceiptType fromValue(String v) {
        return valueOf(v);
    }

}
