
package org.nrf_arts.unifiedpos.imagescanner;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>ImageModeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="ImageMode">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="IMG_DECODE_ONLY"/>
 *     &lt;enumeration value="IMG_STILL_ONLY"/>
 *     &lt;enumeration value="IMG_STILL_DECODE"/>
 *     &lt;enumeration value="IMG_VIDEO_DECODE"/>
 *     &lt;enumeration value="IMG_VIDEO_STILL"/>
 *     &lt;enumeration value="IMG_ALL"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ImageMode")
@XmlEnum
public enum ImageMode {

    IMG_DECODE_ONLY,
    IMG_STILL_ONLY,
    IMG_STILL_DECODE,
    IMG_VIDEO_DECODE,
    IMG_VIDEO_STILL,
    IMG_ALL;

    public String value() {
        return name();
    }

    public static ImageMode fromValue(String v) {
        return valueOf(v);
    }

}
