
package org.nrf_arts.unifiedpos.msr;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>DeviceAuthenticationLevelJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="DeviceAuthenticationLevel">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="MSR_DA_NOT_SUPPORTED"/>
 *     &lt;enumeration value="MSR_DA_OPTIONAL"/>
 *     &lt;enumeration value="MSR_DA_REQUIRED"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "DeviceAuthenticationLevel")
@XmlEnum
public enum DeviceAuthenticationLevel {

    MSR_DA_NOT_SUPPORTED,
    MSR_DA_OPTIONAL,
    MSR_DA_REQUIRED;

    public String value() {
        return name();
    }

    public static DeviceAuthenticationLevel fromValue(String v) {
        return valueOf(v);
    }

}
