
package org.nrf_arts.unifiedpos.msr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.msr package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DataContainedEventResponse");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "PowerReporting");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "PowerNotification");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DirectIOEventResponse");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DirectIOData");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ErrorLocus");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DirectIOEvent");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DataContainedEvent");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "StatusUpdateEventResponse");
    private final static QName _MSREvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "MSREvent");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "UposException");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Statistic");
    private final static QName _CardTypeList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "CardTypeList");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "StatusUpdateEvent");
    private final static QName _DeviceAuthenticationProtocol_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DeviceAuthenticationProtocol");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "StatisticList");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "UposVersion");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DataEvent");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ErrorResponse");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "CompareFirmwareResult");
    private final static QName _CardPropertyList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "CardPropertyList");
    private final static QName _DeviceAuthenticationLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DeviceAuthenticationLevel");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ParameterList");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ErrorEvent");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ErrorCode");
    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "PropertyNameList");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ControlState");
    private final static QName _MSREventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "MSREventResponse");
    private final static QName _MSRTracks_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "MSRTracks");
    private final static QName _MSRErrorReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "MSRErrorReporting");
    private final static QName _GetCapJISTwoConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "ConsumerID");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "RetrieveStatisticsResult");
    private final static QName _SetWriteCardTypeWriteCardType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "WriteCardType");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "PollForUPOSEventResult");
    private final static QName _GetTrack3EncryptedDataResponseGetTrack3EncryptedDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack3EncryptedDataResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetCheckHealthTextResult");
    private final static QName _GetFirstNameResponseGetFirstNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetFirstNameResult");
    private final static QName _GetTrack2DiscretionaryDataResponseGetTrack2DiscretionaryDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack2DiscretionaryDataResult");
    private final static QName _GetTrack2EncryptedDataResponseGetTrack2EncryptedDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack2EncryptedDataResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "EndpointAddress");
    private final static QName _UpdateStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "StatisticsBuffer");
    private final static QName _GetCardTypeListResponseGetCardTypeListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetCardTypeListResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GenerateConsumerIDResult");
    private final static QName _RetrieveDeviceAuthenticationDataResponseRetrieveDeviceAuthenticationDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "RetrieveDeviceAuthenticationDataResult");
    private final static QName _UpdateKeyKey_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Key");
    private final static QName _UpdateKeyKeyName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "KeyName");
    private final static QName _GetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "consumerID");
    private final static QName _GetExpirationDateResponseGetExpirationDateResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetExpirationDateResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _DirectIOObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Obj");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetPhysicalDeviceNameResult");
    private final static QName _GetAccountNumberResponseGetAccountNumberResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetAccountNumberResult");
    private final static QName _GetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetAdditionalSecurityInformationResult");
    private final static QName _GetTrack4EncryptedDataResponseGetTrack4EncryptedDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack4EncryptedDataResult");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetDeviceServiceDescriptionResult");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Value");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Name");
    private final static QName _GetTrack2DataResponseGetTrack2DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack2DataResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetWSPOSVersionResult");
    private final static QName _DataEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Source");
    private final static QName _WriteTracksTrack3Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Track3Data");
    private final static QName _WriteTracksTrack4Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Track4Data");
    private final static QName _WriteTracksTrack2Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Track2Data");
    private final static QName _WriteTracksTrack1Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Track1Data");
    private final static QName _GetCapCardAuthenticationResponseGetCapCardAuthenticationResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetCapCardAuthenticationResult");
    private final static QName _GetCardPropertyListResponseGetCardPropertyListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetCardPropertyListResult");
    private final static QName _UpdateFirmwareFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "FirmwareFileName");
    private final static QName _GetSurnameResponseGetSurnameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetSurnameResult");
    private final static QName _GetTrack1EncryptedDataResponseGetTrack1EncryptedDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack1EncryptedDataResult");
    private final static QName _GetWriteCardTypeResponseGetWriteCardTypeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetWriteCardTypeResult");
    private final static QName _AuthenticateDeviceResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Response");
    private final static QName _GetCardAuthenticationDataResponseGetCardAuthenticationDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetCardAuthenticationDataResult");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "EventResponse");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetDeviceControlVersionResult");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetDeviceControlDescriptionResult");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "Parameters");
    private final static QName _GetTrack3DataResponseGetTrack3DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack3DataResult");
    private final static QName _GetCardTypeResponseGetCardTypeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetCardTypeResult");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "list");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _GetTrack4DataResponseGetTrack4DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack4DataResult");
    private final static QName _RetrieveCardPropertyResponseRetrieveCardPropertyResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "RetrieveCardPropertyResult");
    private final static QName _GetTrack1DataResponseGetTrack1DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack1DataResult");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetDeviceServiceVersionResult");
    private final static QName _GetSuffixResponseGetSuffixResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetSuffixResult");
    private final static QName _GetMiddleInitialResponseGetMiddleInitialResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetMiddleInitialResult");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "DirectIOResult");
    private final static QName _GetTrack1DiscretionaryDataResponseGetTrack1DiscretionaryDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTrack1DiscretionaryDataResult");
    private final static QName _GetServiceCodeResponseGetServiceCodeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetServiceCodeResult");
    private final static QName _GetTitleResponseGetTitleResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/MSR/", "GetTitleResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.msr
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link WriteTracks }
     * 
     */
    public WriteTracks createWriteTracks() {
        return new WriteTracks();
    }

    /**
     * Create an instance of {@link GetSuffixResponse }
     * 
     */
    public GetSuffixResponse createGetSuffixResponse() {
        return new GetSuffixResponse();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link SetDataEncryptionAlgorithm }
     * 
     */
    public SetDataEncryptionAlgorithm createSetDataEncryptionAlgorithm() {
        return new SetDataEncryptionAlgorithm();
    }

    /**
     * Create an instance of {@link GetServiceCode }
     * 
     */
    public GetServiceCode createGetServiceCode() {
        return new GetServiceCode();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link GetEncodingMaxLength }
     * 
     */
    public GetEncodingMaxLength createGetEncodingMaxLength() {
        return new GetEncodingMaxLength();
    }

    /**
     * Create an instance of {@link GetTrack2Data }
     * 
     */
    public GetTrack2Data createGetTrack2Data() {
        return new GetTrack2Data();
    }

    /**
     * Create an instance of {@link GetTrack2EncryptedData }
     * 
     */
    public GetTrack2EncryptedData createGetTrack2EncryptedData() {
        return new GetTrack2EncryptedData();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetTrack1EncryptedDataResponse }
     * 
     */
    public GetTrack1EncryptedDataResponse createGetTrack1EncryptedDataResponse() {
        return new GetTrack1EncryptedDataResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link ClearInputPropertiesResponse }
     * 
     */
    public ClearInputPropertiesResponse createClearInputPropertiesResponse() {
        return new ClearInputPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetTracksToRead }
     * 
     */
    public SetTracksToRead createSetTracksToRead() {
        return new SetTracksToRead();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link MSREventResponse }
     * 
     */
    public MSREventResponse createMSREventResponse() {
        return new MSREventResponse();
    }

    /**
     * Create an instance of {@link GetEncodingMaxLengthResponse }
     * 
     */
    public GetEncodingMaxLengthResponse createGetEncodingMaxLengthResponse() {
        return new GetEncodingMaxLengthResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link GetCapCardAuthenticationResponse }
     * 
     */
    public GetCapCardAuthenticationResponse createGetCapCardAuthenticationResponse() {
        return new GetCapCardAuthenticationResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetTrack2EncryptedDataLength }
     * 
     */
    public GetTrack2EncryptedDataLength createGetTrack2EncryptedDataLength() {
        return new GetTrack2EncryptedDataLength();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetCardAuthenticationDataLengthResponse }
     * 
     */
    public GetCardAuthenticationDataLengthResponse createGetCardAuthenticationDataLengthResponse() {
        return new GetCardAuthenticationDataLengthResponse();
    }

    /**
     * Create an instance of {@link GetExpirationDateResponse }
     * 
     */
    public GetExpirationDateResponse createGetExpirationDateResponse() {
        return new GetExpirationDateResponse();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetTrack3EncryptedDataResponse }
     * 
     */
    public GetTrack3EncryptedDataResponse createGetTrack3EncryptedDataResponse() {
        return new GetTrack3EncryptedDataResponse();
    }

    /**
     * Create an instance of {@link SetAutoDisableResponse }
     * 
     */
    public SetAutoDisableResponse createSetAutoDisableResponse() {
        return new SetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link GetCapWritableTracksResponse }
     * 
     */
    public GetCapWritableTracksResponse createGetCapWritableTracksResponse() {
        return new GetCapWritableTracksResponse();
    }

    /**
     * Create an instance of {@link GetDecodeDataResponse }
     * 
     */
    public GetDecodeDataResponse createGetDecodeDataResponse() {
        return new GetDecodeDataResponse();
    }

    /**
     * Create an instance of {@link GetTrack3EncryptedData }
     * 
     */
    public GetTrack3EncryptedData createGetTrack3EncryptedData() {
        return new GetTrack3EncryptedData();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetTrack1EncryptedData }
     * 
     */
    public GetTrack1EncryptedData createGetTrack1EncryptedData() {
        return new GetTrack1EncryptedData();
    }

    /**
     * Create an instance of {@link UpdateKeyResponse }
     * 
     */
    public UpdateKeyResponse createUpdateKeyResponse() {
        return new UpdateKeyResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetTrack1DiscretionaryDataResponse }
     * 
     */
    public GetTrack1DiscretionaryDataResponse createGetTrack1DiscretionaryDataResponse() {
        return new GetTrack1DiscretionaryDataResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link MSREvent }
     * 
     */
    public MSREvent createMSREvent() {
        return new MSREvent();
    }

    /**
     * Create an instance of {@link SetTracksToReadResponse }
     * 
     */
    public SetTracksToReadResponse createSetTracksToReadResponse() {
        return new SetTracksToReadResponse();
    }

    /**
     * Create an instance of {@link GetTrack2EncryptedDataResponse }
     * 
     */
    public GetTrack2EncryptedDataResponse createGetTrack2EncryptedDataResponse() {
        return new GetTrack2EncryptedDataResponse();
    }

    /**
     * Create an instance of {@link GetCapDataEncryptionResponse }
     * 
     */
    public GetCapDataEncryptionResponse createGetCapDataEncryptionResponse() {
        return new GetCapDataEncryptionResponse();
    }

    /**
     * Create an instance of {@link GetTrack4EncryptedDataLengthResponse }
     * 
     */
    public GetTrack4EncryptedDataLengthResponse createGetTrack4EncryptedDataLengthResponse() {
        return new GetTrack4EncryptedDataLengthResponse();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link GetTrack1Data }
     * 
     */
    public GetTrack1Data createGetTrack1Data() {
        return new GetTrack1Data();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link GetCapTransmitSentinels }
     * 
     */
    public GetCapTransmitSentinels createGetCapTransmitSentinels() {
        return new GetCapTransmitSentinels();
    }

    /**
     * Create an instance of {@link GetTrack1EncryptedDataLengthResponse }
     * 
     */
    public GetTrack1EncryptedDataLengthResponse createGetTrack1EncryptedDataLengthResponse() {
        return new GetTrack1EncryptedDataLengthResponse();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link AuthenticateDeviceResponse }
     * 
     */
    public AuthenticateDeviceResponse createAuthenticateDeviceResponse() {
        return new AuthenticateDeviceResponse();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link GetCardPropertyListResponse }
     * 
     */
    public GetCardPropertyListResponse createGetCardPropertyListResponse() {
        return new GetCardPropertyListResponse();
    }

    /**
     * Create an instance of {@link CardPropertyList }
     * 
     */
    public CardPropertyList createCardPropertyList() {
        return new CardPropertyList();
    }

    /**
     * Create an instance of {@link GetParseDecodeDataResponse }
     * 
     */
    public GetParseDecodeDataResponse createGetParseDecodeDataResponse() {
        return new GetParseDecodeDataResponse();
    }

    /**
     * Create an instance of {@link GetTrack3EncryptedDataLengthResponse }
     * 
     */
    public GetTrack3EncryptedDataLengthResponse createGetTrack3EncryptedDataLengthResponse() {
        return new GetTrack3EncryptedDataLengthResponse();
    }

    /**
     * Create an instance of {@link DeauthenticateDevice }
     * 
     */
    public DeauthenticateDevice createDeauthenticateDevice() {
        return new DeauthenticateDevice();
    }

    /**
     * Create an instance of {@link WriteTracksResponse }
     * 
     */
    public WriteTracksResponse createWriteTracksResponse() {
        return new WriteTracksResponse();
    }

    /**
     * Create an instance of {@link GetAccountNumber }
     * 
     */
    public GetAccountNumber createGetAccountNumber() {
        return new GetAccountNumber();
    }

    /**
     * Create an instance of {@link SetTransmitSentinelsResponse }
     * 
     */
    public SetTransmitSentinelsResponse createSetTransmitSentinelsResponse() {
        return new SetTransmitSentinelsResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link RetrieveCardPropertyResponse }
     * 
     */
    public RetrieveCardPropertyResponse createRetrieveCardPropertyResponse() {
        return new RetrieveCardPropertyResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetTransmitSentinels }
     * 
     */
    public GetTransmitSentinels createGetTransmitSentinels() {
        return new GetTransmitSentinels();
    }

    /**
     * Create an instance of {@link SetErrorReportingType }
     * 
     */
    public SetErrorReportingType createSetErrorReportingType() {
        return new SetErrorReportingType();
    }

    /**
     * Create an instance of {@link GetCardTypeList }
     * 
     */
    public GetCardTypeList createGetCardTypeList() {
        return new GetCardTypeList();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetExpirationDate }
     * 
     */
    public GetExpirationDate createGetExpirationDate() {
        return new GetExpirationDate();
    }

    /**
     * Create an instance of {@link GetTitleResponse }
     * 
     */
    public GetTitleResponse createGetTitleResponse() {
        return new GetTitleResponse();
    }

    /**
     * Create an instance of {@link GetDeviceAuthenticatedResponse }
     * 
     */
    public GetDeviceAuthenticatedResponse createGetDeviceAuthenticatedResponse() {
        return new GetDeviceAuthenticatedResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetMiddleInitial }
     * 
     */
    public GetMiddleInitial createGetMiddleInitial() {
        return new GetMiddleInitial();
    }

    /**
     * Create an instance of {@link SetWriteCardTypeResponse }
     * 
     */
    public SetWriteCardTypeResponse createSetWriteCardTypeResponse() {
        return new SetWriteCardTypeResponse();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GetDeviceAuthenticated }
     * 
     */
    public GetDeviceAuthenticated createGetDeviceAuthenticated() {
        return new GetDeviceAuthenticated();
    }

    /**
     * Create an instance of {@link GetCapISOResponse }
     * 
     */
    public GetCapISOResponse createGetCapISOResponse() {
        return new GetCapISOResponse();
    }

    /**
     * Create an instance of {@link SetTransmitSentinels }
     * 
     */
    public SetTransmitSentinels createSetTransmitSentinels() {
        return new SetTransmitSentinels();
    }

    /**
     * Create an instance of {@link GetTrack3DataResponse }
     * 
     */
    public GetTrack3DataResponse createGetTrack3DataResponse() {
        return new GetTrack3DataResponse();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link GetTrack1DataResponse }
     * 
     */
    public GetTrack1DataResponse createGetTrack1DataResponse() {
        return new GetTrack1DataResponse();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link GetCapTransmitSentinelsResponse }
     * 
     */
    public GetCapTransmitSentinelsResponse createGetCapTransmitSentinelsResponse() {
        return new GetCapTransmitSentinelsResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCardPropertyList }
     * 
     */
    public GetCardPropertyList createGetCardPropertyList() {
        return new GetCardPropertyList();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link SetDataEncryptionAlgorithmResponse }
     * 
     */
    public SetDataEncryptionAlgorithmResponse createSetDataEncryptionAlgorithmResponse() {
        return new SetDataEncryptionAlgorithmResponse();
    }

    /**
     * Create an instance of {@link RetrieveDeviceAuthenticationDataResponse }
     * 
     */
    public RetrieveDeviceAuthenticationDataResponse createRetrieveDeviceAuthenticationDataResponse() {
        return new RetrieveDeviceAuthenticationDataResponse();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link GetSurname }
     * 
     */
    public GetSurname createGetSurname() {
        return new GetSurname();
    }

    /**
     * Create an instance of {@link GetTrack2DiscretionaryData }
     * 
     */
    public GetTrack2DiscretionaryData createGetTrack2DiscretionaryData() {
        return new GetTrack2DiscretionaryData();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link GetCapWritableTracks }
     * 
     */
    public GetCapWritableTracks createGetCapWritableTracks() {
        return new GetCapWritableTracks();
    }

    /**
     * Create an instance of {@link GetParseDecodeData }
     * 
     */
    public GetParseDecodeData createGetParseDecodeData() {
        return new GetParseDecodeData();
    }

    /**
     * Create an instance of {@link GetCardAuthenticationDataResponse }
     * 
     */
    public GetCardAuthenticationDataResponse createGetCardAuthenticationDataResponse() {
        return new GetCardAuthenticationDataResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link GetCapDeviceAuthenticationResponse }
     * 
     */
    public GetCapDeviceAuthenticationResponse createGetCapDeviceAuthenticationResponse() {
        return new GetCapDeviceAuthenticationResponse();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetCardTypeResponse }
     * 
     */
    public GetCardTypeResponse createGetCardTypeResponse() {
        return new GetCardTypeResponse();
    }

    /**
     * Create an instance of {@link GetCardType }
     * 
     */
    public GetCardType createGetCardType() {
        return new GetCardType();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetParseDecodeData }
     * 
     */
    public SetParseDecodeData createSetParseDecodeData() {
        return new SetParseDecodeData();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link GetTrack1EncryptedDataLength }
     * 
     */
    public GetTrack1EncryptedDataLength createGetTrack1EncryptedDataLength() {
        return new GetTrack1EncryptedDataLength();
    }

    /**
     * Create an instance of {@link ClearInputProperties }
     * 
     */
    public ClearInputProperties createClearInputProperties() {
        return new ClearInputProperties();
    }

    /**
     * Create an instance of {@link GetDeviceAuthenticationProtocol }
     * 
     */
    public GetDeviceAuthenticationProtocol createGetDeviceAuthenticationProtocol() {
        return new GetDeviceAuthenticationProtocol();
    }

    /**
     * Create an instance of {@link SetDecodeDataResponse }
     * 
     */
    public SetDecodeDataResponse createSetDecodeDataResponse() {
        return new SetDecodeDataResponse();
    }

    /**
     * Create an instance of {@link GetTrack2EncryptedDataLengthResponse }
     * 
     */
    public GetTrack2EncryptedDataLengthResponse createGetTrack2EncryptedDataLengthResponse() {
        return new GetTrack2EncryptedDataLengthResponse();
    }

    /**
     * Create an instance of {@link GetSurnameResponse }
     * 
     */
    public GetSurnameResponse createGetSurnameResponse() {
        return new GetSurnameResponse();
    }

    /**
     * Create an instance of {@link GetCapTrackDataMaskingResponse }
     * 
     */
    public GetCapTrackDataMaskingResponse createGetCapTrackDataMaskingResponse() {
        return new GetCapTrackDataMaskingResponse();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link GetTransmitSentinelsResponse }
     * 
     */
    public GetTransmitSentinelsResponse createGetTransmitSentinelsResponse() {
        return new GetTransmitSentinelsResponse();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapCardAuthentication }
     * 
     */
    public GetCapCardAuthentication createGetCapCardAuthentication() {
        return new GetCapCardAuthentication();
    }

    /**
     * Create an instance of {@link SetWriteCardType }
     * 
     */
    public SetWriteCardType createSetWriteCardType() {
        return new SetWriteCardType();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapISO }
     * 
     */
    public GetCapISO createGetCapISO() {
        return new GetCapISO();
    }

    /**
     * Create an instance of {@link RetrieveDeviceAuthenticationData }
     * 
     */
    public RetrieveDeviceAuthenticationData createRetrieveDeviceAuthenticationData() {
        return new RetrieveDeviceAuthenticationData();
    }

    /**
     * Create an instance of {@link GetAccountNumberResponse }
     * 
     */
    public GetAccountNumberResponse createGetAccountNumberResponse() {
        return new GetAccountNumberResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetTracksToReadResponse }
     * 
     */
    public GetTracksToReadResponse createGetTracksToReadResponse() {
        return new GetTracksToReadResponse();
    }

    /**
     * Create an instance of {@link SetParseDecodeDataResponse }
     * 
     */
    public SetParseDecodeDataResponse createSetParseDecodeDataResponse() {
        return new SetParseDecodeDataResponse();
    }

    /**
     * Create an instance of {@link GetErrorReportingTypeResponse }
     * 
     */
    public GetErrorReportingTypeResponse createGetErrorReportingTypeResponse() {
        return new GetErrorReportingTypeResponse();
    }

    /**
     * Create an instance of {@link GetCardAuthenticationData }
     * 
     */
    public GetCardAuthenticationData createGetCardAuthenticationData() {
        return new GetCardAuthenticationData();
    }

    /**
     * Create an instance of {@link GetSuffix }
     * 
     */
    public GetSuffix createGetSuffix() {
        return new GetSuffix();
    }

    /**
     * Create an instance of {@link GetDecodeData }
     * 
     */
    public GetDecodeData createGetDecodeData() {
        return new GetDecodeData();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetWriteCardType }
     * 
     */
    public GetWriteCardType createGetWriteCardType() {
        return new GetWriteCardType();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link GetTrack4EncryptedDataLength }
     * 
     */
    public GetTrack4EncryptedDataLength createGetTrack4EncryptedDataLength() {
        return new GetTrack4EncryptedDataLength();
    }

    /**
     * Create an instance of {@link GetCapTrackDataMasking }
     * 
     */
    public GetCapTrackDataMasking createGetCapTrackDataMasking() {
        return new GetCapTrackDataMasking();
    }

    /**
     * Create an instance of {@link GetMiddleInitialResponse }
     * 
     */
    public GetMiddleInitialResponse createGetMiddleInitialResponse() {
        return new GetMiddleInitialResponse();
    }

    /**
     * Create an instance of {@link CardTypeList }
     * 
     */
    public CardTypeList createCardTypeList() {
        return new CardTypeList();
    }

    /**
     * Create an instance of {@link GetDataEncryptionAlgorithm }
     * 
     */
    public GetDataEncryptionAlgorithm createGetDataEncryptionAlgorithm() {
        return new GetDataEncryptionAlgorithm();
    }

    /**
     * Create an instance of {@link GetAdditionalSecurityInformation }
     * 
     */
    public GetAdditionalSecurityInformation createGetAdditionalSecurityInformation() {
        return new GetAdditionalSecurityInformation();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link GetCapJISTwo }
     * 
     */
    public GetCapJISTwo createGetCapJISTwo() {
        return new GetCapJISTwo();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetCapJISOneResponse }
     * 
     */
    public GetCapJISOneResponse createGetCapJISOneResponse() {
        return new GetCapJISOneResponse();
    }

    /**
     * Create an instance of {@link GetServiceCodeResponse }
     * 
     */
    public GetServiceCodeResponse createGetServiceCodeResponse() {
        return new GetServiceCodeResponse();
    }

    /**
     * Create an instance of {@link DeauthenticateDeviceResponse }
     * 
     */
    public DeauthenticateDeviceResponse createDeauthenticateDeviceResponse() {
        return new DeauthenticateDeviceResponse();
    }

    /**
     * Create an instance of {@link SetTracksToWrite }
     * 
     */
    public SetTracksToWrite createSetTracksToWrite() {
        return new SetTracksToWrite();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link SetTracksToWriteResponse }
     * 
     */
    public SetTracksToWriteResponse createSetTracksToWriteResponse() {
        return new SetTracksToWriteResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetTrack2DiscretionaryDataResponse }
     * 
     */
    public GetTrack2DiscretionaryDataResponse createGetTrack2DiscretionaryDataResponse() {
        return new GetTrack2DiscretionaryDataResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetTrack3Data }
     * 
     */
    public GetTrack3Data createGetTrack3Data() {
        return new GetTrack3Data();
    }

    /**
     * Create an instance of {@link SetDecodeData }
     * 
     */
    public SetDecodeData createSetDecodeData() {
        return new SetDecodeData();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link GetAdditionalSecurityInformationResponse }
     * 
     */
    public GetAdditionalSecurityInformationResponse createGetAdditionalSecurityInformationResponse() {
        return new GetAdditionalSecurityInformationResponse();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetTracksToWrite }
     * 
     */
    public GetTracksToWrite createGetTracksToWrite() {
        return new GetTracksToWrite();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link GetTracksToWriteResponse }
     * 
     */
    public GetTracksToWriteResponse createGetTracksToWriteResponse() {
        return new GetTracksToWriteResponse();
    }

    /**
     * Create an instance of {@link GetTrack4EncryptedData }
     * 
     */
    public GetTrack4EncryptedData createGetTrack4EncryptedData() {
        return new GetTrack4EncryptedData();
    }

    /**
     * Create an instance of {@link GetErrorReportingType }
     * 
     */
    public GetErrorReportingType createGetErrorReportingType() {
        return new GetErrorReportingType();
    }

    /**
     * Create an instance of {@link GetTrack3EncryptedDataLength }
     * 
     */
    public GetTrack3EncryptedDataLength createGetTrack3EncryptedDataLength() {
        return new GetTrack3EncryptedDataLength();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCardAuthenticationDataLength }
     * 
     */
    public GetCardAuthenticationDataLength createGetCardAuthenticationDataLength() {
        return new GetCardAuthenticationDataLength();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link SetAutoDisable }
     * 
     */
    public SetAutoDisable createSetAutoDisable() {
        return new SetAutoDisable();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapJISOne }
     * 
     */
    public GetCapJISOne createGetCapJISOne() {
        return new GetCapJISOne();
    }

    /**
     * Create an instance of {@link GetTrack1DiscretionaryData }
     * 
     */
    public GetTrack1DiscretionaryData createGetTrack1DiscretionaryData() {
        return new GetTrack1DiscretionaryData();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCardTypeListResponse }
     * 
     */
    public GetCardTypeListResponse createGetCardTypeListResponse() {
        return new GetCardTypeListResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link AuthenticateDevice }
     * 
     */
    public AuthenticateDevice createAuthenticateDevice() {
        return new AuthenticateDevice();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapJISTwoResponse }
     * 
     */
    public GetCapJISTwoResponse createGetCapJISTwoResponse() {
        return new GetCapJISTwoResponse();
    }

    /**
     * Create an instance of {@link GetTrack4DataResponse }
     * 
     */
    public GetTrack4DataResponse createGetTrack4DataResponse() {
        return new GetTrack4DataResponse();
    }

    /**
     * Create an instance of {@link GetDeviceAuthenticationProtocolResponse }
     * 
     */
    public GetDeviceAuthenticationProtocolResponse createGetDeviceAuthenticationProtocolResponse() {
        return new GetDeviceAuthenticationProtocolResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link SetErrorReportingTypeResponse }
     * 
     */
    public SetErrorReportingTypeResponse createSetErrorReportingTypeResponse() {
        return new SetErrorReportingTypeResponse();
    }

    /**
     * Create an instance of {@link GetWriteCardTypeResponse }
     * 
     */
    public GetWriteCardTypeResponse createGetWriteCardTypeResponse() {
        return new GetWriteCardTypeResponse();
    }

    /**
     * Create an instance of {@link GetTrack2DataResponse }
     * 
     */
    public GetTrack2DataResponse createGetTrack2DataResponse() {
        return new GetTrack2DataResponse();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link GetTitle }
     * 
     */
    public GetTitle createGetTitle() {
        return new GetTitle();
    }

    /**
     * Create an instance of {@link GetTrack4EncryptedDataResponse }
     * 
     */
    public GetTrack4EncryptedDataResponse createGetTrack4EncryptedDataResponse() {
        return new GetTrack4EncryptedDataResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetDataEncryptionAlgorithmResponse }
     * 
     */
    public GetDataEncryptionAlgorithmResponse createGetDataEncryptionAlgorithmResponse() {
        return new GetDataEncryptionAlgorithmResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link RetrieveCardProperty }
     * 
     */
    public RetrieveCardProperty createRetrieveCardProperty() {
        return new RetrieveCardProperty();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link GetTracksToRead }
     * 
     */
    public GetTracksToRead createGetTracksToRead() {
        return new GetTracksToRead();
    }

    /**
     * Create an instance of {@link GetCapDataEncryption }
     * 
     */
    public GetCapDataEncryption createGetCapDataEncryption() {
        return new GetCapDataEncryption();
    }

    /**
     * Create an instance of {@link GetFirstName }
     * 
     */
    public GetFirstName createGetFirstName() {
        return new GetFirstName();
    }

    /**
     * Create an instance of {@link GetTrack4Data }
     * 
     */
    public GetTrack4Data createGetTrack4Data() {
        return new GetTrack4Data();
    }

    /**
     * Create an instance of {@link GetCapDeviceAuthentication }
     * 
     */
    public GetCapDeviceAuthentication createGetCapDeviceAuthentication() {
        return new GetCapDeviceAuthentication();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetAutoDisable }
     * 
     */
    public GetAutoDisable createGetAutoDisable() {
        return new GetAutoDisable();
    }

    /**
     * Create an instance of {@link GetAutoDisableResponse }
     * 
     */
    public GetAutoDisableResponse createGetAutoDisableResponse() {
        return new GetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link UpdateKey }
     * 
     */
    public UpdateKey createUpdateKey() {
        return new UpdateKey();
    }

    /**
     * Create an instance of {@link GetFirstNameResponse }
     * 
     */
    public GetFirstNameResponse createGetFirstNameResponse() {
        return new GetFirstNameResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MSREvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "MSREvent")
    public JAXBElement<MSREvent> createMSREvent(MSREvent value) {
        return new JAXBElement<MSREvent>(_MSREvent_QNAME, MSREvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CardTypeList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "CardTypeList")
    public JAXBElement<CardTypeList> createCardTypeList(CardTypeList value) {
        return new JAXBElement<CardTypeList>(_CardTypeList_QNAME, CardTypeList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeviceAuthenticationProtocol }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DeviceAuthenticationProtocol")
    public JAXBElement<DeviceAuthenticationProtocol> createDeviceAuthenticationProtocol(DeviceAuthenticationProtocol value) {
        return new JAXBElement<DeviceAuthenticationProtocol>(_DeviceAuthenticationProtocol_QNAME, DeviceAuthenticationProtocol.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CardPropertyList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "CardPropertyList")
    public JAXBElement<CardPropertyList> createCardPropertyList(CardPropertyList value) {
        return new JAXBElement<CardPropertyList>(_CardPropertyList_QNAME, CardPropertyList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeviceAuthenticationLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DeviceAuthenticationLevel")
    public JAXBElement<DeviceAuthenticationLevel> createDeviceAuthenticationLevel(DeviceAuthenticationLevel value) {
        return new JAXBElement<DeviceAuthenticationLevel>(_DeviceAuthenticationLevel_QNAME, DeviceAuthenticationLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MSREventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "MSREventResponse")
    public JAXBElement<MSREventResponse> createMSREventResponse(MSREventResponse value) {
        return new JAXBElement<MSREventResponse>(_MSREventResponse_QNAME, MSREventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MSRTracks }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "MSRTracks")
    public JAXBElement<MSRTracks> createMSRTracks(MSRTracks value) {
        return new JAXBElement<MSRTracks>(_MSRTracks_QNAME, MSRTracks.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MSRErrorReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "MSRErrorReporting")
    public JAXBElement<MSRErrorReporting> createMSRErrorReporting(MSRErrorReporting value) {
        return new JAXBElement<MSRErrorReporting>(_MSRErrorReporting_QNAME, MSRErrorReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapJISTwo.class)
    public JAXBElement<String> createGetCapJISTwoConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapJISTwo.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetParseDecodeData.class)
    public JAXBElement<String> createSetParseDecodeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetParseDecodeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetErrorReportingType.class)
    public JAXBElement<String> createGetErrorReportingTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetErrorReportingType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetWriteCardType.class)
    public JAXBElement<String> createSetWriteCardTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetWriteCardType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "WriteCardType", scope = SetWriteCardType.class)
    public JAXBElement<String> createSetWriteCardTypeWriteCardType(String value) {
        return new JAXBElement<String>(_SetWriteCardTypeWriteCardType_QNAME, String.class, SetWriteCardType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetMiddleInitial.class)
    public JAXBElement<String> createGetMiddleInitialConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetMiddleInitial.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCardType.class)
    public JAXBElement<String> createGetCardTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCardType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MSREvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<MSREvent> createPollForUPOSEventResponsePollForUPOSEventResult(MSREvent value) {
        return new JAXBElement<MSREvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, MSREvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapISO.class)
    public JAXBElement<String> createGetCapISOConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapISO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack1EncryptedData.class)
    public JAXBElement<String> createGetTrack1EncryptedDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack1EncryptedData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack3EncryptedDataResult", scope = GetTrack3EncryptedDataResponse.class)
    public JAXBElement<byte[]> createGetTrack3EncryptedDataResponseGetTrack3EncryptedDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack3EncryptedDataResponseGetTrack3EncryptedDataResult_QNAME, byte[].class, GetTrack3EncryptedDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetFirstNameResult", scope = GetFirstNameResponse.class)
    public JAXBElement<String> createGetFirstNameResponseGetFirstNameResult(String value) {
        return new JAXBElement<String>(_GetFirstNameResponseGetFirstNameResult_QNAME, String.class, GetFirstNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack2DiscretionaryDataResult", scope = GetTrack2DiscretionaryDataResponse.class)
    public JAXBElement<byte[]> createGetTrack2DiscretionaryDataResponseGetTrack2DiscretionaryDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack2DiscretionaryDataResponseGetTrack2DiscretionaryDataResult_QNAME, byte[].class, GetTrack2DiscretionaryDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetTracksToRead.class)
    public JAXBElement<String> createSetTracksToReadConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetTracksToRead.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapJISOne.class)
    public JAXBElement<String> createGetCapJISOneConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapJISOne.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack3EncryptedDataLength.class)
    public JAXBElement<String> createGetTrack3EncryptedDataLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack3EncryptedDataLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack2EncryptedDataResult", scope = GetTrack2EncryptedDataResponse.class)
    public JAXBElement<byte[]> createGetTrack2EncryptedDataResponseGetTrack2EncryptedDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack2EncryptedDataResponseGetTrack2EncryptedDataResult_QNAME, byte[].class, GetTrack2EncryptedDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = ClearInputProperties.class)
    public JAXBElement<String> createClearInputPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, ClearInputProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDataEncryptionAlgorithm.class)
    public JAXBElement<String> createGetDataEncryptionAlgorithmConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDataEncryptionAlgorithm.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CardTypeList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetCardTypeListResult", scope = GetCardTypeListResponse.class)
    public JAXBElement<CardTypeList> createGetCardTypeListResponseGetCardTypeListResult(CardTypeList value) {
        return new JAXBElement<CardTypeList>(_GetCardTypeListResponseGetCardTypeListResult_QNAME, CardTypeList.class, GetCardTypeListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "RetrieveDeviceAuthenticationDataResult", scope = RetrieveDeviceAuthenticationDataResponse.class)
    public JAXBElement<byte[]> createRetrieveDeviceAuthenticationDataResponseRetrieveDeviceAuthenticationDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_RetrieveDeviceAuthenticationDataResponseRetrieveDeviceAuthenticationDataResult_QNAME, byte[].class, RetrieveDeviceAuthenticationDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack1DiscretionaryData.class)
    public JAXBElement<String> createGetTrack1DiscretionaryDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack1DiscretionaryData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceAuthenticated.class)
    public JAXBElement<String> createGetDeviceAuthenticatedConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceAuthenticated.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack4EncryptedData.class)
    public JAXBElement<String> createGetTrack4EncryptedDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack4EncryptedData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = UpdateKey.class)
    public JAXBElement<String> createUpdateKeyConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, UpdateKey.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Key", scope = UpdateKey.class)
    public JAXBElement<String> createUpdateKeyKey(String value) {
        return new JAXBElement<String>(_UpdateKeyKey_QNAME, String.class, UpdateKey.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "KeyName", scope = UpdateKey.class)
    public JAXBElement<String> createUpdateKeyKeyName(String value) {
        return new JAXBElement<String>(_UpdateKeyKeyName_QNAME, String.class, UpdateKey.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetExpirationDateResult", scope = GetExpirationDateResponse.class)
    public JAXBElement<String> createGetExpirationDateResponseGetExpirationDateResult(String value) {
        return new JAXBElement<String>(_GetExpirationDateResponseGetExpirationDateResult_QNAME, String.class, GetExpirationDateResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack2Data.class)
    public JAXBElement<String> createGetTrack2DataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack2Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack2EncryptedData.class)
    public JAXBElement<String> createGetTrack2EncryptedDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack2EncryptedData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapWritableTracks.class)
    public JAXBElement<String> createGetCapWritableTracksConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapWritableTracks.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetParseDecodeData.class)
    public JAXBElement<String> createGetParseDecodeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetParseDecodeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetErrorReportingType.class)
    public JAXBElement<String> createSetErrorReportingTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetErrorReportingType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetEncodingMaxLength.class)
    public JAXBElement<String> createGetEncodingMaxLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetEncodingMaxLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapDeviceAuthentication.class)
    public JAXBElement<String> createGetCapDeviceAuthenticationConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapDeviceAuthentication.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetAccountNumberResult", scope = GetAccountNumberResponse.class)
    public JAXBElement<String> createGetAccountNumberResponseGetAccountNumberResult(String value) {
        return new JAXBElement<String>(_GetAccountNumberResponseGetAccountNumberResult_QNAME, String.class, GetAccountNumberResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetAdditionalSecurityInformationResult", scope = GetAdditionalSecurityInformationResponse.class)
    public JAXBElement<byte[]> createGetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult_QNAME, byte[].class, GetAdditionalSecurityInformationResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCardTypeList.class)
    public JAXBElement<String> createGetCardTypeListConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCardTypeList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack4EncryptedDataResult", scope = GetTrack4EncryptedDataResponse.class)
    public JAXBElement<byte[]> createGetTrack4EncryptedDataResponseGetTrack4EncryptedDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack4EncryptedDataResponseGetTrack4EncryptedDataResult_QNAME, byte[].class, GetTrack4EncryptedDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack3Data.class)
    public JAXBElement<String> createGetTrack3DataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack3Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack2DataResult", scope = GetTrack2DataResponse.class)
    public JAXBElement<byte[]> createGetTrack2DataResponseGetTrack2DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack2DataResponseGetTrack2DataResult_QNAME, byte[].class, GetTrack2DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetSuffix.class)
    public JAXBElement<String> createGetSuffixConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetSuffix.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = WriteTracks.class)
    public JAXBElement<String> createWriteTracksConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, WriteTracks.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Track3Data", scope = WriteTracks.class)
    public JAXBElement<byte[]> createWriteTracksTrack3Data(byte[] value) {
        return new JAXBElement<byte[]>(_WriteTracksTrack3Data_QNAME, byte[].class, WriteTracks.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Track4Data", scope = WriteTracks.class)
    public JAXBElement<byte[]> createWriteTracksTrack4Data(byte[] value) {
        return new JAXBElement<byte[]>(_WriteTracksTrack4Data_QNAME, byte[].class, WriteTracks.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Track2Data", scope = WriteTracks.class)
    public JAXBElement<byte[]> createWriteTracksTrack2Data(byte[] value) {
        return new JAXBElement<byte[]>(_WriteTracksTrack2Data_QNAME, byte[].class, WriteTracks.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Track1Data", scope = WriteTracks.class)
    public JAXBElement<byte[]> createWriteTracksTrack1Data(byte[] value) {
        return new JAXBElement<byte[]>(_WriteTracksTrack1Data_QNAME, byte[].class, WriteTracks.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetCapCardAuthenticationResult", scope = GetCapCardAuthenticationResponse.class)
    public JAXBElement<String> createGetCapCardAuthenticationResponseGetCapCardAuthenticationResult(String value) {
        return new JAXBElement<String>(_GetCapCardAuthenticationResponseGetCapCardAuthenticationResult_QNAME, String.class, GetCapCardAuthenticationResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack4EncryptedDataLength.class)
    public JAXBElement<String> createGetTrack4EncryptedDataLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack4EncryptedDataLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapTrackDataMasking.class)
    public JAXBElement<String> createGetCapTrackDataMaskingConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapTrackDataMasking.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetAutoDisable.class)
    public JAXBElement<String> createSetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack1Data.class)
    public JAXBElement<String> createGetTrack1DataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack1Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CardPropertyList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetCardPropertyListResult", scope = GetCardPropertyListResponse.class)
    public JAXBElement<CardPropertyList> createGetCardPropertyListResponseGetCardPropertyListResult(CardPropertyList value) {
        return new JAXBElement<CardPropertyList>(_GetCardPropertyListResponseGetCardPropertyListResult_QNAME, CardPropertyList.class, GetCardPropertyListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetAdditionalSecurityInformation.class)
    public JAXBElement<String> createGetAdditionalSecurityInformationConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetAdditionalSecurityInformation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetDataEncryptionAlgorithm.class)
    public JAXBElement<String> createSetDataEncryptionAlgorithmConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetDataEncryptionAlgorithm.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetWriteCardType.class)
    public JAXBElement<String> createGetWriteCardTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetWriteCardType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack4Data.class)
    public JAXBElement<String> createGetTrack4DataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack4Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetSurnameResult", scope = GetSurnameResponse.class)
    public JAXBElement<String> createGetSurnameResponseGetSurnameResult(String value) {
        return new JAXBElement<String>(_GetSurnameResponseGetSurnameResult_QNAME, String.class, GetSurnameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack1EncryptedDataResult", scope = GetTrack1EncryptedDataResponse.class)
    public JAXBElement<byte[]> createGetTrack1EncryptedDataResponseGetTrack1EncryptedDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack1EncryptedDataResponseGetTrack1EncryptedDataResult_QNAME, byte[].class, GetTrack1EncryptedDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetWriteCardTypeResult", scope = GetWriteCardTypeResponse.class)
    public JAXBElement<String> createGetWriteCardTypeResponseGetWriteCardTypeResult(String value) {
        return new JAXBElement<String>(_GetWriteCardTypeResponseGetWriteCardTypeResult_QNAME, String.class, GetWriteCardTypeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetExpirationDate.class)
    public JAXBElement<String> createGetExpirationDateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetExpirationDate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceAuthenticationProtocol.class)
    public JAXBElement<String> createGetDeviceAuthenticationProtocolConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceAuthenticationProtocol.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTracksToWrite.class)
    public JAXBElement<String> createGetTracksToWriteConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTracksToWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetTracksToWrite.class)
    public JAXBElement<String> createSetTracksToWriteConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetTracksToWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTracksToRead.class)
    public JAXBElement<String> createGetTracksToReadConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTracksToRead.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = AuthenticateDevice.class)
    public JAXBElement<String> createAuthenticateDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, AuthenticateDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Response", scope = AuthenticateDevice.class)
    public JAXBElement<byte[]> createAuthenticateDeviceResponse(byte[] value) {
        return new JAXBElement<byte[]>(_AuthenticateDeviceResponse_QNAME, byte[].class, AuthenticateDevice.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCardAuthenticationDataLength.class)
    public JAXBElement<String> createGetCardAuthenticationDataLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCardAuthenticationDataLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataContainedEventResponse", scope = MSREventResponse.class)
    public JAXBElement<DataContainedEventResponse> createMSREventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, MSREventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataEventResponse", scope = MSREventResponse.class)
    public JAXBElement<DataEventResponse> createMSREventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, MSREventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatusUpdateEventResponse", scope = MSREventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createMSREventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, MSREventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorEventResponse", scope = MSREventResponse.class)
    public JAXBElement<ErrorEventResponse> createMSREventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, MSREventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOEventResponse", scope = MSREventResponse.class)
    public JAXBElement<DirectIOEventResponse> createMSREventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, MSREventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = RetrieveCardProperty.class)
    public JAXBElement<String> createRetrieveCardPropertyConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, RetrieveCardProperty.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Name", scope = RetrieveCardProperty.class)
    public JAXBElement<String> createRetrieveCardPropertyName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, RetrieveCardProperty.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetCardAuthenticationDataResult", scope = GetCardAuthenticationDataResponse.class)
    public JAXBElement<byte[]> createGetCardAuthenticationDataResponseGetCardAuthenticationDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetCardAuthenticationDataResponseGetCardAuthenticationDataResult_QNAME, byte[].class, GetCardAuthenticationDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MSREventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<MSREventResponse> createSetEventResponseEventResponse(MSREventResponse value) {
        return new JAXBElement<MSREventResponse>(_SetEventResponseEventResponse_QNAME, MSREventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTransmitSentinels.class)
    public JAXBElement<String> createGetTransmitSentinelsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTransmitSentinels.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack3DataResult", scope = GetTrack3DataResponse.class)
    public JAXBElement<byte[]> createGetTrack3DataResponseGetTrack3DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack3DataResponseGetTrack3DataResult_QNAME, byte[].class, GetTrack3DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetCardTypeResult", scope = GetCardTypeResponse.class)
    public JAXBElement<String> createGetCardTypeResponseGetCardTypeResult(String value) {
        return new JAXBElement<String>(_GetCardTypeResponseGetCardTypeResult_QNAME, String.class, GetCardTypeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCardAuthenticationData.class)
    public JAXBElement<String> createGetCardAuthenticationDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCardAuthenticationData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = DeauthenticateDevice.class)
    public JAXBElement<String> createDeauthenticateDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, DeauthenticateDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Response", scope = DeauthenticateDevice.class)
    public JAXBElement<byte[]> createDeauthenticateDeviceResponse(byte[] value) {
        return new JAXBElement<byte[]>(_AuthenticateDeviceResponse_QNAME, byte[].class, DeauthenticateDevice.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ErrorEvent", scope = MSREvent.class)
    public JAXBElement<ErrorEvent> createMSREventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, MSREvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataEvent", scope = MSREvent.class)
    public JAXBElement<DataEvent> createMSREventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, MSREvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DataContainedEvent", scope = MSREvent.class)
    public JAXBElement<DataContainedEvent> createMSREventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, MSREvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOEvent", scope = MSREvent.class)
    public JAXBElement<DirectIOEvent> createMSREventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, MSREvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "StatusUpdateEvent", scope = MSREvent.class)
    public JAXBElement<StatusUpdateEvent> createMSREventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, MSREvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetTransmitSentinels.class)
    public JAXBElement<String> createSetTransmitSentinelsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetTransmitSentinels.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapCardAuthentication.class)
    public JAXBElement<String> createGetCapCardAuthenticationConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapCardAuthentication.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack2EncryptedDataLength.class)
    public JAXBElement<String> createGetTrack2EncryptedDataLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack2EncryptedDataLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetAutoDisable.class)
    public JAXBElement<String> createGetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetSurname.class)
    public JAXBElement<String> createGetSurnameConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetSurname.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack4DataResult", scope = GetTrack4DataResponse.class)
    public JAXBElement<byte[]> createGetTrack4DataResponseGetTrack4DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack4DataResponseGetTrack4DataResult_QNAME, byte[].class, GetTrack4DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack3EncryptedData.class)
    public JAXBElement<String> createGetTrack3EncryptedDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack3EncryptedData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "RetrieveCardPropertyResult", scope = RetrieveCardPropertyResponse.class)
    public JAXBElement<String> createRetrieveCardPropertyResponseRetrieveCardPropertyResult(String value) {
        return new JAXBElement<String>(_RetrieveCardPropertyResponseRetrieveCardPropertyResult_QNAME, String.class, RetrieveCardPropertyResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack1DataResult", scope = GetTrack1DataResponse.class)
    public JAXBElement<byte[]> createGetTrack1DataResponseGetTrack1DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack1DataResponseGetTrack1DataResult_QNAME, byte[].class, GetTrack1DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapDataEncryption.class)
    public JAXBElement<String> createGetCapDataEncryptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapDataEncryption.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapTransmitSentinels.class)
    public JAXBElement<String> createGetCapTransmitSentinelsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapTransmitSentinels.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetServiceCode.class)
    public JAXBElement<String> createGetServiceCodeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetServiceCode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack2DiscretionaryData.class)
    public JAXBElement<String> createGetTrack2DiscretionaryDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack2DiscretionaryData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTrack1EncryptedDataLength.class)
    public JAXBElement<String> createGetTrack1EncryptedDataLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTrack1EncryptedDataLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetDecodeData.class)
    public JAXBElement<String> createGetDecodeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetDecodeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetSuffixResult", scope = GetSuffixResponse.class)
    public JAXBElement<String> createGetSuffixResponseGetSuffixResult(String value) {
        return new JAXBElement<String>(_GetSuffixResponseGetSuffixResult_QNAME, String.class, GetSuffixResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetAccountNumber.class)
    public JAXBElement<String> createGetAccountNumberConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetAccountNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetMiddleInitialResult", scope = GetMiddleInitialResponse.class)
    public JAXBElement<String> createGetMiddleInitialResponseGetMiddleInitialResult(String value) {
        return new JAXBElement<String>(_GetMiddleInitialResponseGetMiddleInitialResult_QNAME, String.class, GetMiddleInitialResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = SetDecodeData.class)
    public JAXBElement<String> createSetDecodeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, SetDecodeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCardPropertyList.class)
    public JAXBElement<String> createGetCardPropertyListConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCardPropertyList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTrack1DiscretionaryDataResult", scope = GetTrack1DiscretionaryDataResponse.class)
    public JAXBElement<byte[]> createGetTrack1DiscretionaryDataResponseGetTrack1DiscretionaryDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack1DiscretionaryDataResponseGetTrack1DiscretionaryDataResult_QNAME, byte[].class, GetTrack1DiscretionaryDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetServiceCodeResult", scope = GetServiceCodeResponse.class)
    public JAXBElement<String> createGetServiceCodeResponseGetServiceCodeResult(String value) {
        return new JAXBElement<String>(_GetServiceCodeResponseGetServiceCodeResult_QNAME, String.class, GetServiceCodeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetTitle.class)
    public JAXBElement<String> createGetTitleConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetTitle.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetFirstName.class)
    public JAXBElement<String> createGetFirstNameConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetFirstName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = RetrieveDeviceAuthenticationData.class)
    public JAXBElement<String> createRetrieveDeviceAuthenticationDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, RetrieveDeviceAuthenticationData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "GetTitleResult", scope = GetTitleResponse.class)
    public JAXBElement<String> createGetTitleResponseGetTitleResult(String value) {
        return new JAXBElement<String>(_GetTitleResponseGetTitleResult_QNAME, String.class, GetTitleResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapJISTwoConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/MSR/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

}
