
package org.nrf_arts.unifiedpos.pinpad;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PINPadDisplayJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PINPadDisplay">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="None"/>
 *     &lt;enumeration value="PPAD_DISP_UNRESTRICTED"/>
 *     &lt;enumeration value="PPAD_DISP_PINRESTRICTED"/>
 *     &lt;enumeration value="PPAD_DISP_RESTRICTED_LIST"/>
 *     &lt;enumeration value="PPAD_DISP_RESTRICTED_ORDER"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PINPadDisplay")
@XmlEnum
public enum PINPadDisplay {

    @XmlEnumValue("None")
    NONE("None"),
    PPAD_DISP_UNRESTRICTED("PPAD_DISP_UNRESTRICTED"),
    PPAD_DISP_PINRESTRICTED("PPAD_DISP_PINRESTRICTED"),
    PPAD_DISP_RESTRICTED_LIST("PPAD_DISP_RESTRICTED_LIST"),
    PPAD_DISP_RESTRICTED_ORDER("PPAD_DISP_RESTRICTED_ORDER");
    private final String value;

    PINPadDisplay(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PINPadDisplay fromValue(String v) {
        for (PINPadDisplay c: PINPadDisplay.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
