
package org.nrf_arts.unifiedpos.pointcardrw;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.pointcardrw package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _LineCharsList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "LineCharsList");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DirectIOEventResponse");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PowerNotification");
    private final static QName _PointCardRWEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardRWEventResponse");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PowerReporting");
    private final static QName _PointCardReadWriteStates_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardReadWriteStates");
    private final static QName _OutputCompleteEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "OutputCompleteEvent");
    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DataContainedEventResponse");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "StatusUpdateEvent");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "StatisticList");
    private final static QName _OutputCompleteEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "OutputCompleteEventResponse");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "UposException");
    private final static QName _CharacterSetList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "CharacterSetList");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ErrorLocus");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DirectIOData");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "StatusUpdateEventResponse");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DirectIOEvent");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DataContainedEvent");
    private final static QName _PointCardReadWriteState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardReadWriteState");
    private final static QName _PointCardRWEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardRWEvent");
    private final static QName _PointCardState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardState");
    private final static QName _PointCardReceiveLengths_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardReceiveLengths");
    private final static QName _Rotation_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Rotation");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "CompareFirmwareResult");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ErrorResponse");
    private final static QName _FontTypefaceList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "FontTypefaceList");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "UposVersion");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DataEvent");
    private final static QName _MapMode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "MapMode");
    private final static QName _PointCardAreas_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PointCardAreas");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ControlState");
    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PropertyNameList");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ErrorEvent");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ParameterList");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ErrorCode");
    private final static QName _PrintWriteConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "ConsumerID");
    private final static QName _PrintWriteData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Data");
    private final static QName _GetWrite1DataResponseGetWrite1DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWrite1DataResult");
    private final static QName _GetTrack5DataResponseGetTrack5DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetTrack5DataResult");
    private final static QName _GetTrack2DataResponseGetTrack2DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetTrack2DataResult");
    private final static QName _UpdateFirmwareFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "FirmwareFileName");
    private final static QName _GetTrack1DataResponseGetTrack1DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetTrack1DataResult");
    private final static QName _DirectIODataObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Obj");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _GetCharacterSetListResponseGetCharacterSetListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetCharacterSetListResult");
    private final static QName _RetrieveStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "StatisticsBuffer");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "list");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Value");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWSPOSVersionResult");
    private final static QName _DataEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Source");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "EventResponse");
    private final static QName _GetWrite2DataResponseGetWrite2DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWrite2DataResult");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetDeviceServiceVersionResult");
    private final static QName _GetWrite5DataResponseGetWrite5DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWrite5DataResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetCheckHealthTextResult");
    private final static QName _SetWrite3DataWrite3Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Write3Data");
    private final static QName _GetReadStateResponseGetReadStateResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetReadStateResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetPhysicalDeviceNameResult");
    private final static QName _SetWrite4DataWrite4Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Write4Data");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "RetrieveStatisticsResult");
    private final static QName _GetTrack6DataResponseGetTrack6DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetTrack6DataResult");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Parameters");
    private final static QName _GetTrack4DataResponseGetTrack4DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetTrack4DataResult");
    private final static QName _SetWrite1DataWrite1Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Write1Data");
    private final static QName _GetWrite4DataResponseGetWrite4DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWrite4DataResult");
    private final static QName _SetWrite2DataWrite2Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Write2Data");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetDeviceServiceDescriptionResult");
    private final static QName _GetLineCharsListResponseGetLineCharsListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetLineCharsListResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GenerateConsumerIDResult");
    private final static QName _GetFontTypefaceListResponseGetFontTypefaceListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetFontTypefaceListResult");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "PollForUPOSEventResult");
    private final static QName _GetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "consumerID");
    private final static QName _GetWrite3DataResponseGetWrite3DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWrite3DataResult");
    private final static QName _GetRecvLengthResponseGetRecvLengthResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetRecvLengthResult");
    private final static QName _SetWrite5DataWrite5Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Write5Data");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "DirectIOResult");
    private final static QName _GetWriteStateResponseGetWriteStateResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWriteStateResult");
    private final static QName _GetWrite6DataResponseGetWrite6DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetWrite6DataResult");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetDeviceControlVersionResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "EndpointAddress");
    private final static QName _SetWrite6DataWrite6Data_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "Write6Data");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetDeviceControlDescriptionResult");
    private final static QName _GetTrack3DataResponseGetTrack3DataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", "GetTrack3DataResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.pointcardrw
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetReadStateResponse }
     * 
     */
    public GetReadStateResponse createGetReadStateResponse() {
        return new GetReadStateResponse();
    }

    /**
     * Create an instance of {@link PointCardReadWriteStates }
     * 
     */
    public PointCardReadWriteStates createPointCardReadWriteStates() {
        return new PointCardReadWriteStates();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link SetCharacterSet }
     * 
     */
    public SetCharacterSet createSetCharacterSet() {
        return new SetCharacterSet();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetTrack2Data }
     * 
     */
    public GetTrack2Data createGetTrack2Data() {
        return new GetTrack2Data();
    }

    /**
     * Create an instance of {@link SetWrite2DataResponse }
     * 
     */
    public SetWrite2DataResponse createSetWrite2DataResponse() {
        return new SetWrite2DataResponse();
    }

    /**
     * Create an instance of {@link SetWrite3DataResponse }
     * 
     */
    public SetWrite3DataResponse createSetWrite3DataResponse() {
        return new SetWrite3DataResponse();
    }

    /**
     * Create an instance of {@link SetWrite4DataResponse }
     * 
     */
    public SetWrite4DataResponse createSetWrite4DataResponse() {
        return new SetWrite4DataResponse();
    }

    /**
     * Create an instance of {@link GetCapBold }
     * 
     */
    public GetCapBold createGetCapBold() {
        return new GetCapBold();
    }

    /**
     * Create an instance of {@link SetWrite5DataResponse }
     * 
     */
    public SetWrite5DataResponse createSetWrite5DataResponse() {
        return new SetWrite5DataResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link SetWrite6DataResponse }
     * 
     */
    public SetWrite6DataResponse createSetWrite6DataResponse() {
        return new SetWrite6DataResponse();
    }

    /**
     * Create an instance of {@link FontTypefaceList }
     * 
     */
    public FontTypefaceList createFontTypefaceList() {
        return new FontTypefaceList();
    }

    /**
     * Create an instance of {@link GetLineWidth }
     * 
     */
    public GetLineWidth createGetLineWidth() {
        return new GetLineWidth();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link ClearInputPropertiesResponse }
     * 
     */
    public ClearInputPropertiesResponse createClearInputPropertiesResponse() {
        return new ClearInputPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetTracksToRead }
     * 
     */
    public SetTracksToRead createSetTracksToRead() {
        return new SetTracksToRead();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link PointCardRWEventResponse }
     * 
     */
    public PointCardRWEventResponse createPointCardRWEventResponse() {
        return new PointCardRWEventResponse();
    }

    /**
     * Create an instance of {@link GetCapDWideDHighResponse }
     * 
     */
    public GetCapDWideDHighResponse createGetCapDWideDHighResponse() {
        return new GetCapDWideDHighResponse();
    }

    /**
     * Create an instance of {@link GetReadState }
     * 
     */
    public GetReadState createGetReadState() {
        return new GetReadState();
    }

    /**
     * Create an instance of {@link ValidateData }
     * 
     */
    public ValidateData createValidateData() {
        return new ValidateData();
    }

    /**
     * Create an instance of {@link CleanCardResponse }
     * 
     */
    public CleanCardResponse createCleanCardResponse() {
        return new CleanCardResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link GetSidewaysMaxChars }
     * 
     */
    public GetSidewaysMaxChars createGetSidewaysMaxChars() {
        return new GetSidewaysMaxChars();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetCapLeft90Response }
     * 
     */
    public GetCapLeft90Response createGetCapLeft90Response() {
        return new GetCapLeft90Response();
    }

    /**
     * Create an instance of {@link GetOutputID }
     * 
     */
    public GetOutputID createGetOutputID() {
        return new GetOutputID();
    }

    /**
     * Create an instance of {@link GetCharacterSetResponse }
     * 
     */
    public GetCharacterSetResponse createGetCharacterSetResponse() {
        return new GetCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetCapClearPrint }
     * 
     */
    public GetCapClearPrint createGetCapClearPrint() {
        return new GetCapClearPrint();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link RotatePrint }
     * 
     */
    public RotatePrint createRotatePrint() {
        return new RotatePrint();
    }

    /**
     * Create an instance of {@link SetLineHeightResponse }
     * 
     */
    public SetLineHeightResponse createSetLineHeightResponse() {
        return new SetLineHeightResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetLineSpacingResponse }
     * 
     */
    public GetLineSpacingResponse createGetLineSpacingResponse() {
        return new GetLineSpacingResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link CharacterSetList }
     * 
     */
    public CharacterSetList createCharacterSetList() {
        return new CharacterSetList();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetCapRight90 }
     * 
     */
    public GetCapRight90 createGetCapRight90() {
        return new GetCapRight90();
    }

    /**
     * Create an instance of {@link GetCapBoldResponse }
     * 
     */
    public GetCapBoldResponse createGetCapBoldResponse() {
        return new GetCapBoldResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetCapClearPrintResponse }
     * 
     */
    public GetCapClearPrintResponse createGetCapClearPrintResponse() {
        return new GetCapClearPrintResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link PointCardRWEvent }
     * 
     */
    public PointCardRWEvent createPointCardRWEvent() {
        return new PointCardRWEvent();
    }

    /**
     * Create an instance of {@link GetCapDWide }
     * 
     */
    public GetCapDWide createGetCapDWide() {
        return new GetCapDWide();
    }

    /**
     * Create an instance of {@link GetCapCleanCardResponse }
     * 
     */
    public GetCapCleanCardResponse createGetCapCleanCardResponse() {
        return new GetCapCleanCardResponse();
    }

    /**
     * Create an instance of {@link GetPrintHeightResponse }
     * 
     */
    public GetPrintHeightResponse createGetPrintHeightResponse() {
        return new GetPrintHeightResponse();
    }

    /**
     * Create an instance of {@link SetTracksToReadResponse }
     * 
     */
    public SetTracksToReadResponse createSetTracksToReadResponse() {
        return new SetTracksToReadResponse();
    }

    /**
     * Create an instance of {@link GetFontTypefaceListResponse }
     * 
     */
    public GetFontTypefaceListResponse createGetFontTypefaceListResponse() {
        return new GetFontTypefaceListResponse();
    }

    /**
     * Create an instance of {@link EndInsertion }
     * 
     */
    public EndInsertion createEndInsertion() {
        return new EndInsertion();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetCapMapCharacterSet }
     * 
     */
    public GetCapMapCharacterSet createGetCapMapCharacterSet() {
        return new GetCapMapCharacterSet();
    }

    /**
     * Create an instance of {@link SetWrite1DataResponse }
     * 
     */
    public SetWrite1DataResponse createSetWrite1DataResponse() {
        return new SetWrite1DataResponse();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link GetMaxLineResponse }
     * 
     */
    public GetMaxLineResponse createGetMaxLineResponse() {
        return new GetMaxLineResponse();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetTrack5Data }
     * 
     */
    public GetTrack5Data createGetTrack5Data() {
        return new GetTrack5Data();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link SetWrite3Data }
     * 
     */
    public SetWrite3Data createSetWrite3Data() {
        return new SetWrite3Data();
    }

    /**
     * Create an instance of {@link GetCapTracksToReadResponse }
     * 
     */
    public GetCapTracksToReadResponse createGetCapTracksToReadResponse() {
        return new GetCapTracksToReadResponse();
    }

    /**
     * Create an instance of {@link SetLineCharsResponse }
     * 
     */
    public SetLineCharsResponse createSetLineCharsResponse() {
        return new SetLineCharsResponse();
    }

    /**
     * Create an instance of {@link GetTrack1Data }
     * 
     */
    public GetTrack1Data createGetTrack1Data() {
        return new GetTrack1Data();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link GetWriteState }
     * 
     */
    public GetWriteState createGetWriteState() {
        return new GetWriteState();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapCharacterSetResponse }
     * 
     */
    public GetCapCharacterSetResponse createGetCapCharacterSetResponse() {
        return new GetCapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link SetLineSpacingResponse }
     * 
     */
    public SetLineSpacingResponse createSetLineSpacingResponse() {
        return new SetLineSpacingResponse();
    }

    /**
     * Create an instance of {@link GetCapDWideDHigh }
     * 
     */
    public GetCapDWideDHigh createGetCapDWideDHigh() {
        return new GetCapDWideDHigh();
    }

    /**
     * Create an instance of {@link GetSidewaysMaxLines }
     * 
     */
    public GetSidewaysMaxLines createGetSidewaysMaxLines() {
        return new GetSidewaysMaxLines();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetWrite3Data }
     * 
     */
    public GetWrite3Data createGetWrite3Data() {
        return new GetWrite3Data();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link GetCapRotate180 }
     * 
     */
    public GetCapRotate180 createGetCapRotate180() {
        return new GetCapRotate180();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetCapMapCharacterSetResponse }
     * 
     */
    public GetCapMapCharacterSetResponse createGetCapMapCharacterSetResponse() {
        return new GetCapMapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link ClearPrintWriteResponse }
     * 
     */
    public ClearPrintWriteResponse createClearPrintWriteResponse() {
        return new ClearPrintWriteResponse();
    }

    /**
     * Create an instance of {@link RotatePrintResponse }
     * 
     */
    public RotatePrintResponse createRotatePrintResponse() {
        return new RotatePrintResponse();
    }

    /**
     * Create an instance of {@link GetCapCardEntranceSensor }
     * 
     */
    public GetCapCardEntranceSensor createGetCapCardEntranceSensor() {
        return new GetCapCardEntranceSensor();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GetCapPrintMode }
     * 
     */
    public GetCapPrintMode createGetCapPrintMode() {
        return new GetCapPrintMode();
    }

    /**
     * Create an instance of {@link GetTrack6Data }
     * 
     */
    public GetTrack6Data createGetTrack6Data() {
        return new GetTrack6Data();
    }

    /**
     * Create an instance of {@link GetTrack3DataResponse }
     * 
     */
    public GetTrack3DataResponse createGetTrack3DataResponse() {
        return new GetTrack3DataResponse();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link GetTrack1DataResponse }
     * 
     */
    public GetTrack1DataResponse createGetTrack1DataResponse() {
        return new GetTrack1DataResponse();
    }

    /**
     * Create an instance of {@link GetTrack5DataResponse }
     * 
     */
    public GetTrack5DataResponse createGetTrack5DataResponse() {
        return new GetTrack5DataResponse();
    }

    /**
     * Create an instance of {@link SetWrite4Data }
     * 
     */
    public SetWrite4Data createSetWrite4Data() {
        return new SetWrite4Data();
    }

    /**
     * Create an instance of {@link SetLineChars }
     * 
     */
    public SetLineChars createSetLineChars() {
        return new SetLineChars();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCapRotate180Response }
     * 
     */
    public GetCapRotate180Response createGetCapRotate180Response() {
        return new GetCapRotate180Response();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetWrite4Data }
     * 
     */
    public GetWrite4Data createGetWrite4Data() {
        return new GetWrite4Data();
    }

    /**
     * Create an instance of {@link GetCapTracksToRead }
     * 
     */
    public GetCapTracksToRead createGetCapTracksToRead() {
        return new GetCapTracksToRead();
    }

    /**
     * Create an instance of {@link SetMapCharacterSet }
     * 
     */
    public SetMapCharacterSet createSetMapCharacterSet() {
        return new SetMapCharacterSet();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link SetMapCharacterSetResponse }
     * 
     */
    public SetMapCharacterSetResponse createSetMapCharacterSetResponse() {
        return new SetMapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetCardStateResponse }
     * 
     */
    public GetCardStateResponse createGetCardStateResponse() {
        return new GetCardStateResponse();
    }

    /**
     * Create an instance of {@link GetCapCleanCard }
     * 
     */
    public GetCapCleanCard createGetCapCleanCard() {
        return new GetCapCleanCard();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link GetCapDWideResponse }
     * 
     */
    public GetCapDWideResponse createGetCapDWideResponse() {
        return new GetCapDWideResponse();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetCapPrint }
     * 
     */
    public GetCapPrint createGetCapPrint() {
        return new GetCapPrint();
    }

    /**
     * Create an instance of {@link GetWrite5DataResponse }
     * 
     */
    public GetWrite5DataResponse createGetWrite5DataResponse() {
        return new GetWrite5DataResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetWrite6DataResponse }
     * 
     */
    public GetWrite6DataResponse createGetWrite6DataResponse() {
        return new GetWrite6DataResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link ClearInputProperties }
     * 
     */
    public ClearInputProperties createClearInputProperties() {
        return new ClearInputProperties();
    }

    /**
     * Create an instance of {@link GetCapLeft90 }
     * 
     */
    public GetCapLeft90 createGetCapLeft90() {
        return new GetCapLeft90();
    }

    /**
     * Create an instance of {@link GetCapItalicResponse }
     * 
     */
    public GetCapItalicResponse createGetCapItalicResponse() {
        return new GetCapItalicResponse();
    }

    /**
     * Create an instance of {@link GetWrite1DataResponse }
     * 
     */
    public GetWrite1DataResponse createGetWrite1DataResponse() {
        return new GetWrite1DataResponse();
    }

    /**
     * Create an instance of {@link GetWrite3DataResponse }
     * 
     */
    public GetWrite3DataResponse createGetWrite3DataResponse() {
        return new GetWrite3DataResponse();
    }

    /**
     * Create an instance of {@link GetWrite4DataResponse }
     * 
     */
    public GetWrite4DataResponse createGetWrite4DataResponse() {
        return new GetWrite4DataResponse();
    }

    /**
     * Create an instance of {@link BeginInsertion }
     * 
     */
    public BeginInsertion createBeginInsertion() {
        return new BeginInsertion();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link GetWrite2DataResponse }
     * 
     */
    public GetWrite2DataResponse createGetWrite2DataResponse() {
        return new GetWrite2DataResponse();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link GetLineChars }
     * 
     */
    public GetLineChars createGetLineChars() {
        return new GetLineChars();
    }

    /**
     * Create an instance of {@link GetLineHeight }
     * 
     */
    public GetLineHeight createGetLineHeight() {
        return new GetLineHeight();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetTracksToReadResponse }
     * 
     */
    public GetTracksToReadResponse createGetTracksToReadResponse() {
        return new GetTracksToReadResponse();
    }

    /**
     * Create an instance of {@link GetWrite2Data }
     * 
     */
    public GetWrite2Data createGetWrite2Data() {
        return new GetWrite2Data();
    }

    /**
     * Create an instance of {@link GetCardState }
     * 
     */
    public GetCardState createGetCardState() {
        return new GetCardState();
    }

    /**
     * Create an instance of {@link GetCharacterSetList }
     * 
     */
    public GetCharacterSetList createGetCharacterSetList() {
        return new GetCharacterSetList();
    }

    /**
     * Create an instance of {@link SetMapModeResponse }
     * 
     */
    public SetMapModeResponse createSetMapModeResponse() {
        return new SetMapModeResponse();
    }

    /**
     * Create an instance of {@link ClearPrintWrite }
     * 
     */
    public ClearPrintWrite createClearPrintWrite() {
        return new ClearPrintWrite();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link OutputCompleteEvent }
     * 
     */
    public OutputCompleteEvent createOutputCompleteEvent() {
        return new OutputCompleteEvent();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link SetWrite5Data }
     * 
     */
    public SetWrite5Data createSetWrite5Data() {
        return new SetWrite5Data();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link SetLineHeight }
     * 
     */
    public SetLineHeight createSetLineHeight() {
        return new SetLineHeight();
    }

    /**
     * Create an instance of {@link GetSidewaysMaxCharsResponse }
     * 
     */
    public GetSidewaysMaxCharsResponse createGetSidewaysMaxCharsResponse() {
        return new GetSidewaysMaxCharsResponse();
    }

    /**
     * Create an instance of {@link GetWrite5Data }
     * 
     */
    public GetWrite5Data createGetWrite5Data() {
        return new GetWrite5Data();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetCapDHigh }
     * 
     */
    public GetCapDHigh createGetCapDHigh() {
        return new GetCapDHigh();
    }

    /**
     * Create an instance of {@link GetCapRight90Response }
     * 
     */
    public GetCapRight90Response createGetCapRight90Response() {
        return new GetCapRight90Response();
    }

    /**
     * Create an instance of {@link GetLineHeightResponse }
     * 
     */
    public GetLineHeightResponse createGetLineHeightResponse() {
        return new GetLineHeightResponse();
    }

    /**
     * Create an instance of {@link GetLineWidthResponse }
     * 
     */
    public GetLineWidthResponse createGetLineWidthResponse() {
        return new GetLineWidthResponse();
    }

    /**
     * Create an instance of {@link SetTracksToWrite }
     * 
     */
    public SetTracksToWrite createSetTracksToWrite() {
        return new SetTracksToWrite();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link SetTracksToWriteResponse }
     * 
     */
    public SetTracksToWriteResponse createSetTracksToWriteResponse() {
        return new SetTracksToWriteResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetMapCharacterSetResponse }
     * 
     */
    public GetMapCharacterSetResponse createGetMapCharacterSetResponse() {
        return new GetMapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetTrack3Data }
     * 
     */
    public GetTrack3Data createGetTrack3Data() {
        return new GetTrack3Data();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetMapCharacterSet }
     * 
     */
    public GetMapCharacterSet createGetMapCharacterSet() {
        return new GetMapCharacterSet();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link ValidateDataResponse }
     * 
     */
    public ValidateDataResponse createValidateDataResponse() {
        return new ValidateDataResponse();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link GetCapCardEntranceSensorResponse }
     * 
     */
    public GetCapCardEntranceSensorResponse createGetCapCardEntranceSensorResponse() {
        return new GetCapCardEntranceSensorResponse();
    }

    /**
     * Create an instance of {@link GetMapMode }
     * 
     */
    public GetMapMode createGetMapMode() {
        return new GetMapMode();
    }

    /**
     * Create an instance of {@link GetCapCharacterSet }
     * 
     */
    public GetCapCharacterSet createGetCapCharacterSet() {
        return new GetCapCharacterSet();
    }

    /**
     * Create an instance of {@link GetLineCharsResponse }
     * 
     */
    public GetLineCharsResponse createGetLineCharsResponse() {
        return new GetLineCharsResponse();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetRecvLength }
     * 
     */
    public GetRecvLength createGetRecvLength() {
        return new GetRecvLength();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link EndRemovalResponse }
     * 
     */
    public EndRemovalResponse createEndRemovalResponse() {
        return new EndRemovalResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCapTracksToWriteResponse }
     * 
     */
    public GetCapTracksToWriteResponse createGetCapTracksToWriteResponse() {
        return new GetCapTracksToWriteResponse();
    }

    /**
     * Create an instance of {@link GetTracksToWrite }
     * 
     */
    public GetTracksToWrite createGetTracksToWrite() {
        return new GetTracksToWrite();
    }

    /**
     * Create an instance of {@link GetWrite1Data }
     * 
     */
    public GetWrite1Data createGetWrite1Data() {
        return new GetWrite1Data();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link GetMaxLine }
     * 
     */
    public GetMaxLine createGetMaxLine() {
        return new GetMaxLine();
    }

    /**
     * Create an instance of {@link GetTracksToWriteResponse }
     * 
     */
    public GetTracksToWriteResponse createGetTracksToWriteResponse() {
        return new GetTracksToWriteResponse();
    }

    /**
     * Create an instance of {@link GetFontTypefaceList }
     * 
     */
    public GetFontTypefaceList createGetFontTypefaceList() {
        return new GetFontTypefaceList();
    }

    /**
     * Create an instance of {@link BeginRemoval }
     * 
     */
    public BeginRemoval createBeginRemoval() {
        return new BeginRemoval();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link SetMapMode }
     * 
     */
    public SetMapMode createSetMapMode() {
        return new SetMapMode();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link SetWrite6Data }
     * 
     */
    public SetWrite6Data createSetWrite6Data() {
        return new SetWrite6Data();
    }

    /**
     * Create an instance of {@link BeginInsertionResponse }
     * 
     */
    public BeginInsertionResponse createBeginInsertionResponse() {
        return new BeginInsertionResponse();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link SetWrite1Data }
     * 
     */
    public SetWrite1Data createSetWrite1Data() {
        return new SetWrite1Data();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetLineSpacing }
     * 
     */
    public GetLineSpacing createGetLineSpacing() {
        return new GetLineSpacing();
    }

    /**
     * Create an instance of {@link CleanCard }
     * 
     */
    public CleanCard createCleanCard() {
        return new CleanCard();
    }

    /**
     * Create an instance of {@link SetLineSpacing }
     * 
     */
    public SetLineSpacing createSetLineSpacing() {
        return new SetLineSpacing();
    }

    /**
     * Create an instance of {@link ClearOutput }
     * 
     */
    public ClearOutput createClearOutput() {
        return new ClearOutput();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link PrintWriteResponse }
     * 
     */
    public PrintWriteResponse createPrintWriteResponse() {
        return new PrintWriteResponse();
    }

    /**
     * Create an instance of {@link GetMapModeResponse }
     * 
     */
    public GetMapModeResponse createGetMapModeResponse() {
        return new GetMapModeResponse();
    }

    /**
     * Create an instance of {@link GetCapPrintResponse }
     * 
     */
    public GetCapPrintResponse createGetCapPrintResponse() {
        return new GetCapPrintResponse();
    }

    /**
     * Create an instance of {@link GetCharacterSet }
     * 
     */
    public GetCharacterSet createGetCharacterSet() {
        return new GetCharacterSet();
    }

    /**
     * Create an instance of {@link GetCharacterSetListResponse }
     * 
     */
    public GetCharacterSetListResponse createGetCharacterSetListResponse() {
        return new GetCharacterSetListResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link GetCapDHighResponse }
     * 
     */
    public GetCapDHighResponse createGetCapDHighResponse() {
        return new GetCapDHighResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetPrintHeight }
     * 
     */
    public GetPrintHeight createGetPrintHeight() {
        return new GetPrintHeight();
    }

    /**
     * Create an instance of {@link BeginRemovalResponse }
     * 
     */
    public BeginRemovalResponse createBeginRemovalResponse() {
        return new BeginRemovalResponse();
    }

    /**
     * Create an instance of {@link GetTrack4DataResponse }
     * 
     */
    public GetTrack4DataResponse createGetTrack4DataResponse() {
        return new GetTrack4DataResponse();
    }

    /**
     * Create an instance of {@link EndRemoval }
     * 
     */
    public EndRemoval createEndRemoval() {
        return new EndRemoval();
    }

    /**
     * Create an instance of {@link GetWriteStateResponse }
     * 
     */
    public GetWriteStateResponse createGetWriteStateResponse() {
        return new GetWriteStateResponse();
    }

    /**
     * Create an instance of {@link LineCharsList }
     * 
     */
    public LineCharsList createLineCharsList() {
        return new LineCharsList();
    }

    /**
     * Create an instance of {@link ClearOutputResponse }
     * 
     */
    public ClearOutputResponse createClearOutputResponse() {
        return new ClearOutputResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetWrite6Data }
     * 
     */
    public GetWrite6Data createGetWrite6Data() {
        return new GetWrite6Data();
    }

    /**
     * Create an instance of {@link GetTrack2DataResponse }
     * 
     */
    public GetTrack2DataResponse createGetTrack2DataResponse() {
        return new GetTrack2DataResponse();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link OutputCompleteEventResponse }
     * 
     */
    public OutputCompleteEventResponse createOutputCompleteEventResponse() {
        return new OutputCompleteEventResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCapItalic }
     * 
     */
    public GetCapItalic createGetCapItalic() {
        return new GetCapItalic();
    }

    /**
     * Create an instance of {@link SetWrite2Data }
     * 
     */
    public SetWrite2Data createSetWrite2Data() {
        return new SetWrite2Data();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link GetLineCharsList }
     * 
     */
    public GetLineCharsList createGetLineCharsList() {
        return new GetLineCharsList();
    }

    /**
     * Create an instance of {@link GetTrack6DataResponse }
     * 
     */
    public GetTrack6DataResponse createGetTrack6DataResponse() {
        return new GetTrack6DataResponse();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link GetCapTracksToWrite }
     * 
     */
    public GetCapTracksToWrite createGetCapTracksToWrite() {
        return new GetCapTracksToWrite();
    }

    /**
     * Create an instance of {@link EndInsertionResponse }
     * 
     */
    public EndInsertionResponse createEndInsertionResponse() {
        return new EndInsertionResponse();
    }

    /**
     * Create an instance of {@link PointCardReceiveLengths }
     * 
     */
    public PointCardReceiveLengths createPointCardReceiveLengths() {
        return new PointCardReceiveLengths();
    }

    /**
     * Create an instance of {@link GetTracksToRead }
     * 
     */
    public GetTracksToRead createGetTracksToRead() {
        return new GetTracksToRead();
    }

    /**
     * Create an instance of {@link GetTrack4Data }
     * 
     */
    public GetTrack4Data createGetTrack4Data() {
        return new GetTrack4Data();
    }

    /**
     * Create an instance of {@link GetCapPrintModeResponse }
     * 
     */
    public GetCapPrintModeResponse createGetCapPrintModeResponse() {
        return new GetCapPrintModeResponse();
    }

    /**
     * Create an instance of {@link GetSidewaysMaxLinesResponse }
     * 
     */
    public GetSidewaysMaxLinesResponse createGetSidewaysMaxLinesResponse() {
        return new GetSidewaysMaxLinesResponse();
    }

    /**
     * Create an instance of {@link GetLineCharsListResponse }
     * 
     */
    public GetLineCharsListResponse createGetLineCharsListResponse() {
        return new GetLineCharsListResponse();
    }

    /**
     * Create an instance of {@link GetRecvLengthResponse }
     * 
     */
    public GetRecvLengthResponse createGetRecvLengthResponse() {
        return new GetRecvLengthResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link PrintWrite }
     * 
     */
    public PrintWrite createPrintWrite() {
        return new PrintWrite();
    }

    /**
     * Create an instance of {@link GetOutputIDResponse }
     * 
     */
    public GetOutputIDResponse createGetOutputIDResponse() {
        return new GetOutputIDResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link SetCharacterSetResponse }
     * 
     */
    public SetCharacterSetResponse createSetCharacterSetResponse() {
        return new SetCharacterSetResponse();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LineCharsList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "LineCharsList")
    public JAXBElement<LineCharsList> createLineCharsList(LineCharsList value) {
        return new JAXBElement<LineCharsList>(_LineCharsList_QNAME, LineCharsList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardRWEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardRWEventResponse")
    public JAXBElement<PointCardRWEventResponse> createPointCardRWEventResponse(PointCardRWEventResponse value) {
        return new JAXBElement<PointCardRWEventResponse>(_PointCardRWEventResponse_QNAME, PointCardRWEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardReadWriteStates }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardReadWriteStates")
    public JAXBElement<PointCardReadWriteStates> createPointCardReadWriteStates(PointCardReadWriteStates value) {
        return new JAXBElement<PointCardReadWriteStates>(_PointCardReadWriteStates_QNAME, PointCardReadWriteStates.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "OutputCompleteEvent")
    public JAXBElement<OutputCompleteEvent> createOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "OutputCompleteEventResponse")
    public JAXBElement<OutputCompleteEventResponse> createOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CharacterSetList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "CharacterSetList")
    public JAXBElement<CharacterSetList> createCharacterSetList(CharacterSetList value) {
        return new JAXBElement<CharacterSetList>(_CharacterSetList_QNAME, CharacterSetList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardReadWriteState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardReadWriteState")
    public JAXBElement<PointCardReadWriteState> createPointCardReadWriteState(PointCardReadWriteState value) {
        return new JAXBElement<PointCardReadWriteState>(_PointCardReadWriteState_QNAME, PointCardReadWriteState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardRWEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardRWEvent")
    public JAXBElement<PointCardRWEvent> createPointCardRWEvent(PointCardRWEvent value) {
        return new JAXBElement<PointCardRWEvent>(_PointCardRWEvent_QNAME, PointCardRWEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardState")
    public JAXBElement<PointCardState> createPointCardState(PointCardState value) {
        return new JAXBElement<PointCardState>(_PointCardState_QNAME, PointCardState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardReceiveLengths }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardReceiveLengths")
    public JAXBElement<PointCardReceiveLengths> createPointCardReceiveLengths(PointCardReceiveLengths value) {
        return new JAXBElement<PointCardReceiveLengths>(_PointCardReceiveLengths_QNAME, PointCardReceiveLengths.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Rotation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Rotation")
    public JAXBElement<Rotation> createRotation(Rotation value) {
        return new JAXBElement<Rotation>(_Rotation_QNAME, Rotation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FontTypefaceList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "FontTypefaceList")
    public JAXBElement<FontTypefaceList> createFontTypefaceList(FontTypefaceList value) {
        return new JAXBElement<FontTypefaceList>(_FontTypefaceList_QNAME, FontTypefaceList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MapMode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "MapMode")
    public JAXBElement<MapMode> createMapMode(MapMode value) {
        return new JAXBElement<MapMode>(_MapMode_QNAME, MapMode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardAreas }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PointCardAreas")
    public JAXBElement<PointCardAreas> createPointCardAreas(PointCardAreas value) {
        return new JAXBElement<PointCardAreas>(_PointCardAreas_QNAME, PointCardAreas.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = PrintWrite.class)
    public JAXBElement<String> createPrintWriteConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, PrintWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Data", scope = PrintWrite.class)
    public JAXBElement<String> createPrintWriteData(String value) {
        return new JAXBElement<String>(_PrintWriteData_QNAME, String.class, PrintWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWrite1DataResult", scope = GetWrite1DataResponse.class)
    public JAXBElement<byte[]> createGetWrite1DataResponseGetWrite1DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetWrite1DataResponseGetWrite1DataResult_QNAME, byte[].class, GetWrite1DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetTrack5DataResult", scope = GetTrack5DataResponse.class)
    public JAXBElement<byte[]> createGetTrack5DataResponseGetTrack5DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack5DataResponseGetTrack5DataResult_QNAME, byte[].class, GetTrack5DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapPrint.class)
    public JAXBElement<String> createGetCapPrintConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapPrint.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapMapCharacterSet.class)
    public JAXBElement<String> createGetCapMapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapMapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = EndInsertion.class)
    public JAXBElement<String> createEndInsertionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, EndInsertion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWrite3Data.class)
    public JAXBElement<String> createGetWrite3DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWrite3Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetTrack2DataResult", scope = GetTrack2DataResponse.class)
    public JAXBElement<byte[]> createGetTrack2DataResponseGetTrack2DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack2DataResponseGetTrack2DataResult_QNAME, byte[].class, GetTrack2DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetLineHeight.class)
    public JAXBElement<String> createGetLineHeightConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetLineHeight.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetTracksToRead.class)
    public JAXBElement<String> createSetTracksToReadConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetTracksToRead.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetTrack1DataResult", scope = GetTrack1DataResponse.class)
    public JAXBElement<byte[]> createGetTrack1DataResponseGetTrack1DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack1DataResponseGetTrack1DataResult_QNAME, byte[].class, GetTrack1DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTrack4Data.class)
    public JAXBElement<String> createGetTrack4DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTrack4Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetTracksToWrite.class)
    public JAXBElement<String> createSetTracksToWriteConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetTracksToWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetOutputID.class)
    public JAXBElement<String> createGetOutputIDConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetOutputID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CharacterSetList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetCharacterSetListResult", scope = GetCharacterSetListResponse.class)
    public JAXBElement<CharacterSetList> createGetCharacterSetListResponseGetCharacterSetListResult(CharacterSetList value) {
        return new JAXBElement<CharacterSetList>(_GetCharacterSetListResponseGetCharacterSetListResult_QNAME, CharacterSetList.class, GetCharacterSetListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapClearPrint.class)
    public JAXBElement<String> createGetCapClearPrintConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapClearPrint.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapTracksToRead.class)
    public JAXBElement<String> createGetCapTracksToReadConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapTracksToRead.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapBold.class)
    public JAXBElement<String> createGetCapBoldConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapBold.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetMaxLine.class)
    public JAXBElement<String> createGetMaxLineConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetMaxLine.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetRecvLength.class)
    public JAXBElement<String> createGetRecvLengthConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetRecvLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTracksToRead.class)
    public JAXBElement<String> createGetTracksToReadConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTracksToRead.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetLineCharsList.class)
    public JAXBElement<String> createGetLineCharsListConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetLineCharsList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapPrintMode.class)
    public JAXBElement<String> createGetCapPrintModeConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapPrintMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetPrintHeight.class)
    public JAXBElement<String> createGetPrintHeightConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetPrintHeight.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = RotatePrint.class)
    public JAXBElement<String> createRotatePrintConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, RotatePrint.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapDWideDHigh.class)
    public JAXBElement<String> createGetCapDWideDHighConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapDWideDHigh.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapCharacterSet.class)
    public JAXBElement<String> createGetCapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapRight90 .class)
    public JAXBElement<String> createGetCapRight90ConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapRight90 .class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = ClearInputProperties.class)
    public JAXBElement<String> createClearInputPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, ClearInputProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardRWEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<PointCardRWEventResponse> createSetEventResponseEventResponse(PointCardRWEventResponse value) {
        return new JAXBElement<PointCardRWEventResponse>(_SetEventResponseEventResponse_QNAME, PointCardRWEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetSidewaysMaxLines.class)
    public JAXBElement<String> createGetSidewaysMaxLinesConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetSidewaysMaxLines.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetMapCharacterSet.class)
    public JAXBElement<String> createSetMapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetMapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCardState.class)
    public JAXBElement<String> createGetCardStateConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCardState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTrack3Data.class)
    public JAXBElement<String> createGetTrack3DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTrack3Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWrite2DataResult", scope = GetWrite2DataResponse.class)
    public JAXBElement<byte[]> createGetWrite2DataResponseGetWrite2DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetWrite2DataResponseGetWrite2DataResult_QNAME, byte[].class, GetWrite2DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetLineSpacing.class)
    public JAXBElement<String> createGetLineSpacingConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetLineSpacing.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCharacterSet.class)
    public JAXBElement<String> createGetCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = EndRemoval.class)
    public JAXBElement<String> createEndRemovalConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, EndRemoval.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWrite5DataResult", scope = GetWrite5DataResponse.class)
    public JAXBElement<byte[]> createGetWrite5DataResponseGetWrite5DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetWrite5DataResponseGetWrite5DataResult_QNAME, byte[].class, GetWrite5DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetReadState.class)
    public JAXBElement<String> createGetReadStateConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetReadState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWrite5Data.class)
    public JAXBElement<String> createGetWrite5DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWrite5Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetWrite3Data.class)
    public JAXBElement<String> createSetWrite3DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetWrite3Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Write3Data", scope = SetWrite3Data.class)
    public JAXBElement<byte[]> createSetWrite3DataWrite3Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetWrite3DataWrite3Data_QNAME, byte[].class, SetWrite3Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetLineChars.class)
    public JAXBElement<String> createGetLineCharsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetLineChars.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardReadWriteStates }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetReadStateResult", scope = GetReadStateResponse.class)
    public JAXBElement<PointCardReadWriteStates> createGetReadStateResponseGetReadStateResult(PointCardReadWriteStates value) {
        return new JAXBElement<PointCardReadWriteStates>(_GetReadStateResponseGetReadStateResult_QNAME, PointCardReadWriteStates.class, GetReadStateResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCharacterSetList.class)
    public JAXBElement<String> createGetCharacterSetListConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCharacterSetList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetLineSpacing.class)
    public JAXBElement<String> createSetLineSpacingConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetLineSpacing.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapRotate180 .class)
    public JAXBElement<String> createGetCapRotate180ConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapRotate180 .class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Write4Data", scope = SetWrite4Data.class)
    public JAXBElement<byte[]> createSetWrite4DataWrite4Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetWrite4DataWrite4Data_QNAME, byte[].class, SetWrite4Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetWrite4Data.class)
    public JAXBElement<String> createSetWrite4DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetWrite4Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetMapMode.class)
    public JAXBElement<String> createGetMapModeConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetMapMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = CleanCard.class)
    public JAXBElement<String> createCleanCardConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, CleanCard.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetTrack6DataResult", scope = GetTrack6DataResponse.class)
    public JAXBElement<byte[]> createGetTrack6DataResponseGetTrack6DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack6DataResponseGetTrack6DataResult_QNAME, byte[].class, GetTrack6DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = ValidateData.class)
    public JAXBElement<String> createValidateDataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, ValidateData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Data", scope = ValidateData.class)
    public JAXBElement<String> createValidateDataData(String value) {
        return new JAXBElement<String>(_PrintWriteData_QNAME, String.class, ValidateData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = BeginInsertion.class)
    public JAXBElement<String> createBeginInsertionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, BeginInsertion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTrack2Data.class)
    public JAXBElement<String> createGetTrack2DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTrack2Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTrack1Data.class)
    public JAXBElement<String> createGetTrack1DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTrack1Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWrite1Data.class)
    public JAXBElement<String> createGetWrite1DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWrite1Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = ClearOutput.class)
    public JAXBElement<String> createClearOutputConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, ClearOutput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTrack6Data.class)
    public JAXBElement<String> createGetTrack6DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTrack6Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetTrack4DataResult", scope = GetTrack4DataResponse.class)
    public JAXBElement<byte[]> createGetTrack4DataResponseGetTrack4DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack4DataResponseGetTrack4DataResult_QNAME, byte[].class, GetTrack4DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Write1Data", scope = SetWrite1Data.class)
    public JAXBElement<byte[]> createSetWrite1DataWrite1Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetWrite1DataWrite1Data_QNAME, byte[].class, SetWrite1Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetWrite1Data.class)
    public JAXBElement<String> createSetWrite1DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetWrite1Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWrite4DataResult", scope = GetWrite4DataResponse.class)
    public JAXBElement<byte[]> createGetWrite4DataResponseGetWrite4DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetWrite4DataResponseGetWrite4DataResult_QNAME, byte[].class, GetWrite4DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOEventResponse", scope = PointCardRWEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createPointCardRWEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, PointCardRWEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "OutputCompleteEventResponse", scope = PointCardRWEventResponse.class)
    public JAXBElement<OutputCompleteEventResponse> createPointCardRWEventResponseOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, PointCardRWEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorEventResponse", scope = PointCardRWEventResponse.class)
    public JAXBElement<ErrorEventResponse> createPointCardRWEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, PointCardRWEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatusUpdateEventResponse", scope = PointCardRWEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createPointCardRWEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, PointCardRWEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataEventResponse", scope = PointCardRWEventResponse.class)
    public JAXBElement<DataEventResponse> createPointCardRWEventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, PointCardRWEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataContainedEventResponse", scope = PointCardRWEventResponse.class)
    public JAXBElement<DataContainedEventResponse> createPointCardRWEventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, PointCardRWEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetCharacterSet.class)
    public JAXBElement<String> createSetCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetWrite2Data.class)
    public JAXBElement<String> createSetWrite2DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetWrite2Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Write2Data", scope = SetWrite2Data.class)
    public JAXBElement<byte[]> createSetWrite2DataWrite2Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetWrite2DataWrite2Data_QNAME, byte[].class, SetWrite2Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapItalic.class)
    public JAXBElement<String> createGetCapItalicConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapItalic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetLineChars.class)
    public JAXBElement<String> createSetLineCharsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetLineChars.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapCleanCard.class)
    public JAXBElement<String> createGetCapCleanCardConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapCleanCard.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetMapMode.class)
    public JAXBElement<String> createSetMapModeConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetMapMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetLineHeight.class)
    public JAXBElement<String> createSetLineHeightConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetLineHeight.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetLineWidth.class)
    public JAXBElement<String> createGetLineWidthConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetLineWidth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetSidewaysMaxChars.class)
    public JAXBElement<String> createGetSidewaysMaxCharsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetSidewaysMaxChars.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "StatusUpdateEvent", scope = PointCardRWEvent.class)
    public JAXBElement<StatusUpdateEvent> createPointCardRWEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, PointCardRWEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataContainedEvent", scope = PointCardRWEvent.class)
    public JAXBElement<DataContainedEvent> createPointCardRWEventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, PointCardRWEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOEvent", scope = PointCardRWEvent.class)
    public JAXBElement<DirectIOEvent> createPointCardRWEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, PointCardRWEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ErrorEvent", scope = PointCardRWEvent.class)
    public JAXBElement<ErrorEvent> createPointCardRWEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, PointCardRWEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "OutputCompleteEvent", scope = PointCardRWEvent.class)
    public JAXBElement<OutputCompleteEvent> createPointCardRWEventOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, PointCardRWEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DataEvent", scope = PointCardRWEvent.class)
    public JAXBElement<DataEvent> createPointCardRWEventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, PointCardRWEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = ClearPrintWrite.class)
    public JAXBElement<String> createClearPrintWriteConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, ClearPrintWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetMapCharacterSet.class)
    public JAXBElement<String> createGetMapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetMapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LineCharsList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetLineCharsListResult", scope = GetLineCharsListResponse.class)
    public JAXBElement<LineCharsList> createGetLineCharsListResponseGetLineCharsListResult(LineCharsList value) {
        return new JAXBElement<LineCharsList>(_GetLineCharsListResponseGetLineCharsListResult_QNAME, LineCharsList.class, GetLineCharsListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetFontTypefaceList.class)
    public JAXBElement<String> createGetFontTypefaceListConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetFontTypefaceList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTrack5Data.class)
    public JAXBElement<String> createGetTrack5DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTrack5Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWrite6Data.class)
    public JAXBElement<String> createGetWrite6DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWrite6Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = BeginRemoval.class)
    public JAXBElement<String> createBeginRemovalConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, BeginRemoval.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Source", scope = OutputCompleteEvent.class)
    public JAXBElement<String> createOutputCompleteEventSource(String value) {
        return new JAXBElement<String>(_DataEventSource_QNAME, String.class, OutputCompleteEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FontTypefaceList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetFontTypefaceListResult", scope = GetFontTypefaceListResponse.class)
    public JAXBElement<FontTypefaceList> createGetFontTypefaceListResponseGetFontTypefaceListResult(FontTypefaceList value) {
        return new JAXBElement<FontTypefaceList>(_GetFontTypefaceListResponseGetFontTypefaceListResult_QNAME, FontTypefaceList.class, GetFontTypefaceListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapDHigh.class)
    public JAXBElement<String> createGetCapDHighConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapDHigh.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWrite4Data.class)
    public JAXBElement<String> createGetWrite4DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWrite4Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardRWEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<PointCardRWEvent> createPollForUPOSEventResponsePollForUPOSEventResult(PointCardRWEvent value) {
        return new JAXBElement<PointCardRWEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, PointCardRWEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetTracksToWrite.class)
    public JAXBElement<String> createGetTracksToWriteConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetTracksToWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWrite3DataResult", scope = GetWrite3DataResponse.class)
    public JAXBElement<byte[]> createGetWrite3DataResponseGetWrite3DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetWrite3DataResponseGetWrite3DataResult_QNAME, byte[].class, GetWrite3DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardReceiveLengths }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetRecvLengthResult", scope = GetRecvLengthResponse.class)
    public JAXBElement<PointCardReceiveLengths> createGetRecvLengthResponseGetRecvLengthResult(PointCardReceiveLengths value) {
        return new JAXBElement<PointCardReceiveLengths>(_GetRecvLengthResponseGetRecvLengthResult_QNAME, PointCardReceiveLengths.class, GetRecvLengthResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Write5Data", scope = SetWrite5Data.class)
    public JAXBElement<byte[]> createSetWrite5DataWrite5Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetWrite5DataWrite5Data_QNAME, byte[].class, SetWrite5Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetWrite5Data.class)
    public JAXBElement<String> createSetWrite5DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetWrite5Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PointCardReadWriteStates }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWriteStateResult", scope = GetWriteStateResponse.class)
    public JAXBElement<PointCardReadWriteStates> createGetWriteStateResponseGetWriteStateResult(PointCardReadWriteStates value) {
        return new JAXBElement<PointCardReadWriteStates>(_GetWriteStateResponseGetWriteStateResult_QNAME, PointCardReadWriteStates.class, GetWriteStateResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetWrite6DataResult", scope = GetWrite6DataResponse.class)
    public JAXBElement<byte[]> createGetWrite6DataResponseGetWrite6DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetWrite6DataResponseGetWrite6DataResult_QNAME, byte[].class, GetWrite6DataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWrite2Data.class)
    public JAXBElement<String> createGetWrite2DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWrite2Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "Write6Data", scope = SetWrite6Data.class)
    public JAXBElement<byte[]> createSetWrite6DataWrite6Data(byte[] value) {
        return new JAXBElement<byte[]>(_SetWrite6DataWrite6Data_QNAME, byte[].class, SetWrite6Data.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = SetWrite6Data.class)
    public JAXBElement<String> createSetWrite6DataConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, SetWrite6Data.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapCardEntranceSensor.class)
    public JAXBElement<String> createGetCapCardEntranceSensorConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapCardEntranceSensor.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapLeft90 .class)
    public JAXBElement<String> createGetCapLeft90ConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapLeft90 .class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapDWide.class)
    public JAXBElement<String> createGetCapDWideConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapDWide.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetWriteState.class)
    public JAXBElement<String> createGetWriteStateConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetWriteState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "ConsumerID", scope = GetCapTracksToWrite.class)
    public JAXBElement<String> createGetCapTracksToWriteConsumerID(String value) {
        return new JAXBElement<String>(_PrintWriteConsumerID_QNAME, String.class, GetCapTracksToWrite.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/PointCardRW/", name = "GetTrack3DataResult", scope = GetTrack3DataResponse.class)
    public JAXBElement<byte[]> createGetTrack3DataResponseGetTrack3DataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetTrack3DataResponseGetTrack3DataResult_QNAME, byte[].class, GetTrack3DataResponse.class, ((byte[]) value));
    }

}
