
package org.nrf_arts.unifiedpos.scale;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>WeightUnitJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="WeightUnit">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="SCAL_WU_GRAM"/>
 *     &lt;enumeration value="SCAL_WU_KILOGRAM"/>
 *     &lt;enumeration value="SCAL_WU_OUNCE"/>
 *     &lt;enumeration value="SCAL_WU_POUND"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "WeightUnit")
@XmlEnum
public enum WeightUnit {

    SCAL_WU_GRAM,
    SCAL_WU_KILOGRAM,
    SCAL_WU_OUNCE,
    SCAL_WU_POUND;

    public String value() {
        return name();
    }

    public static WeightUnit fromValue(String v) {
        return valueOf(v);
    }

}
